#include <qaction.h>
#include <qbytearray.h>
#include <qcoreevent.h>
#include <qdatetime.h>
#include <qevent.h>
#include <qfont.h>
#include <qicon.h>
#include <qimage.h>
#include <qline.h>
#include <qmenu.h>
#include <qnamespace.h>
#include <qnetworkaccessmanager.h>
#include <qnetworkreply.h>
#include <qnetworkrequest.h>
#include <qobject.h>
#include <qobjectdefs.h>
#include <qpaintdevice.h>
#include <qpaintengine.h>
#include <qpainter.h>
#include <qpainterpath.h>
#include <qpalette.h>
#include <qpixmap.h>
#include <qpoint.h>
#include <qprinter.h>
#include <qrect.h>
#include <qregion.h>
#include <qsize.h>
#include <qstyle.h>
#include <qundostack.h>
#include <qurl.h>
#include <qvariant.h>
#include <qwebdatabase.h>
#include <qwebframe.h>
#include <qwebhistory.h>
#include <qwebhistoryinterface.h>
#include <qwebpage.h>
#include <qwebpluginfactory.h>
#include <qwebsecurityorigin.h>
#include <qwebsettings.h>
#include <qwebview.h>
#include <qwidget.h>

#include <smoke.h>

#include <qtwebkit_smoke.h>

static void *qtwebkit_cast(void *xptr, Smoke::Index from, Smoke::Index to) {
    switch(from) {
      case 1:	//QAction
	switch(to) {
	    case 29: return (void*)(QObject*)(QAction*)xptr;
	    case 1: return (void*)(QAction*)(QAction*)xptr;
	  default: return xptr;
	}
      case 2:	//QActionEvent
	switch(to) {
	    case 12: return (void*)(QEvent*)(QActionEvent*)xptr;
	    case 2: return (void*)(QActionEvent*)(QActionEvent*)xptr;
	  default: return xptr;
	}
      case 3:	//QByteArray
	switch(to) {
	    case 3: return (void*)(QByteArray*)(QByteArray*)xptr;
	  default: return xptr;
	}
      case 4:	//QChildEvent
	switch(to) {
	    case 12: return (void*)(QEvent*)(QChildEvent*)xptr;
	    case 4: return (void*)(QChildEvent*)(QChildEvent*)xptr;
	  default: return xptr;
	}
      case 5:	//QCloseEvent
	switch(to) {
	    case 12: return (void*)(QEvent*)(QCloseEvent*)xptr;
	    case 5: return (void*)(QCloseEvent*)(QCloseEvent*)xptr;
	  default: return xptr;
	}
      case 6:	//QContextMenuEvent
	switch(to) {
	    case 12: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
	    case 6: return (void*)(QContextMenuEvent*)(QContextMenuEvent*)xptr;
	  default: return xptr;
	}
      case 7:	//QDateTime
	switch(to) {
	    case 7: return (void*)(QDateTime*)(QDateTime*)xptr;
	  default: return xptr;
	}
      case 8:	//QDragEnterEvent
	switch(to) {
	    case 10: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
	    case 11: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
	    case 12: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
	    case 8: return (void*)(QDragEnterEvent*)(QDragEnterEvent*)xptr;
	  default: return xptr;
	}
      case 9:	//QDragLeaveEvent
	switch(to) {
	    case 12: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
	    case 9: return (void*)(QDragLeaveEvent*)(QDragLeaveEvent*)xptr;
	  default: return xptr;
	}
      case 10:	//QDragMoveEvent
	switch(to) {
	    case 11: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
	    case 12: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
	    case 10: return (void*)(QDragMoveEvent*)(QDragMoveEvent*)xptr;
	    case 8: return (void*)(QDragEnterEvent*)(QDragMoveEvent*)xptr;
	  default: return xptr;
	}
      case 11:	//QDropEvent
	switch(to) {
	    case 12: return (void*)(QEvent*)(QDropEvent*)xptr;
	    case 11: return (void*)(QDropEvent*)(QDropEvent*)xptr;
	    case 8: return (void*)(QDragEnterEvent*)(QDropEvent*)xptr;
	    case 10: return (void*)(QDragMoveEvent*)(QDropEvent*)xptr;
	  default: return xptr;
	}
      case 12:	//QEvent
	switch(to) {
	    case 12: return (void*)(QEvent*)(QEvent*)xptr;
	    case 2: return (void*)(QActionEvent*)(QEvent*)xptr;
	    case 4: return (void*)(QChildEvent*)(QEvent*)xptr;
	    case 5: return (void*)(QCloseEvent*)(QEvent*)xptr;
	    case 6: return (void*)(QContextMenuEvent*)(QEvent*)xptr;
	    case 8: return (void*)(QDragEnterEvent*)(QEvent*)xptr;
	    case 9: return (void*)(QDragLeaveEvent*)(QEvent*)xptr;
	    case 10: return (void*)(QDragMoveEvent*)(QEvent*)xptr;
	    case 11: return (void*)(QDropEvent*)(QEvent*)xptr;
	    case 13: return (void*)(QFocusEvent*)(QEvent*)xptr;
	    case 15: return (void*)(QHideEvent*)(QEvent*)xptr;
	    case 18: return (void*)(QInputMethodEvent*)(QEvent*)xptr;
	    case 19: return (void*)(QKeyEvent*)(QEvent*)xptr;
	    case 24: return (void*)(QMouseEvent*)(QEvent*)xptr;
	    case 25: return (void*)(QMoveEvent*)(QEvent*)xptr;
	    case 33: return (void*)(QPaintEvent*)(QEvent*)xptr;
	    case 44: return (void*)(QResizeEvent*)(QEvent*)xptr;
	    case 45: return (void*)(QShowEvent*)(QEvent*)xptr;
	    case 48: return (void*)(QTabletEvent*)(QEvent*)xptr;
	    case 49: return (void*)(QTimerEvent*)(QEvent*)xptr;
	    case 66: return (void*)(QWheelEvent*)(QEvent*)xptr;
	  default: return xptr;
	}
      case 13:	//QFocusEvent
	switch(to) {
	    case 12: return (void*)(QEvent*)(QFocusEvent*)xptr;
	    case 13: return (void*)(QFocusEvent*)(QFocusEvent*)xptr;
	  default: return xptr;
	}
      case 14:	//QFont
	switch(to) {
	    case 14: return (void*)(QFont*)(QFont*)xptr;
	  default: return xptr;
	}
      case 15:	//QHideEvent
	switch(to) {
	    case 12: return (void*)(QEvent*)(QHideEvent*)xptr;
	    case 15: return (void*)(QHideEvent*)(QHideEvent*)xptr;
	  default: return xptr;
	}
      case 16:	//QIcon
	switch(to) {
	    case 16: return (void*)(QIcon*)(QIcon*)xptr;
	  default: return xptr;
	}
      case 17:	//QImage
	switch(to) {
	    case 30: return (void*)(QPaintDevice*)(QImage*)xptr;
	    case 17: return (void*)(QImage*)(QImage*)xptr;
	  default: return xptr;
	}
      case 18:	//QInputMethodEvent
	switch(to) {
	    case 12: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
	    case 18: return (void*)(QInputMethodEvent*)(QInputMethodEvent*)xptr;
	  default: return xptr;
	}
      case 19:	//QKeyEvent
	switch(to) {
	    case 12: return (void*)(QEvent*)(QKeyEvent*)xptr;
	    case 19: return (void*)(QKeyEvent*)(QKeyEvent*)xptr;
	  default: return xptr;
	}
      case 20:	//QLine
	switch(to) {
	    case 20: return (void*)(QLine*)(QLine*)xptr;
	  default: return xptr;
	}
      case 21:	//QLineF
	switch(to) {
	    case 21: return (void*)(QLineF*)(QLineF*)xptr;
	  default: return xptr;
	}
      case 22:	//QMenu
	switch(to) {
	    case 67: return (void*)(QWidget*)(QMenu*)xptr;
	    case 29: return (void*)(QObject*)(QMenu*)xptr;
	    case 30: return (void*)(QPaintDevice*)(QMenu*)xptr;
	    case 22: return (void*)(QMenu*)(QMenu*)xptr;
	  default: return xptr;
	}
      case 23:	//QMetaObject
	switch(to) {
	    case 23: return (void*)(QMetaObject*)(QMetaObject*)xptr;
	  default: return xptr;
	}
      case 24:	//QMouseEvent
	switch(to) {
	    case 12: return (void*)(QEvent*)(QMouseEvent*)xptr;
	    case 24: return (void*)(QMouseEvent*)(QMouseEvent*)xptr;
	  default: return xptr;
	}
      case 25:	//QMoveEvent
	switch(to) {
	    case 12: return (void*)(QEvent*)(QMoveEvent*)xptr;
	    case 25: return (void*)(QMoveEvent*)(QMoveEvent*)xptr;
	  default: return xptr;
	}
      case 26:	//QNetworkAccessManager
	switch(to) {
	    case 29: return (void*)(QObject*)(QNetworkAccessManager*)xptr;
	    case 26: return (void*)(QNetworkAccessManager*)(QNetworkAccessManager*)xptr;
	  default: return xptr;
	}
      case 27:	//QNetworkReply
	switch(to) {
	    case 29: return (void*)(QObject*)(QNetworkReply*)xptr;
	    case 27: return (void*)(QNetworkReply*)(QNetworkReply*)xptr;
	  default: return xptr;
	}
      case 28:	//QNetworkRequest
	switch(to) {
	    case 28: return (void*)(QNetworkRequest*)(QNetworkRequest*)xptr;
	  default: return xptr;
	}
      case 29:	//QObject
	switch(to) {
	    case 29: return (void*)(QObject*)(QObject*)xptr;
	    case 1: return (void*)(QAction*)(QObject*)xptr;
	    case 22: return (void*)(QMenu*)(QObject*)xptr;
	    case 26: return (void*)(QNetworkAccessManager*)(QObject*)xptr;
	    case 27: return (void*)(QNetworkReply*)(QObject*)xptr;
	    case 47: return (void*)(QStyle*)(QObject*)xptr;
	    case 50: return (void*)(QUndoStack*)(QObject*)xptr;
	    case 54: return (void*)(QWebFrame*)(QObject*)xptr;
	    case 56: return (void*)(QWebHistoryInterface*)(QObject*)xptr;
	    case 59: return (void*)(QWebPage*)(QObject*)xptr;
	    case 62: return (void*)(QWebPluginFactory*)(QObject*)xptr;
	    case 65: return (void*)(QWebView*)(QObject*)xptr;
	    case 67: return (void*)(QWidget*)(QObject*)xptr;
	  default: return xptr;
	}
      case 30:	//QPaintDevice
	switch(to) {
	    case 30: return (void*)(QPaintDevice*)(QPaintDevice*)xptr;
	    case 17: return (void*)(QImage*)(QPaintDevice*)xptr;
	    case 22: return (void*)(QMenu*)(QPaintDevice*)xptr;
	    case 37: return (void*)(QPixmap*)(QPaintDevice*)xptr;
	    case 40: return (void*)(QPrinter*)(QPaintDevice*)xptr;
	    case 65: return (void*)(QWebView*)(QPaintDevice*)xptr;
	    case 67: return (void*)(QWidget*)(QPaintDevice*)xptr;
	  default: return xptr;
	}
      case 31:	//QPaintEngine
	switch(to) {
	    case 31: return (void*)(QPaintEngine*)(QPaintEngine*)xptr;
	  default: return xptr;
	}
      case 32:	//QPaintEngineState
	switch(to) {
	    case 32: return (void*)(QPaintEngineState*)(QPaintEngineState*)xptr;
	  default: return xptr;
	}
      case 33:	//QPaintEvent
	switch(to) {
	    case 12: return (void*)(QEvent*)(QPaintEvent*)xptr;
	    case 33: return (void*)(QPaintEvent*)(QPaintEvent*)xptr;
	  default: return xptr;
	}
      case 34:	//QPainter
	switch(to) {
	    case 34: return (void*)(QPainter*)(QPainter*)xptr;
	  default: return xptr;
	}
      case 35:	//QPainterPath
	switch(to) {
	    case 35: return (void*)(QPainterPath*)(QPainterPath*)xptr;
	  default: return xptr;
	}
      case 36:	//QPalette
	switch(to) {
	    case 36: return (void*)(QPalette*)(QPalette*)xptr;
	  default: return xptr;
	}
      case 37:	//QPixmap
	switch(to) {
	    case 30: return (void*)(QPaintDevice*)(QPixmap*)xptr;
	    case 37: return (void*)(QPixmap*)(QPixmap*)xptr;
	  default: return xptr;
	}
      case 38:	//QPoint
	switch(to) {
	    case 38: return (void*)(QPoint*)(QPoint*)xptr;
	  default: return xptr;
	}
      case 39:	//QPointF
	switch(to) {
	    case 39: return (void*)(QPointF*)(QPointF*)xptr;
	  default: return xptr;
	}
      case 40:	//QPrinter
	switch(to) {
	    case 30: return (void*)(QPaintDevice*)(QPrinter*)xptr;
	    case 40: return (void*)(QPrinter*)(QPrinter*)xptr;
	  default: return xptr;
	}
      case 41:	//QRect
	switch(to) {
	    case 41: return (void*)(QRect*)(QRect*)xptr;
	  default: return xptr;
	}
      case 42:	//QRectF
	switch(to) {
	    case 42: return (void*)(QRectF*)(QRectF*)xptr;
	  default: return xptr;
	}
      case 43:	//QRegion
	switch(to) {
	    case 43: return (void*)(QRegion*)(QRegion*)xptr;
	  default: return xptr;
	}
      case 44:	//QResizeEvent
	switch(to) {
	    case 12: return (void*)(QEvent*)(QResizeEvent*)xptr;
	    case 44: return (void*)(QResizeEvent*)(QResizeEvent*)xptr;
	  default: return xptr;
	}
      case 45:	//QShowEvent
	switch(to) {
	    case 12: return (void*)(QEvent*)(QShowEvent*)xptr;
	    case 45: return (void*)(QShowEvent*)(QShowEvent*)xptr;
	  default: return xptr;
	}
      case 46:	//QSize
	switch(to) {
	    case 46: return (void*)(QSize*)(QSize*)xptr;
	  default: return xptr;
	}
      case 47:	//QStyle
	switch(to) {
	    case 29: return (void*)(QObject*)(QStyle*)xptr;
	    case 47: return (void*)(QStyle*)(QStyle*)xptr;
	  default: return xptr;
	}
      case 48:	//QTabletEvent
	switch(to) {
	    case 12: return (void*)(QEvent*)(QTabletEvent*)xptr;
	    case 48: return (void*)(QTabletEvent*)(QTabletEvent*)xptr;
	  default: return xptr;
	}
      case 49:	//QTimerEvent
	switch(to) {
	    case 12: return (void*)(QEvent*)(QTimerEvent*)xptr;
	    case 49: return (void*)(QTimerEvent*)(QTimerEvent*)xptr;
	  default: return xptr;
	}
      case 50:	//QUndoStack
	switch(to) {
	    case 29: return (void*)(QObject*)(QUndoStack*)xptr;
	    case 50: return (void*)(QUndoStack*)(QUndoStack*)xptr;
	  default: return xptr;
	}
      case 51:	//QUrl
	switch(to) {
	    case 51: return (void*)(QUrl*)(QUrl*)xptr;
	  default: return xptr;
	}
      case 52:	//QVariant
	switch(to) {
	    case 52: return (void*)(QVariant*)(QVariant*)xptr;
	  default: return xptr;
	}
      case 53:	//QWebDatabase
	switch(to) {
	    case 53: return (void*)(QWebDatabase*)(QWebDatabase*)xptr;
	  default: return xptr;
	}
      case 54:	//QWebFrame
	switch(to) {
	    case 29: return (void*)(QObject*)(QWebFrame*)xptr;
	    case 54: return (void*)(QWebFrame*)(QWebFrame*)xptr;
	  default: return xptr;
	}
      case 55:	//QWebHistory
	switch(to) {
	    case 55: return (void*)(QWebHistory*)(QWebHistory*)xptr;
	  default: return xptr;
	}
      case 56:	//QWebHistoryInterface
	switch(to) {
	    case 29: return (void*)(QObject*)(QWebHistoryInterface*)xptr;
	    case 56: return (void*)(QWebHistoryInterface*)(QWebHistoryInterface*)xptr;
	  default: return xptr;
	}
      case 57:	//QWebHistoryItem
	switch(to) {
	    case 57: return (void*)(QWebHistoryItem*)(QWebHistoryItem*)xptr;
	  default: return xptr;
	}
      case 58:	//QWebHitTestResult
	switch(to) {
	    case 58: return (void*)(QWebHitTestResult*)(QWebHitTestResult*)xptr;
	  default: return xptr;
	}
      case 59:	//QWebPage
	switch(to) {
	    case 29: return (void*)(QObject*)(QWebPage*)xptr;
	    case 59: return (void*)(QWebPage*)(QWebPage*)xptr;
	  default: return xptr;
	}
      case 60:	//QWebPage::ChooseMultipleFilesExtensionOption
	switch(to) {
	    case 60: return (void*)(QWebPage::ChooseMultipleFilesExtensionOption*)(QWebPage::ChooseMultipleFilesExtensionOption*)xptr;
	  default: return xptr;
	}
      case 61:	//QWebPage::ChooseMultipleFilesExtensionReturn
	switch(to) {
	    case 61: return (void*)(QWebPage::ChooseMultipleFilesExtensionReturn*)(QWebPage::ChooseMultipleFilesExtensionReturn*)xptr;
	  default: return xptr;
	}
      case 62:	//QWebPluginFactory
	switch(to) {
	    case 29: return (void*)(QObject*)(QWebPluginFactory*)xptr;
	    case 62: return (void*)(QWebPluginFactory*)(QWebPluginFactory*)xptr;
	  default: return xptr;
	}
      case 63:	//QWebSecurityOrigin
	switch(to) {
	    case 63: return (void*)(QWebSecurityOrigin*)(QWebSecurityOrigin*)xptr;
	  default: return xptr;
	}
      case 64:	//QWebSettings
	switch(to) {
	    case 64: return (void*)(QWebSettings*)(QWebSettings*)xptr;
	  default: return xptr;
	}
      case 65:	//QWebView
	switch(to) {
	    case 67: return (void*)(QWidget*)(QWebView*)xptr;
	    case 29: return (void*)(QObject*)(QWebView*)xptr;
	    case 30: return (void*)(QPaintDevice*)(QWebView*)xptr;
	    case 65: return (void*)(QWebView*)(QWebView*)xptr;
	  default: return xptr;
	}
      case 66:	//QWheelEvent
	switch(to) {
	    case 12: return (void*)(QEvent*)(QWheelEvent*)xptr;
	    case 66: return (void*)(QWheelEvent*)(QWheelEvent*)xptr;
	  default: return xptr;
	}
      case 67:	//QWidget
	switch(to) {
	    case 29: return (void*)(QObject*)(QWidget*)xptr;
	    case 30: return (void*)(QPaintDevice*)(QWidget*)xptr;
	    case 67: return (void*)(QWidget*)(QWidget*)xptr;
	    case 22: return (void*)(QMenu*)(QWidget*)xptr;
	    case 65: return (void*)(QWebView*)(QWidget*)xptr;
	  default: return xptr;
	}
      default: return xptr;
    }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index qtwebkit_inheritanceList[] = {
	0,	// 0: (no super class)
	29, 0,	// 1: QObject
	67, 0,	// 3: QWidget
};

// These are the xenum functions for manipulating enum pointers
void xenum_QWebPluginFactory(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebPage(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebSettings(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QWebDatabase(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebFrame(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHistory(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHistoryInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHistoryItem(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHitTestResult(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ChooseMultipleFilesExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ChooseMultipleFilesExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebSecurityOrigin(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebSettings(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebView(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, index into inheritanceList, method dispatcher, enum dispatcher, class flags
static Smoke::Class qtwebkit_classes[] = {
	{ 0L, false, 0, 0, 0, 0 }, 	// 0 (no class)
	{ "QAction", true, 0, 0, 0, 0 }, 	// 1
	{ "QActionEvent", true, 0, 0, 0, 0 }, 	// 2
	{ "QByteArray", true, 0, 0, 0, 0 }, 	// 3
	{ "QChildEvent", true, 0, 0, 0, 0 }, 	// 4
	{ "QCloseEvent", true, 0, 0, 0, 0 }, 	// 5
	{ "QContextMenuEvent", true, 0, 0, 0, 0 }, 	// 6
	{ "QDateTime", true, 0, 0, 0, 0 }, 	// 7
	{ "QDragEnterEvent", true, 0, 0, 0, 0 }, 	// 8
	{ "QDragLeaveEvent", true, 0, 0, 0, 0 }, 	// 9
	{ "QDragMoveEvent", true, 0, 0, 0, 0 }, 	// 10
	{ "QDropEvent", true, 0, 0, 0, 0 }, 	// 11
	{ "QEvent", true, 0, 0, 0, 0 }, 	// 12
	{ "QFocusEvent", true, 0, 0, 0, 0 }, 	// 13
	{ "QFont", true, 0, 0, 0, 0 }, 	// 14
	{ "QHideEvent", true, 0, 0, 0, 0 }, 	// 15
	{ "QIcon", true, 0, 0, 0, 0 }, 	// 16
	{ "QImage", true, 0, 0, 0, 0 }, 	// 17
	{ "QInputMethodEvent", true, 0, 0, 0, 0 }, 	// 18
	{ "QKeyEvent", true, 0, 0, 0, 0 }, 	// 19
	{ "QLine", true, 0, 0, 0, 0 }, 	// 20
	{ "QLineF", true, 0, 0, 0, 0 }, 	// 21
	{ "QMenu", true, 0, 0, 0, 0 }, 	// 22
	{ "QMetaObject", true, 0, 0, 0, 0 }, 	// 23
	{ "QMouseEvent", true, 0, 0, 0, 0 }, 	// 24
	{ "QMoveEvent", true, 0, 0, 0, 0 }, 	// 25
	{ "QNetworkAccessManager", true, 0, 0, 0, 0 }, 	// 26
	{ "QNetworkReply", true, 0, 0, 0, 0 }, 	// 27
	{ "QNetworkRequest", true, 0, 0, 0, 0 }, 	// 28
	{ "QObject", true, 0, 0, 0, 0 }, 	// 29
	{ "QPaintDevice", true, 0, 0, 0, 0 }, 	// 30
	{ "QPaintEngine", true, 0, 0, 0, 0 }, 	// 31
	{ "QPaintEngineState", true, 0, 0, 0, 0 }, 	// 32
	{ "QPaintEvent", true, 0, 0, 0, 0 }, 	// 33
	{ "QPainter", true, 0, 0, 0, 0 }, 	// 34
	{ "QPainterPath", true, 0, 0, 0, 0 }, 	// 35
	{ "QPalette", true, 0, 0, 0, 0 }, 	// 36
	{ "QPixmap", true, 0, 0, 0, 0 }, 	// 37
	{ "QPoint", true, 0, 0, 0, 0 }, 	// 38
	{ "QPointF", true, 0, 0, 0, 0 }, 	// 39
	{ "QPrinter", true, 0, 0, 0, 0 }, 	// 40
	{ "QRect", true, 0, 0, 0, 0 }, 	// 41
	{ "QRectF", true, 0, 0, 0, 0 }, 	// 42
	{ "QRegion", true, 0, 0, 0, 0 }, 	// 43
	{ "QResizeEvent", true, 0, 0, 0, 0 }, 	// 44
	{ "QShowEvent", true, 0, 0, 0, 0 }, 	// 45
	{ "QSize", true, 0, 0, 0, 0 }, 	// 46
	{ "QStyle", true, 0, 0, 0, 0 }, 	// 47
	{ "QTabletEvent", true, 0, 0, 0, 0 }, 	// 48
	{ "QTimerEvent", true, 0, 0, 0, 0 }, 	// 49
	{ "QUndoStack", true, 0, 0, 0, 0 }, 	// 50
	{ "QUrl", true, 0, 0, 0, 0 }, 	// 51
	{ "QVariant", true, 0, 0, 0, 0 }, 	// 52
	{ "QWebDatabase", false, 0, xcall_QWebDatabase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//53
	{ "QWebFrame", false, 1, xcall_QWebFrame, 0, Smoke::cf_virtual }, 	//54
	{ "QWebHistory", false, 0, xcall_QWebHistory, 0, 0 }, 	//55
	{ "QWebHistoryInterface", false, 1, xcall_QWebHistoryInterface, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//56
	{ "QWebHistoryItem", false, 0, xcall_QWebHistoryItem, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//57
	{ "QWebHitTestResult", false, 0, xcall_QWebHitTestResult, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//58
	{ "QWebPage", false, 1, xcall_QWebPage, xenum_QWebPage, Smoke::cf_constructor|Smoke::cf_virtual }, 	//59
	{ "QWebPage::ChooseMultipleFilesExtensionOption", false, 0, xcall_QWebPage__ChooseMultipleFilesExtensionOption, 0, Smoke::cf_constructor }, 	//60
	{ "QWebPage::ChooseMultipleFilesExtensionReturn", false, 0, xcall_QWebPage__ChooseMultipleFilesExtensionReturn, 0, Smoke::cf_constructor }, 	//61
	{ "QWebPluginFactory", false, 1, xcall_QWebPluginFactory, xenum_QWebPluginFactory, Smoke::cf_constructor|Smoke::cf_virtual }, 	//62
	{ "QWebSecurityOrigin", false, 0, xcall_QWebSecurityOrigin, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//63
	{ "QWebSettings", false, 0, xcall_QWebSettings, xenum_QWebSettings, 0 }, 	//64
	{ "QWebView", false, 3, xcall_QWebView, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//65
	{ "QWheelEvent", true, 0, 0, 0, 0 }, 	// 66
	{ "QWidget", true, 0, 0, 0, 0 }, 	// 67
	{ "Qt", true, 0, 0, 0, 0 }, 	// 68
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type qtwebkit_types[] = {
	{ 0, 0, 0 },	//0 (no type)
	{ "QAbstractFileEngine::FileFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//1
	{ "QAbstractFileEngine::FileFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//2
	{ "QAbstractItemView::EditTriggers", 0, Smoke::t_uint | Smoke::tf_stack },	//3
	{ "QAbstractItemView::EditTriggers&", 0, Smoke::t_voidp | Smoke::tf_ref },	//4
	{ "QAbstractPrintDialog::PrintDialogOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//5
	{ "QAbstractPrintDialog::PrintDialogOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//6
	{ "QAbstractSpinBox::StepEnabled", 0, Smoke::t_uint | Smoke::tf_stack },	//7
	{ "QAbstractSpinBox::StepEnabled&", 0, Smoke::t_voidp | Smoke::tf_ref },	//8
	{ "QAccessible::Relation", 0, Smoke::t_uint | Smoke::tf_stack },	//9
	{ "QAccessible::Relation&", 0, Smoke::t_voidp | Smoke::tf_ref },	//10
	{ "QAccessible::State", 0, Smoke::t_uint | Smoke::tf_stack },	//11
	{ "QAccessible::State&", 0, Smoke::t_voidp | Smoke::tf_ref },	//12
	{ "QAction*", 1, Smoke::t_class | Smoke::tf_ptr },	//13
	{ "QActionEvent*", 2, Smoke::t_class | Smoke::tf_ptr },	//14
	{ "QChildEvent*", 4, Smoke::t_class | Smoke::tf_ptr },	//15
	{ "QCloseEvent*", 5, Smoke::t_class | Smoke::tf_ptr },	//16
	{ "QColorDialog::ColorDialogOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//17
	{ "QColorDialog::ColorDialogOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//18
	{ "QContextMenuEvent*", 6, Smoke::t_class | Smoke::tf_ptr },	//19
	{ "QDBusConnection::RegisterOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//20
	{ "QDBusConnection::RegisterOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//21
	{ "QDateTime", 7, Smoke::t_class | Smoke::tf_stack },	//22
	{ "QDateTimeEdit::Sections", 0, Smoke::t_uint | Smoke::tf_stack },	//23
	{ "QDateTimeEdit::Sections&", 0, Smoke::t_voidp | Smoke::tf_ref },	//24
	{ "QDialogButtonBox::StandardButtons", 0, Smoke::t_uint | Smoke::tf_stack },	//25
	{ "QDialogButtonBox::StandardButtons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//26
	{ "QDir::Filters", 0, Smoke::t_uint | Smoke::tf_stack },	//27
	{ "QDir::Filters&", 0, Smoke::t_voidp | Smoke::tf_ref },	//28
	{ "QDir::SortFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//29
	{ "QDir::SortFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//30
	{ "QDirIterator::IteratorFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//31
	{ "QDirIterator::IteratorFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//32
	{ "QDockWidget::DockWidgetFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//33
	{ "QDockWidget::DockWidgetFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//34
	{ "QDragEnterEvent*", 8, Smoke::t_class | Smoke::tf_ptr },	//35
	{ "QDragLeaveEvent*", 9, Smoke::t_class | Smoke::tf_ptr },	//36
	{ "QDragMoveEvent*", 10, Smoke::t_class | Smoke::tf_ptr },	//37
	{ "QDropEvent*", 11, Smoke::t_class | Smoke::tf_ptr },	//38
	{ "QEvent*", 12, Smoke::t_class | Smoke::tf_ptr },	//39
	{ "QEventLoop::ProcessEventsFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//40
	{ "QEventLoop::ProcessEventsFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//41
	{ "QFile::Permissions", 0, Smoke::t_uint | Smoke::tf_stack },	//42
	{ "QFile::Permissions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//43
	{ "QFileDialog::Options", 0, Smoke::t_uint | Smoke::tf_stack },	//44
	{ "QFileDialog::Options&", 0, Smoke::t_voidp | Smoke::tf_ref },	//45
	{ "QFocusEvent*", 13, Smoke::t_class | Smoke::tf_ptr },	//46
	{ "QFontComboBox::FontFilters", 0, Smoke::t_uint | Smoke::tf_stack },	//47
	{ "QFontComboBox::FontFilters&", 0, Smoke::t_voidp | Smoke::tf_ref },	//48
	{ "QFontDialog::FontDialogOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//49
	{ "QFontDialog::FontDialogOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//50
	{ "QGL::FormatOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//51
	{ "QGL::FormatOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//52
	{ "QGLFormat::OpenGLVersionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//53
	{ "QGLFormat::OpenGLVersionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//54
	{ "QGraphicsItem::GraphicsItemFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//55
	{ "QGraphicsItem::GraphicsItemFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//56
	{ "QGraphicsScene::SceneLayers", 0, Smoke::t_uint | Smoke::tf_stack },	//57
	{ "QGraphicsScene::SceneLayers&", 0, Smoke::t_voidp | Smoke::tf_ref },	//58
	{ "QGraphicsView::CacheMode", 0, Smoke::t_uint | Smoke::tf_stack },	//59
	{ "QGraphicsView::CacheMode&", 0, Smoke::t_voidp | Smoke::tf_ref },	//60
	{ "QGraphicsView::OptimizationFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//61
	{ "QGraphicsView::OptimizationFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//62
	{ "QHideEvent*", 15, Smoke::t_class | Smoke::tf_ptr },	//63
	{ "QIODevice::OpenMode", 0, Smoke::t_uint | Smoke::tf_stack },	//64
	{ "QIODevice::OpenMode&", 0, Smoke::t_voidp | Smoke::tf_ref },	//65
	{ "QIcon", 16, Smoke::t_class | Smoke::tf_stack },	//66
	{ "QInputDialog::InputDialogOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//67
	{ "QInputDialog::InputDialogOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//68
	{ "QInputMethodEvent*", 18, Smoke::t_class | Smoke::tf_ptr },	//69
	{ "QItemSelectionModel::SelectionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//70
	{ "QItemSelectionModel::SelectionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//71
	{ "QKeyEvent*", 19, Smoke::t_class | Smoke::tf_ptr },	//72
	{ "QLibrary::LoadHints", 0, Smoke::t_uint | Smoke::tf_stack },	//73
	{ "QLibrary::LoadHints&", 0, Smoke::t_voidp | Smoke::tf_ref },	//74
	{ "QList<QWebDatabase>", 0, Smoke::t_voidp | Smoke::tf_stack },	//75
	{ "QList<QWebFrame*>", 0, Smoke::t_voidp | Smoke::tf_stack },	//76
	{ "QList<QWebHistoryItem>", 0, Smoke::t_voidp | Smoke::tf_stack },	//77
	{ "QList<QWebPluginFactory::Plugin>", 0, Smoke::t_voidp | Smoke::tf_stack },	//78
	{ "QList<QWebSecurityOrigin>", 0, Smoke::t_voidp | Smoke::tf_stack },	//79
	{ "QLocale::NumberOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//80
	{ "QLocale::NumberOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//81
	{ "QMainWindow::DockOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//82
	{ "QMainWindow::DockOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//83
	{ "QMdiArea::AreaOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//84
	{ "QMdiArea::AreaOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//85
	{ "QMdiSubWindow::SubWindowOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//86
	{ "QMdiSubWindow::SubWindowOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//87
	{ "QMenu*", 22, Smoke::t_class | Smoke::tf_ptr },	//88
	{ "QMessageBox::StandardButtons", 0, Smoke::t_uint | Smoke::tf_stack },	//89
	{ "QMessageBox::StandardButtons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//90
	{ "QMetaObject::Call", 23, Smoke::t_enum | Smoke::tf_stack },	//91
	{ "QMouseEvent*", 24, Smoke::t_class | Smoke::tf_ptr },	//92
	{ "QMoveEvent*", 25, Smoke::t_class | Smoke::tf_ptr },	//93
	{ "QMultiMap<QString,QString>", 0, Smoke::t_voidp | Smoke::tf_stack },	//94
	{ "QNetworkAccessManager*", 26, Smoke::t_class | Smoke::tf_ptr },	//95
	{ "QNetworkAccessManager::Operation", 26, Smoke::t_enum | Smoke::tf_stack },	//96
	{ "QNetworkInterface::InterfaceFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//97
	{ "QNetworkInterface::InterfaceFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//98
	{ "QNetworkProxy::Capabilities", 0, Smoke::t_uint | Smoke::tf_stack },	//99
	{ "QNetworkProxy::Capabilities&", 0, Smoke::t_voidp | Smoke::tf_ref },	//100
	{ "QNetworkReply*", 27, Smoke::t_class | Smoke::tf_ptr },	//101
	{ "QNetworkRequest&", 28, Smoke::t_class | Smoke::tf_ref },	//102
	{ "QObject*", 29, Smoke::t_class | Smoke::tf_ptr },	//103
	{ "QPageSetupDialog::PageSetupDialogOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//104
	{ "QPageSetupDialog::PageSetupDialogOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//105
	{ "QPaintDevice*", 30, Smoke::t_class | Smoke::tf_ptr },	//106
	{ "QPaintDevice::PaintDeviceMetric", 30, Smoke::t_enum | Smoke::tf_stack },	//107
	{ "QPaintEngine*", 31, Smoke::t_class | Smoke::tf_ptr },	//108
	{ "QPaintEngine::DirtyFlag", 31, Smoke::t_enum | Smoke::tf_stack },	//109
	{ "QPaintEngine::DirtyFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//110
	{ "QPaintEngine::DirtyFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//111
	{ "QPaintEngine::PaintEngineFeature", 31, Smoke::t_enum | Smoke::tf_stack },	//112
	{ "QPaintEngine::PaintEngineFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//113
	{ "QPaintEngine::PaintEngineFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//114
	{ "QPaintEngine::PolygonDrawMode", 31, Smoke::t_enum | Smoke::tf_stack },	//115
	{ "QPaintEngine::Type", 31, Smoke::t_enum | Smoke::tf_stack },	//116
	{ "QPaintEvent*", 33, Smoke::t_class | Smoke::tf_ptr },	//117
	{ "QPainter*", 34, Smoke::t_class | Smoke::tf_ptr },	//118
	{ "QPainter::RenderHints", 0, Smoke::t_uint | Smoke::tf_stack },	//119
	{ "QPainter::RenderHints&", 0, Smoke::t_voidp | Smoke::tf_ref },	//120
	{ "QPainterPath::ElementType", 35, Smoke::t_enum | Smoke::tf_stack },	//121
	{ "QPalette", 36, Smoke::t_class | Smoke::tf_stack },	//122
	{ "QPixmap", 37, Smoke::t_class | Smoke::tf_stack },	//123
	{ "QPixmap::Type", 37, Smoke::t_enum | Smoke::tf_stack },	//124
	{ "QPoint", 38, Smoke::t_class | Smoke::tf_stack },	//125
	{ "QPrinter*", 40, Smoke::t_class | Smoke::tf_ptr },	//126
	{ "QRect", 41, Smoke::t_class | Smoke::tf_stack },	//127
	{ "QRect&", 41, Smoke::t_class | Smoke::tf_ref },	//128
	{ "QResizeEvent*", 44, Smoke::t_class | Smoke::tf_ptr },	//129
	{ "QScriptEngine::ValueOwnership", 0, Smoke::t_voidp | Smoke::tf_stack },	//130
	{ "QShowEvent*", 45, Smoke::t_class | Smoke::tf_ptr },	//131
	{ "QSize", 46, Smoke::t_class | Smoke::tf_stack },	//132
	{ "QSizePolicy::ControlTypes", 0, Smoke::t_uint | Smoke::tf_stack },	//133
	{ "QSizePolicy::ControlTypes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//134
	{ "QSql::ParamType", 0, Smoke::t_uint | Smoke::tf_stack },	//135
	{ "QSql::ParamType&", 0, Smoke::t_voidp | Smoke::tf_ref },	//136
	{ "QString", 0, Smoke::t_voidp | Smoke::tf_stack },	//137
	{ "QString&", 0, Smoke::t_voidp | Smoke::tf_ref },	//138
	{ "QString*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//139
	{ "QString::SectionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//140
	{ "QString::SectionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//141
	{ "QStringList", 0, Smoke::t_voidp | Smoke::tf_stack },	//142
	{ "QStyle&", 47, Smoke::t_class | Smoke::tf_ref },	//143
	{ "QStyle::State", 0, Smoke::t_uint | Smoke::tf_stack },	//144
	{ "QStyle::State&", 0, Smoke::t_voidp | Smoke::tf_ref },	//145
	{ "QStyle::SubControls", 0, Smoke::t_uint | Smoke::tf_stack },	//146
	{ "QStyle::SubControls&", 0, Smoke::t_voidp | Smoke::tf_ref },	//147
	{ "QStyleOptionButton::ButtonFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//148
	{ "QStyleOptionButton::ButtonFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//149
	{ "QStyleOptionFrameV2::FrameFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//150
	{ "QStyleOptionFrameV2::FrameFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//151
	{ "QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//152
	{ "QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//153
	{ "QStyleOptionTab::CornerWidgets", 0, Smoke::t_uint | Smoke::tf_stack },	//154
	{ "QStyleOptionTab::CornerWidgets&", 0, Smoke::t_voidp | Smoke::tf_ref },	//155
	{ "QStyleOptionToolBar::ToolBarFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//156
	{ "QStyleOptionToolBar::ToolBarFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//157
	{ "QStyleOptionToolButton::ToolButtonFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//158
	{ "QStyleOptionToolButton::ToolButtonFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//159
	{ "QStyleOptionViewItemV2::ViewItemFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//160
	{ "QStyleOptionViewItemV2::ViewItemFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//161
	{ "QTabletEvent*", 48, Smoke::t_class | Smoke::tf_ptr },	//162
	{ "QTextBoundaryFinder::BoundaryReasons", 0, Smoke::t_uint | Smoke::tf_stack },	//163
	{ "QTextBoundaryFinder::BoundaryReasons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//164
	{ "QTextCodec::ConversionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//165
	{ "QTextCodec::ConversionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//166
	{ "QTextDocument::FindFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//167
	{ "QTextDocument::FindFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//168
	{ "QTextEdit::AutoFormatting", 0, Smoke::t_uint | Smoke::tf_stack },	//169
	{ "QTextEdit::AutoFormatting&", 0, Smoke::t_voidp | Smoke::tf_ref },	//170
	{ "QTextFormat::PageBreakFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//171
	{ "QTextFormat::PageBreakFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//172
	{ "QTextItem::RenderFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//173
	{ "QTextItem::RenderFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//174
	{ "QTextOption::Flags", 0, Smoke::t_uint | Smoke::tf_stack },	//175
	{ "QTextOption::Flags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//176
	{ "QTextStream::NumberFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//177
	{ "QTextStream::NumberFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//178
	{ "QTimerEvent*", 49, Smoke::t_class | Smoke::tf_ptr },	//179
	{ "QTreeWidgetItemIterator::IteratorFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//180
	{ "QTreeWidgetItemIterator::IteratorFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//181
	{ "QUdpSocket::BindMode", 0, Smoke::t_uint | Smoke::tf_stack },	//182
	{ "QUdpSocket::BindMode&", 0, Smoke::t_voidp | Smoke::tf_ref },	//183
	{ "QUndoStack*", 50, Smoke::t_class | Smoke::tf_ptr },	//184
	{ "QUrl", 51, Smoke::t_class | Smoke::tf_stack },	//185
	{ "QUrl&", 51, Smoke::t_class | Smoke::tf_ref },	//186
	{ "QUrl::FormattingOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//187
	{ "QUrl::FormattingOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//188
	{ "QVariant", 52, Smoke::t_class | Smoke::tf_stack },	//189
	{ "QWebDatabase&", 53, Smoke::t_class | Smoke::tf_ref },	//190
	{ "QWebDatabase*", 53, Smoke::t_class | Smoke::tf_ptr },	//191
	{ "QWebFrame*", 54, Smoke::t_class | Smoke::tf_ptr },	//192
	{ "QWebHistory*", 55, Smoke::t_class | Smoke::tf_ptr },	//193
	{ "QWebHistoryInterface*", 56, Smoke::t_class | Smoke::tf_ptr },	//194
	{ "QWebHistoryItem", 57, Smoke::t_class | Smoke::tf_stack },	//195
	{ "QWebHistoryItem&", 57, Smoke::t_class | Smoke::tf_ref },	//196
	{ "QWebHistoryItem*", 57, Smoke::t_class | Smoke::tf_ptr },	//197
	{ "QWebHitTestResult", 58, Smoke::t_class | Smoke::tf_stack },	//198
	{ "QWebHitTestResult&", 58, Smoke::t_class | Smoke::tf_ref },	//199
	{ "QWebHitTestResult*", 58, Smoke::t_class | Smoke::tf_ptr },	//200
	{ "QWebPage*", 59, Smoke::t_class | Smoke::tf_ptr },	//201
	{ "QWebPage::ChooseMultipleFilesExtensionOption*", 60, Smoke::t_class | Smoke::tf_ptr },	//202
	{ "QWebPage::ChooseMultipleFilesExtensionReturn*", 61, Smoke::t_class | Smoke::tf_ptr },	//203
	{ "QWebPage::Extension", 59, Smoke::t_enum | Smoke::tf_stack },	//204
	{ "QWebPage::ExtensionReturn*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//205
	{ "QWebPage::FindFlag", 59, Smoke::t_enum | Smoke::tf_stack },	//206
	{ "QWebPage::FindFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//207
	{ "QWebPage::FindFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//208
	{ "QWebPage::LinkDelegationPolicy", 59, Smoke::t_enum | Smoke::tf_stack },	//209
	{ "QWebPage::NavigationType", 59, Smoke::t_enum | Smoke::tf_stack },	//210
	{ "QWebPage::WebAction", 59, Smoke::t_enum | Smoke::tf_stack },	//211
	{ "QWebPage::WebWindowType", 59, Smoke::t_enum | Smoke::tf_stack },	//212
	{ "QWebPluginFactory*", 62, Smoke::t_class | Smoke::tf_ptr },	//213
	{ "QWebPluginFactory::Extension", 62, Smoke::t_enum | Smoke::tf_stack },	//214
	{ "QWebPluginFactory::ExtensionReturn*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//215
	{ "QWebSecurityOrigin", 63, Smoke::t_class | Smoke::tf_stack },	//216
	{ "QWebSecurityOrigin&", 63, Smoke::t_class | Smoke::tf_ref },	//217
	{ "QWebSecurityOrigin*", 63, Smoke::t_class | Smoke::tf_ptr },	//218
	{ "QWebSettings*", 64, Smoke::t_class | Smoke::tf_ptr },	//219
	{ "QWebSettings::FontFamily", 64, Smoke::t_enum | Smoke::tf_stack },	//220
	{ "QWebSettings::FontSize", 64, Smoke::t_enum | Smoke::tf_stack },	//221
	{ "QWebSettings::WebAttribute", 64, Smoke::t_enum | Smoke::tf_stack },	//222
	{ "QWebSettings::WebGraphic", 64, Smoke::t_enum | Smoke::tf_stack },	//223
	{ "QWebView*", 65, Smoke::t_class | Smoke::tf_ptr },	//224
	{ "QWheelEvent*", 66, Smoke::t_class | Smoke::tf_ptr },	//225
	{ "QWidget*", 67, Smoke::t_class | Smoke::tf_ptr },	//226
	{ "QWidget::RenderFlag", 67, Smoke::t_enum | Smoke::tf_stack },	//227
	{ "QWidget::RenderFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//228
	{ "QWidget::RenderFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//229
	{ "QWizard::WizardOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//230
	{ "QWizard::WizardOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//231
	{ "Qt::Alignment", 0, Smoke::t_uint | Smoke::tf_stack },	//232
	{ "Qt::Alignment&", 0, Smoke::t_voidp | Smoke::tf_ref },	//233
	{ "Qt::AlignmentFlag", 68, Smoke::t_enum | Smoke::tf_stack },	//234
	{ "Qt::AnchorAttribute", 68, Smoke::t_enum | Smoke::tf_stack },	//235
	{ "Qt::ApplicationAttribute", 68, Smoke::t_enum | Smoke::tf_stack },	//236
	{ "Qt::ArrowType", 68, Smoke::t_enum | Smoke::tf_stack },	//237
	{ "Qt::AspectRatioMode", 68, Smoke::t_enum | Smoke::tf_stack },	//238
	{ "Qt::Axis", 68, Smoke::t_enum | Smoke::tf_stack },	//239
	{ "Qt::BGMode", 68, Smoke::t_enum | Smoke::tf_stack },	//240
	{ "Qt::BrushStyle", 68, Smoke::t_enum | Smoke::tf_stack },	//241
	{ "Qt::CaseSensitivity", 68, Smoke::t_enum | Smoke::tf_stack },	//242
	{ "Qt::CheckState", 68, Smoke::t_enum | Smoke::tf_stack },	//243
	{ "Qt::ClipOperation", 68, Smoke::t_enum | Smoke::tf_stack },	//244
	{ "Qt::ConnectionType", 68, Smoke::t_enum | Smoke::tf_stack },	//245
	{ "Qt::ContextMenuPolicy", 68, Smoke::t_enum | Smoke::tf_stack },	//246
	{ "Qt::Corner", 68, Smoke::t_enum | Smoke::tf_stack },	//247
	{ "Qt::CursorShape", 68, Smoke::t_enum | Smoke::tf_stack },	//248
	{ "Qt::DateFormat", 68, Smoke::t_enum | Smoke::tf_stack },	//249
	{ "Qt::DayOfWeek", 68, Smoke::t_enum | Smoke::tf_stack },	//250
	{ "Qt::DockWidgetArea", 68, Smoke::t_enum | Smoke::tf_stack },	//251
	{ "Qt::DockWidgetAreaSizes", 68, Smoke::t_enum | Smoke::tf_stack },	//252
	{ "Qt::DockWidgetAreas", 0, Smoke::t_uint | Smoke::tf_stack },	//253
	{ "Qt::DockWidgetAreas&", 0, Smoke::t_voidp | Smoke::tf_ref },	//254
	{ "Qt::DropAction", 68, Smoke::t_enum | Smoke::tf_stack },	//255
	{ "Qt::DropActions", 0, Smoke::t_uint | Smoke::tf_stack },	//256
	{ "Qt::DropActions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//257
	{ "Qt::EventPriority", 68, Smoke::t_enum | Smoke::tf_stack },	//258
	{ "Qt::FillRule", 68, Smoke::t_enum | Smoke::tf_stack },	//259
	{ "Qt::FocusPolicy", 68, Smoke::t_enum | Smoke::tf_stack },	//260
	{ "Qt::FocusReason", 68, Smoke::t_enum | Smoke::tf_stack },	//261
	{ "Qt::GlobalColor", 68, Smoke::t_enum | Smoke::tf_stack },	//262
	{ "Qt::HitTestAccuracy", 68, Smoke::t_enum | Smoke::tf_stack },	//263
	{ "Qt::ImageConversionFlag", 68, Smoke::t_enum | Smoke::tf_stack },	//264
	{ "Qt::ImageConversionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//265
	{ "Qt::ImageConversionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//266
	{ "Qt::InputMethodQuery", 68, Smoke::t_enum | Smoke::tf_stack },	//267
	{ "Qt::ItemDataRole", 68, Smoke::t_enum | Smoke::tf_stack },	//268
	{ "Qt::ItemFlag", 68, Smoke::t_enum | Smoke::tf_stack },	//269
	{ "Qt::ItemFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//270
	{ "Qt::ItemFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//271
	{ "Qt::ItemSelectionMode", 68, Smoke::t_enum | Smoke::tf_stack },	//272
	{ "Qt::Key", 68, Smoke::t_enum | Smoke::tf_stack },	//273
	{ "Qt::KeyboardModifier", 68, Smoke::t_enum | Smoke::tf_stack },	//274
	{ "Qt::KeyboardModifiers", 0, Smoke::t_uint | Smoke::tf_stack },	//275
	{ "Qt::KeyboardModifiers&", 0, Smoke::t_voidp | Smoke::tf_ref },	//276
	{ "Qt::LayoutDirection", 68, Smoke::t_enum | Smoke::tf_stack },	//277
	{ "Qt::MaskMode", 68, Smoke::t_enum | Smoke::tf_stack },	//278
	{ "Qt::MatchFlag", 68, Smoke::t_enum | Smoke::tf_stack },	//279
	{ "Qt::MatchFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//280
	{ "Qt::MatchFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//281
	{ "Qt::Modifier", 68, Smoke::t_enum | Smoke::tf_stack },	//282
	{ "Qt::MouseButton", 68, Smoke::t_enum | Smoke::tf_stack },	//283
	{ "Qt::MouseButtons", 0, Smoke::t_uint | Smoke::tf_stack },	//284
	{ "Qt::MouseButtons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//285
	{ "Qt::Orientation", 68, Smoke::t_enum | Smoke::tf_stack },	//286
	{ "Qt::Orientations", 0, Smoke::t_uint | Smoke::tf_stack },	//287
	{ "Qt::Orientations&", 0, Smoke::t_voidp | Smoke::tf_ref },	//288
	{ "Qt::PenCapStyle", 68, Smoke::t_enum | Smoke::tf_stack },	//289
	{ "Qt::PenJoinStyle", 68, Smoke::t_enum | Smoke::tf_stack },	//290
	{ "Qt::PenStyle", 68, Smoke::t_enum | Smoke::tf_stack },	//291
	{ "Qt::ScrollBarPolicy", 68, Smoke::t_enum | Smoke::tf_stack },	//292
	{ "Qt::ShortcutContext", 68, Smoke::t_enum | Smoke::tf_stack },	//293
	{ "Qt::SizeHint", 68, Smoke::t_enum | Smoke::tf_stack },	//294
	{ "Qt::SizeMode", 68, Smoke::t_enum | Smoke::tf_stack },	//295
	{ "Qt::SortOrder", 68, Smoke::t_enum | Smoke::tf_stack },	//296
	{ "Qt::TextElideMode", 68, Smoke::t_enum | Smoke::tf_stack },	//297
	{ "Qt::TextFlag", 68, Smoke::t_enum | Smoke::tf_stack },	//298
	{ "Qt::TextFormat", 68, Smoke::t_enum | Smoke::tf_stack },	//299
	{ "Qt::TextInteractionFlag", 68, Smoke::t_enum | Smoke::tf_stack },	//300
	{ "Qt::TextInteractionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//301
	{ "Qt::TextInteractionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//302
	{ "Qt::TimeSpec", 68, Smoke::t_enum | Smoke::tf_stack },	//303
	{ "Qt::ToolBarArea", 68, Smoke::t_enum | Smoke::tf_stack },	//304
	{ "Qt::ToolBarAreaSizes", 68, Smoke::t_enum | Smoke::tf_stack },	//305
	{ "Qt::ToolBarAreas", 0, Smoke::t_uint | Smoke::tf_stack },	//306
	{ "Qt::ToolBarAreas&", 0, Smoke::t_voidp | Smoke::tf_ref },	//307
	{ "Qt::ToolButtonStyle", 68, Smoke::t_enum | Smoke::tf_stack },	//308
	{ "Qt::TransformationMode", 68, Smoke::t_enum | Smoke::tf_stack },	//309
	{ "Qt::UIEffect", 68, Smoke::t_enum | Smoke::tf_stack },	//310
	{ "Qt::WhiteSpaceMode", 68, Smoke::t_enum | Smoke::tf_stack },	//311
	{ "Qt::WidgetAttribute", 68, Smoke::t_enum | Smoke::tf_stack },	//312
	{ "Qt::WindowFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//313
	{ "Qt::WindowFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//314
	{ "Qt::WindowFrameSection", 68, Smoke::t_enum | Smoke::tf_stack },	//315
	{ "Qt::WindowModality", 68, Smoke::t_enum | Smoke::tf_stack },	//316
	{ "Qt::WindowState", 68, Smoke::t_enum | Smoke::tf_stack },	//317
	{ "Qt::WindowStates", 0, Smoke::t_uint | Smoke::tf_stack },	//318
	{ "Qt::WindowStates&", 0, Smoke::t_voidp | Smoke::tf_ref },	//319
	{ "Qt::WindowType", 68, Smoke::t_enum | Smoke::tf_stack },	//320
	{ "bool", 0, Smoke::t_bool | Smoke::tf_stack },	//321
	{ "const QByteArray&", 3, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//322
	{ "const QFont&", 14, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//323
	{ "const QImage&", 17, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//324
	{ "const QLine*", 20, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//325
	{ "const QLineF*", 21, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//326
	{ "const QMetaObject", 23, Smoke::t_class | Smoke::tf_stack | Smoke::tf_const },	//327
	{ "const QMetaObject*", 23, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//328
	{ "const QNetworkRequest&", 28, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//329
	{ "const QPaintEngineState&", 32, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//330
	{ "const QPainterPath&", 35, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//331
	{ "const QPalette&", 36, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//332
	{ "const QPixmap&", 37, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//333
	{ "const QPoint&", 38, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//334
	{ "const QPoint*", 38, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//335
	{ "const QPointF&", 39, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//336
	{ "const QPointF*", 39, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//337
	{ "const QRect&", 41, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//338
	{ "const QRect*", 41, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//339
	{ "const QRectF&", 42, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//340
	{ "const QRectF*", 42, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//341
	{ "const QRegion&", 43, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//342
	{ "const QSize&", 46, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//343
	{ "const QString&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//344
	{ "const QStringList&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//345
	{ "const QUrl&", 51, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//346
	{ "const QVariant&", 52, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//347
	{ "const QWebDatabase&", 53, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//348
	{ "const QWebHistoryItem&", 57, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//349
	{ "const QWebHitTestResult&", 58, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//350
	{ "const QWebPage::ExtensionOption*", 0, Smoke::t_voidp | Smoke::tf_ptr | Smoke::tf_const },	//351
	{ "const QWebPluginFactory::ExtensionOption*", 0, Smoke::t_voidp | Smoke::tf_ptr | Smoke::tf_const },	//352
	{ "const QWebSecurityOrigin&", 63, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//353
	{ "const char*", 0, Smoke::t_voidp | Smoke::tf_ptr | Smoke::tf_const },	//354
	{ "int", 0, Smoke::t_int | Smoke::tf_stack },	//355
	{ "qint64", 0, Smoke::t_long | Smoke::tf_stack },	//356
	{ "qreal", 0, Smoke::t_double | Smoke::tf_stack },	//357
	{ "quint64", 0, Smoke::t_voidp | Smoke::tf_stack },	//358
	{ "void**", 0, Smoke::t_voidp | Smoke::tf_ptr },	//359
};

static Smoke::Index qtwebkit_argumentList[] = {
	0,	//0  (void)
	101, 0,	//1  QNetworkReply*  
	103, 0,	//3  QObject*  
	103, 39, 0,	//5  QObject*, QEvent*  
	107, 0,	//8  QPaintDevice::PaintDeviceMetric  
	117, 0,	//10  QPaintEvent*  
	118, 0,	//12  QPainter*  
	118, 342, 0,	//14  QPainter*, const QRegion&  
	126, 0,	//17  QPrinter*  
	129, 0,	//19  QResizeEvent*  
	131, 0,	//21  QShowEvent*  
	14, 0,	//23  QActionEvent*  
	142, 0,	//25  QStringList  
	143, 0,	//27  QStyle&  
	15, 0,	//29  QChildEvent*  
	16, 0,	//31  QCloseEvent*  
	162, 0,	//33  QTabletEvent*  
	179, 0,	//35  QTimerEvent*  
	19, 0,	//37  QContextMenuEvent*  
	192, 0,	//39  QWebFrame*  
	192, 137, 0,	//41  QWebFrame*, QString  
	192, 197, 0,	//44  QWebFrame*, QWebHistoryItem*  
	192, 329, 210, 0,	//47  QWebFrame*, const QNetworkRequest&, QWebPage::NavigationType  
	192, 344, 0,	//51  QWebFrame*, const QString&  
	192, 344, 344, 139, 0,	//54  QWebFrame*, const QString&, const QString&, QString*  
	194, 0,	//59  QWebHistoryInterface*  
	201, 0,	//61  QWebPage*  
	204, 0,	//63  QWebPage::Extension  
	204, 351, 0,	//65  QWebPage::Extension, const QWebPage::ExtensionOption*  
	204, 351, 205, 0,	//68  QWebPage::Extension, const QWebPage::ExtensionOption*, QWebPage::ExtensionReturn*  
	209, 0,	//72  QWebPage::LinkDelegationPolicy  
	211, 0,	//74  QWebPage::WebAction  
	211, 321, 0,	//76  QWebPage::WebAction, bool  
	212, 0,	//79  QWebPage::WebWindowType  
	213, 0,	//81  QWebPluginFactory*  
	214, 0,	//83  QWebPluginFactory::Extension  
	214, 352, 0,	//85  QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*  
	214, 352, 215, 0,	//88  QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*, QWebPluginFactory::ExtensionReturn*  
	220, 0,	//92  QWebSettings::FontFamily  
	220, 344, 0,	//94  QWebSettings::FontFamily, const QString&  
	221, 0,	//97  QWebSettings::FontSize  
	221, 355, 0,	//99  QWebSettings::FontSize, int  
	222, 0,	//102  QWebSettings::WebAttribute  
	222, 321, 0,	//104  QWebSettings::WebAttribute, bool  
	223, 0,	//107  QWebSettings::WebGraphic  
	223, 333, 0,	//109  QWebSettings::WebGraphic, const QPixmap&  
	225, 0,	//112  QWheelEvent*  
	226, 0,	//114  QWidget*  
	267, 0,	//116  Qt::InputMethodQuery  
	286, 0,	//118  Qt::Orientation  
	286, 292, 0,	//120  Qt::Orientation, Qt::ScrollBarPolicy  
	286, 355, 0,	//123  Qt::Orientation, int  
	321, 0,	//126  bool  
	322, 0,	//128  const QByteArray&  
	322, 344, 0,	//130  const QByteArray&, const QString&  
	322, 344, 346, 0,	//133  const QByteArray&, const QString&, const QUrl&  
	323, 0,	//137  const QFont&  
	329, 0,	//139  const QNetworkRequest&  
	329, 96, 0,	//141  const QNetworkRequest&, QNetworkAccessManager::Operation  
	329, 96, 322, 0,	//144  const QNetworkRequest&, QNetworkAccessManager::Operation, const QByteArray&  
	332, 0,	//148  const QPalette&  
	334, 0,	//150  const QPoint&  
	338, 0,	//152  const QRect&  
	343, 0,	//154  const QSize&  
	344, 0,	//156  const QString&  
	344, 103, 0,	//158  const QString&, QObject*  
	344, 103, 130, 0,	//161  const QString&, QObject*, QScriptEngine::ValueOwnership  
	344, 207, 0,	//165  const QString&, QWebPage::FindFlags  
	344, 344, 344, 0,	//168  const QString&, const QString&, const QString&  
	344, 346, 0,	//172  const QString&, const QUrl&  
	344, 346, 345, 345, 0,	//175  const QString&, const QUrl&, const QStringList&, const QStringList&  
	344, 355, 344, 0,	//180  const QString&, int, const QString&  
	346, 0,	//184  const QUrl&  
	347, 0,	//186  const QVariant&  
	348, 0,	//188  const QWebDatabase&  
	349, 0,	//190  const QWebHistoryItem&  
	35, 0,	//192  QDragEnterEvent*  
	350, 0,	//194  const QWebHitTestResult&  
	353, 0,	//196  const QWebSecurityOrigin&  
	354, 0,	//198  const char*  
	354, 354, 0,	//200  const char*, const char*  
	355, 0,	//203  int  
	355, 355, 0,	//205  int, int  
	355, 355, 338, 0,	//208  int, int, const QRect&  
	355, 355, 355, 0,	//212  int, int, int  
	356, 0,	//216  qint64  
	357, 0,	//218  qreal  
	36, 0,	//220  QDragLeaveEvent*  
	37, 0,	//222  QDragMoveEvent*  
	38, 0,	//224  QDropEvent*  
	39, 0,	//226  QEvent*  
	46, 0,	//228  QFocusEvent*  
	63, 0,	//230  QHideEvent*  
	69, 0,	//232  QInputMethodEvent*  
	72, 0,	//234  QKeyEvent*  
	91, 355, 359, 0,	//236  QMetaObject::Call, int, void**  
	92, 0,	//240  QMouseEvent*  
	93, 0,	//242  QMoveEvent*  
	95, 0,	//244  QNetworkAccessManager*  
};

// Raw list of all methods, using munged names
static const char *qtwebkit_methodNames[] = {
    "",	//0
    "AutoLoadImages",	//1
    "Back",	//2
    "ChooseMultipleFilesExtension",	//3
    "ChooseMultipleFilesExtensionOption",	//4
    "ChooseMultipleFilesExtensionReturn",	//5
    "Copy",	//6
    "CopyImageToClipboard",	//7
    "CopyLinkToClipboard",	//8
    "CursiveFont",	//9
    "Cut",	//10
    "DefaultFixedFontSize",	//11
    "DefaultFontSize",	//12
    "DefaultFrameIconGraphic",	//13
    "DelegateAllLinks",	//14
    "DelegateExternalLinks",	//15
    "DeleteEndOfWord",	//16
    "DeleteStartOfWord",	//17
    "DeveloperExtrasEnabled",	//18
    "DontDelegateLinks",	//19
    "DownloadImageToDisk",	//20
    "DownloadLinkToDisk",	//21
    "FantasyFont",	//22
    "FindBackward",	//23
    "FindCaseSensitively",	//24
    "FindWrapsAroundDocument",	//25
    "FixedFont",	//26
    "Forward",	//27
    "InsertLineSeparator",	//28
    "InsertParagraphSeparator",	//29
    "InspectElement",	//30
    "JavaEnabled",	//31
    "JavascriptCanAccessClipboard",	//32
    "JavascriptCanOpenWindows",	//33
    "JavascriptEnabled",	//34
    "LinksIncludedInFocusChain",	//35
    "LocalStorageDatabaseEnabled",	//36
    "MinimumFontSize",	//37
    "MinimumLogicalFontSize",	//38
    "MissingImageGraphic",	//39
    "MissingPluginGraphic",	//40
    "MoveToEndOfBlock",	//41
    "MoveToEndOfDocument",	//42
    "MoveToEndOfLine",	//43
    "MoveToNextChar",	//44
    "MoveToNextLine",	//45
    "MoveToNextWord",	//46
    "MoveToPreviousChar",	//47
    "MoveToPreviousLine",	//48
    "MoveToPreviousWord",	//49
    "MoveToStartOfBlock",	//50
    "MoveToStartOfDocument",	//51
    "MoveToStartOfLine",	//52
    "NavigationTypeBackOrForward",	//53
    "NavigationTypeFormResubmitted",	//54
    "NavigationTypeFormSubmitted",	//55
    "NavigationTypeLinkClicked",	//56
    "NavigationTypeOther",	//57
    "NavigationTypeReload",	//58
    "NoWebAction",	//59
    "OfflineStorageDatabaseEnabled",	//60
    "OfflineWebApplicationCacheEnabled",	//61
    "OpenFrameInNewWindow",	//62
    "OpenImageInNewWindow",	//63
    "OpenLink",	//64
    "OpenLinkInNewWindow",	//65
    "Paste",	//66
    "PluginsEnabled",	//67
    "PrintElementBackgrounds",	//68
    "PrivateBrowsingEnabled",	//69
    "QWebDatabase",	//70
    "QWebDatabase#",	//71
    "QWebHistoryInterface",	//72
    "QWebHistoryInterface#",	//73
    "QWebHistoryItem",	//74
    "QWebHistoryItem#",	//75
    "QWebHitTestResult",	//76
    "QWebHitTestResult#",	//77
    "QWebPage",	//78
    "QWebPage#",	//79
    "QWebPluginFactory",	//80
    "QWebPluginFactory#",	//81
    "QWebSecurityOrigin",	//82
    "QWebSecurityOrigin#",	//83
    "QWebView",	//84
    "QWebView#",	//85
    "Redo",	//86
    "Reload",	//87
    "SansSerifFont",	//88
    "SelectAll",	//89
    "SelectEndOfBlock",	//90
    "SelectEndOfDocument",	//91
    "SelectEndOfLine",	//92
    "SelectNextChar",	//93
    "SelectNextLine",	//94
    "SelectNextWord",	//95
    "SelectPreviousChar",	//96
    "SelectPreviousLine",	//97
    "SelectPreviousWord",	//98
    "SelectStartOfBlock",	//99
    "SelectStartOfDocument",	//100
    "SelectStartOfLine",	//101
    "SerifFont",	//102
    "SetTextDirectionDefault",	//103
    "SetTextDirectionLeftToRight",	//104
    "SetTextDirectionRightToLeft",	//105
    "StandardFont",	//106
    "Stop",	//107
    "TextAreaSizeGripCornerGraphic",	//108
    "ToggleBold",	//109
    "ToggleItalic",	//110
    "ToggleUnderline",	//111
    "Undo",	//112
    "WebActionCount",	//113
    "WebBrowserWindow",	//114
    "WebModalDialog",	//115
    "ZoomTextOnly",	//116
    "acceptNavigationRequest",	//117
    "acceptNavigationRequest##$",	//118
    "action",	//119
    "action$",	//120
    "actionEvent",	//121
    "actionEvent#",	//122
    "addHistoryEntry",	//123
    "addHistoryEntry$",	//124
    "addToJavaScriptWindowObject",	//125
    "addToJavaScriptWindowObject$#",	//126
    "addToJavaScriptWindowObject$#?",	//127
    "allOrigins",	//128
    "alternateText",	//129
    "back",	//130
    "backItem",	//131
    "backItems",	//132
    "backItems$",	//133
    "boundingRect",	//134
    "bytesReceived",	//135
    "canGoBack",	//136
    "canGoForward",	//137
    "changeEvent",	//138
    "changeEvent#",	//139
    "childEvent",	//140
    "childEvent#",	//141
    "childFrames",	//142
    "chooseFile",	//143
    "chooseFile#$",	//144
    "clear",	//145
    "clearIconDatabase",	//146
    "closeEvent",	//147
    "closeEvent#",	//148
    "connectNotify",	//149
    "connectNotify$",	//150
    "contentsChanged",	//151
    "contentsSize",	//152
    "contextMenuEvent",	//153
    "contextMenuEvent#",	//154
    "count",	//155
    "create",	//156
    "create$#??",	//157
    "createPlugin",	//158
    "createPlugin$#??",	//159
    "createStandardContextMenu",	//160
    "createWindow",	//161
    "createWindow$",	//162
    "currentFrame",	//163
    "currentItem",	//164
    "currentItemIndex",	//165
    "customEvent",	//166
    "customEvent#",	//167
    "databaseQuota",	//168
    "databaseQuotaExceeded",	//169
    "databaseQuotaExceeded#$",	//170
    "databaseUsage",	//171
    "databases",	//172
    "defaultInterface",	//173
    "devType",	//174
    "disconnectNotify",	//175
    "disconnectNotify$",	//176
    "displayName",	//177
    "downloadRequested",	//178
    "downloadRequested#",	//179
    "dragEnterEvent",	//180
    "dragEnterEvent#",	//181
    "dragLeaveEvent",	//182
    "dragLeaveEvent#",	//183
    "dragMoveEvent",	//184
    "dragMoveEvent#",	//185
    "dropEvent",	//186
    "dropEvent#",	//187
    "enabledChange",	//188
    "enabledChange$",	//189
    "enterEvent",	//190
    "enterEvent#",	//191
    "evaluateJavaScript",	//192
    "evaluateJavaScript$",	//193
    "event",	//194
    "event#",	//195
    "eventFilter",	//196
    "eventFilter##",	//197
    "expectedSize",	//198
    "extension",	//199
    "extension$",	//200
    "extension$?",	//201
    "extension$??",	//202
    "fileName",	//203
    "fileNames",	//204
    "findText",	//205
    "findText$",	//206
    "findText$$",	//207
    "focusInEvent",	//208
    "focusInEvent#",	//209
    "focusNextPrevChild",	//210
    "focusNextPrevChild$",	//211
    "focusOutEvent",	//212
    "focusOutEvent#",	//213
    "fontChange",	//214
    "fontChange#",	//215
    "fontFamily",	//216
    "fontFamily$",	//217
    "fontSize",	//218
    "fontSize$",	//219
    "forward",	//220
    "forwardItem",	//221
    "forwardItems",	//222
    "forwardItems$",	//223
    "forwardUnsupportedContent",	//224
    "frame",	//225
    "frameCreated",	//226
    "frameCreated#",	//227
    "frameName",	//228
    "geometry",	//229
    "geometryChangeRequested",	//230
    "geometryChangeRequested#",	//231
    "globalSettings",	//232
    "goToItem",	//233
    "goToItem#",	//234
    "heightForWidth",	//235
    "heightForWidth$",	//236
    "hideEvent",	//237
    "hideEvent#",	//238
    "history",	//239
    "historyContains",	//240
    "historyContains$",	//241
    "hitTestContent",	//242
    "hitTestContent#",	//243
    "host",	//244
    "icon",	//245
    "iconChanged",	//246
    "iconDatabasePath",	//247
    "iconForUrl",	//248
    "iconForUrl#",	//249
    "imageUrl",	//250
    "initialLayoutCompleted",	//251
    "inputMethodEvent",	//252
    "inputMethodEvent#",	//253
    "inputMethodQuery",	//254
    "inputMethodQuery$",	//255
    "isContentEditable",	//256
    "isContentSelected",	//257
    "isModified",	//258
    "isNull",	//259
    "isValid",	//260
    "itemAt",	//261
    "itemAt$",	//262
    "items",	//263
    "javaScriptAlert",	//264
    "javaScriptAlert#$",	//265
    "javaScriptConfirm",	//266
    "javaScriptConfirm#$",	//267
    "javaScriptConsoleMessage",	//268
    "javaScriptConsoleMessage$$$",	//269
    "javaScriptPrompt",	//270
    "javaScriptPrompt#$$$",	//271
    "javaScriptWindowObjectCleared",	//272
    "keyPressEvent",	//273
    "keyPressEvent#",	//274
    "keyReleaseEvent",	//275
    "keyReleaseEvent#",	//276
    "languageChange",	//277
    "lastVisited",	//278
    "leaveEvent",	//279
    "leaveEvent#",	//280
    "linkClicked",	//281
    "linkClicked#",	//282
    "linkDelegationPolicy",	//283
    "linkHovered",	//284
    "linkHovered$$$",	//285
    "linkTargetFrame",	//286
    "linkText",	//287
    "linkTitle",	//288
    "linkUrl",	//289
    "load",	//290
    "load#",	//291
    "load#$",	//292
    "load#$#",	//293
    "loadFinished",	//294
    "loadFinished$",	//295
    "loadProgress",	//296
    "loadProgress$",	//297
    "loadStarted",	//298
    "mainFrame",	//299
    "maximumItemCount",	//300
    "maximumPagesInCache",	//301
    "menuBarVisibilityChangeRequested",	//302
    "menuBarVisibilityChangeRequested$",	//303
    "metaData",	//304
    "metaObject",	//305
    "metric",	//306
    "metric$",	//307
    "microFocusChanged",	//308
    "minimumSizeHint",	//309
    "mouseDoubleClickEvent",	//310
    "mouseDoubleClickEvent#",	//311
    "mouseMoveEvent",	//312
    "mouseMoveEvent#",	//313
    "mousePressEvent",	//314
    "mousePressEvent#",	//315
    "mouseReleaseEvent",	//316
    "mouseReleaseEvent#",	//317
    "moveEvent",	//318
    "moveEvent#",	//319
    "name",	//320
    "networkAccessManager",	//321
    "offlineStorageDefaultQuota",	//322
    "offlineStoragePath",	//323
    "operator=",	//324
    "operator=#",	//325
    "origin",	//326
    "originalUrl",	//327
    "page",	//328
    "pageAction",	//329
    "pageAction$",	//330
    "paintEngine",	//331
    "paintEvent",	//332
    "paintEvent#",	//333
    "palette",	//334
    "paletteChange",	//335
    "paletteChange#",	//336
    "parentFrame",	//337
    "pixmap",	//338
    "pluginFactory",	//339
    "plugins",	//340
    "port",	//341
    "pos",	//342
    "print",	//343
    "print#",	//344
    "printRequested",	//345
    "printRequested#",	//346
    "provisionalLoad",	//347
    "qt_metacall",	//348
    "qt_metacall$$?",	//349
    "refreshPlugins",	//350
    "reload",	//351
    "removeDatabase",	//352
    "removeDatabase#",	//353
    "render",	//354
    "render#",	//355
    "render##",	//356
    "renderTreeDump",	//357
    "repaintRequested",	//358
    "repaintRequested#",	//359
    "resetAttribute",	//360
    "resetAttribute$",	//361
    "resetFontFamily",	//362
    "resetFontFamily$",	//363
    "resetFontSize",	//364
    "resetFontSize$",	//365
    "resizeEvent",	//366
    "resizeEvent#",	//367
    "restoreFrameStateRequested",	//368
    "restoreFrameStateRequested#",	//369
    "saveFrameStateRequested",	//370
    "saveFrameStateRequested##",	//371
    "scheme",	//372
    "scroll",	//373
    "scroll$$",	//374
    "scrollBarMaximum",	//375
    "scrollBarMaximum$",	//376
    "scrollBarMinimum",	//377
    "scrollBarMinimum$",	//378
    "scrollBarPolicy",	//379
    "scrollBarPolicy$",	//380
    "scrollBarValue",	//381
    "scrollBarValue$",	//382
    "scrollPosition",	//383
    "scrollRequested",	//384
    "scrollRequested$$#",	//385
    "securityOrigin",	//386
    "selectedText",	//387
    "selectionChanged",	//388
    "setAttribute",	//389
    "setAttribute$$",	//390
    "setContent",	//391
    "setContent#",	//392
    "setContent#$",	//393
    "setContent#$#",	//394
    "setContentEditable",	//395
    "setContentEditable$",	//396
    "setDatabaseQuota",	//397
    "setDatabaseQuota$",	//398
    "setDefaultInterface",	//399
    "setDefaultInterface#",	//400
    "setFileNames",	//401
    "setFileNames?",	//402
    "setFontFamily",	//403
    "setFontFamily$$",	//404
    "setFontSize",	//405
    "setFontSize$$",	//406
    "setForwardUnsupportedContent",	//407
    "setForwardUnsupportedContent$",	//408
    "setHtml",	//409
    "setHtml$",	//410
    "setHtml$#",	//411
    "setIconDatabasePath",	//412
    "setIconDatabasePath$",	//413
    "setLinkDelegationPolicy",	//414
    "setLinkDelegationPolicy$",	//415
    "setMaximumItemCount",	//416
    "setMaximumItemCount$",	//417
    "setMaximumPagesInCache",	//418
    "setMaximumPagesInCache$",	//419
    "setNetworkAccessManager",	//420
    "setNetworkAccessManager#",	//421
    "setObjectCacheCapacities",	//422
    "setObjectCacheCapacities$$$",	//423
    "setOfflineStorageDefaultQuota",	//424
    "setOfflineStorageDefaultQuota$",	//425
    "setOfflineStoragePath",	//426
    "setOfflineStoragePath$",	//427
    "setPage",	//428
    "setPage#",	//429
    "setPalette",	//430
    "setPalette#",	//431
    "setParentFrame",	//432
    "setParentFrame#",	//433
    "setPluginFactory",	//434
    "setPluginFactory#",	//435
    "setScrollBarPolicy",	//436
    "setScrollBarPolicy$$",	//437
    "setScrollBarValue",	//438
    "setScrollBarValue$$",	//439
    "setScrollPosition",	//440
    "setScrollPosition#",	//441
    "setSuggestedFileNames",	//442
    "setSuggestedFileNames?",	//443
    "setTextSizeMultiplier",	//444
    "setTextSizeMultiplier$",	//445
    "setUrl",	//446
    "setUrl#",	//447
    "setUserData",	//448
    "setUserData#",	//449
    "setUserStyleSheetUrl",	//450
    "setUserStyleSheetUrl#",	//451
    "setView",	//452
    "setView#",	//453
    "setViewportSize",	//454
    "setViewportSize#",	//455
    "setVisible",	//456
    "setVisible$",	//457
    "setWebGraphic",	//458
    "setWebGraphic$#",	//459
    "setZoomFactor",	//460
    "setZoomFactor$",	//461
    "settings",	//462
    "showEvent",	//463
    "showEvent#",	//464
    "size",	//465
    "sizeHint",	//466
    "staticMetaObject",	//467
    "statusBarMessage",	//468
    "statusBarMessage$",	//469
    "statusBarVisibilityChangeRequested",	//470
    "statusBarVisibilityChangeRequested$",	//471
    "stop",	//472
    "styleChange",	//473
    "styleChange#",	//474
    "suggestedFileNames",	//475
    "supportsExtension",	//476
    "supportsExtension$",	//477
    "swallowContextMenuEvent",	//478
    "swallowContextMenuEvent#",	//479
    "tabletEvent",	//480
    "tabletEvent#",	//481
    "testAttribute",	//482
    "testAttribute$",	//483
    "textSizeMultiplier",	//484
    "timerEvent",	//485
    "timerEvent#",	//486
    "title",	//487
    "titleChanged",	//488
    "titleChanged$",	//489
    "toHtml",	//490
    "toPlainText",	//491
    "toolBarVisibilityChangeRequested",	//492
    "toolBarVisibilityChangeRequested$",	//493
    "totalBytes",	//494
    "tr",	//495
    "tr$",	//496
    "tr$$",	//497
    "triggerAction",	//498
    "triggerAction$",	//499
    "triggerAction$$",	//500
    "triggerPageAction",	//501
    "triggerPageAction$",	//502
    "triggerPageAction$$",	//503
    "undoStack",	//504
    "unsupportedContent",	//505
    "unsupportedContent#",	//506
    "updatePositionDependentActions",	//507
    "updatePositionDependentActions#",	//508
    "url",	//509
    "urlChanged",	//510
    "urlChanged#",	//511
    "userAgentForUrl",	//512
    "userAgentForUrl#",	//513
    "userData",	//514
    "userStyleSheetUrl",	//515
    "view",	//516
    "viewportSize",	//517
    "webGraphic",	//518
    "webGraphic$",	//519
    "wheelEvent",	//520
    "wheelEvent#",	//521
    "windowActivationChange",	//522
    "windowActivationChange$",	//523
    "windowCloseRequested",	//524
    "zoomFactor",	//525
    "~ChooseMultipleFilesExtensionOption",	//526
    "~ChooseMultipleFilesExtensionReturn",	//527
    "~QWebDatabase",	//528
    "~QWebHistoryInterface",	//529
    "~QWebHistoryItem",	//530
    "~QWebHitTestResult",	//531
    "~QWebPage",	//532
    "~QWebPluginFactory",	//533
    "~QWebSecurityOrigin",	//534
    "~QWebView",	//535
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method qtwebkit_methods[] = {
	{29, 305, 0, 0, Smoke::mf_const, 328, 2},	//0 QObject::metaObject() const
	{29, 348, 236, 3, 0, 355, 3},	//1 QObject::qt_metacall(QMetaObject::Call, int, void**)
	{29, 194, 226, 1, 0, 321, 6},	//2 QObject::event(QEvent*)
	{29, 196, 5, 2, 0, 321, 7},	//3 QObject::eventFilter(QObject*, QEvent*)
	{29, 485, 35, 1, Smoke::mf_protected, 0, 49},	//4 QObject::timerEvent(QTimerEvent*)
	{29, 140, 29, 1, Smoke::mf_protected, 0, 50},	//5 QObject::childEvent(QChildEvent*)
	{29, 166, 226, 1, Smoke::mf_protected, 0, 51},	//6 QObject::customEvent(QEvent*)
	{29, 149, 198, 1, Smoke::mf_protected, 0, 52},	//7 QObject::connectNotify(const char*)
	{29, 175, 198, 1, Smoke::mf_protected, 0, 53},	//8 QObject::disconnectNotify(const char*)
	{30, 174, 0, 0, Smoke::mf_const, 355, 11},	//9 QPaintDevice::devType() const
	{30, 331, 0, 0, Smoke::mf_const, 108, 13},	//10 QPaintDevice::paintEngine() const [pure virtual]
	{30, 306, 8, 1, Smoke::mf_const|Smoke::mf_protected, 355, 25},	//11 QPaintDevice::metric(QPaintDevice::PaintDeviceMetric) const
	{53, 70, 188, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 191, 1},	//12 QWebDatabase::QWebDatabase(const QWebDatabase&)
	{53, 324, 188, 1, 0, 190, 2},	//13 QWebDatabase::operator=(const QWebDatabase&)
	{53, 528, 0, 0, Smoke::mf_dtor, 0, 10},	//14 QWebDatabase::~QWebDatabase()
	{53, 320, 0, 0, Smoke::mf_const, 137, 3},	//15 QWebDatabase::name() const
	{53, 177, 0, 0, Smoke::mf_const, 137, 4},	//16 QWebDatabase::displayName() const
	{53, 198, 0, 0, Smoke::mf_const, 356, 5},	//17 QWebDatabase::expectedSize() const
	{53, 465, 0, 0, Smoke::mf_const, 356, 6},	//18 QWebDatabase::size() const
	{53, 203, 0, 0, Smoke::mf_const, 137, 7},	//19 QWebDatabase::fileName() const
	{53, 326, 0, 0, Smoke::mf_const, 216, 8},	//20 QWebDatabase::origin() const
	{53, 352, 188, 1, Smoke::mf_static, 0, 9},	//21 QWebDatabase::removeDatabase(const QWebDatabase&)
	{54, 305, 0, 0, Smoke::mf_const, 328, 2},	//22 QWebFrame::metaObject() const
	{54, 348, 236, 3, 0, 355, 3},	//23 QWebFrame::qt_metacall(QMetaObject::Call, int, void**)
	{54, 328, 0, 0, Smoke::mf_const, 201, 4},	//24 QWebFrame::page() const
	{54, 290, 184, 1, 0, 0, 5},	//25 QWebFrame::load(const QUrl&)
	{54, 290, 144, 3, 0, 0, 6},	//26 QWebFrame::load(const QNetworkRequest&, QNetworkAccessManager::Operation, const QByteArray&)
	{54, 290, 141, 2, 0, 0, 7},	//27 QWebFrame::load(const QNetworkRequest&, QNetworkAccessManager::Operation)
	{54, 290, 139, 1, 0, 0, 8},	//28 QWebFrame::load(const QNetworkRequest&)
	{54, 409, 172, 2, 0, 0, 9},	//29 QWebFrame::setHtml(const QString&, const QUrl&)
	{54, 409, 156, 1, 0, 0, 10},	//30 QWebFrame::setHtml(const QString&)
	{54, 391, 133, 3, 0, 0, 11},	//31 QWebFrame::setContent(const QByteArray&, const QString&, const QUrl&)
	{54, 391, 130, 2, 0, 0, 12},	//32 QWebFrame::setContent(const QByteArray&, const QString&)
	{54, 391, 128, 1, 0, 0, 13},	//33 QWebFrame::setContent(const QByteArray&)
	{54, 125, 158, 2, 0, 0, 14},	//34 QWebFrame::addToJavaScriptWindowObject(const QString&, QObject*)
	{54, 125, 161, 3, 0, 0, 15},	//35 QWebFrame::addToJavaScriptWindowObject(const QString&, QObject*, QScriptEngine::ValueOwnership)
	{54, 490, 0, 0, Smoke::mf_const, 137, 16},	//36 QWebFrame::toHtml() const
	{54, 491, 0, 0, Smoke::mf_const, 137, 17},	//37 QWebFrame::toPlainText() const
	{54, 357, 0, 0, Smoke::mf_const, 137, 18},	//38 QWebFrame::renderTreeDump() const
	{54, 487, 0, 0, Smoke::mf_const, 137, 19},	//39 QWebFrame::title() const
	{54, 446, 184, 1, 0, 0, 20},	//40 QWebFrame::setUrl(const QUrl&)
	{54, 509, 0, 0, Smoke::mf_const, 185, 21},	//41 QWebFrame::url() const
	{54, 245, 0, 0, Smoke::mf_const, 66, 22},	//42 QWebFrame::icon() const
	{54, 304, 0, 0, Smoke::mf_const, 94, 23},	//43 QWebFrame::metaData() const
	{54, 228, 0, 0, Smoke::mf_const, 137, 24},	//44 QWebFrame::frameName() const
	{54, 337, 0, 0, Smoke::mf_const, 192, 25},	//45 QWebFrame::parentFrame() const
	{54, 142, 0, 0, Smoke::mf_const, 76, 26},	//46 QWebFrame::childFrames() const
	{54, 379, 118, 1, Smoke::mf_const, 292, 27},	//47 QWebFrame::scrollBarPolicy(Qt::Orientation) const
	{54, 436, 120, 2, 0, 0, 28},	//48 QWebFrame::setScrollBarPolicy(Qt::Orientation, Qt::ScrollBarPolicy)
	{54, 438, 123, 2, 0, 0, 29},	//49 QWebFrame::setScrollBarValue(Qt::Orientation, int)
	{54, 381, 118, 1, Smoke::mf_const, 355, 30},	//50 QWebFrame::scrollBarValue(Qt::Orientation) const
	{54, 377, 118, 1, Smoke::mf_const, 355, 31},	//51 QWebFrame::scrollBarMinimum(Qt::Orientation) const
	{54, 375, 118, 1, Smoke::mf_const, 355, 32},	//52 QWebFrame::scrollBarMaximum(Qt::Orientation) const
	{54, 373, 205, 2, 0, 0, 33},	//53 QWebFrame::scroll(int, int)
	{54, 383, 0, 0, Smoke::mf_const, 125, 34},	//54 QWebFrame::scrollPosition() const
	{54, 440, 150, 1, 0, 0, 35},	//55 QWebFrame::setScrollPosition(const QPoint&)
	{54, 354, 14, 2, 0, 0, 36},	//56 QWebFrame::render(QPainter*, const QRegion&)
	{54, 354, 12, 1, 0, 0, 37},	//57 QWebFrame::render(QPainter*)
	{54, 444, 218, 1, 0, 0, 38},	//58 QWebFrame::setTextSizeMultiplier(qreal)
	{54, 484, 0, 0, Smoke::mf_const, 357, 39},	//59 QWebFrame::textSizeMultiplier() const
	{54, 525, 0, 0, Smoke::mf_const, 357, 40},	//60 QWebFrame::zoomFactor() const
	{54, 460, 218, 1, 0, 0, 41},	//61 QWebFrame::setZoomFactor(qreal)
	{54, 342, 0, 0, Smoke::mf_const, 125, 42},	//62 QWebFrame::pos() const
	{54, 229, 0, 0, Smoke::mf_const, 127, 43},	//63 QWebFrame::geometry() const
	{54, 152, 0, 0, Smoke::mf_const, 132, 44},	//64 QWebFrame::contentsSize() const
	{54, 242, 150, 1, Smoke::mf_const, 198, 45},	//65 QWebFrame::hitTestContent(const QPoint&) const
	{54, 194, 226, 1, 0, 321, 46},	//66 QWebFrame::event(QEvent*)
	{54, 386, 0, 0, Smoke::mf_const, 216, 47},	//67 QWebFrame::securityOrigin() const
	{54, 192, 156, 1, 0, 189, 48},	//68 QWebFrame::evaluateJavaScript(const QString&)
	{54, 343, 17, 1, Smoke::mf_const, 0, 49},	//69 QWebFrame::print(QPrinter*) const
	{54, 495, 200, 2, Smoke::mf_static, 137, 50},	//70 QWebFrame::tr(const char*, const char*)
	{54, 495, 198, 1, Smoke::mf_static, 137, 51},	//71 QWebFrame::tr(const char*)
	{54, 467, 0, 0, Smoke::mf_static, 327, 1},	//72 QWebFrame::staticMetaObject (static var)
	{55, 145, 0, 0, 0, 0, 1},	//73 QWebHistory::clear()
	{55, 263, 0, 0, Smoke::mf_const, 77, 2},	//74 QWebHistory::items() const
	{55, 132, 203, 1, Smoke::mf_const, 77, 3},	//75 QWebHistory::backItems(int) const
	{55, 222, 203, 1, Smoke::mf_const, 77, 4},	//76 QWebHistory::forwardItems(int) const
	{55, 136, 0, 0, Smoke::mf_const, 321, 5},	//77 QWebHistory::canGoBack() const
	{55, 137, 0, 0, Smoke::mf_const, 321, 6},	//78 QWebHistory::canGoForward() const
	{55, 130, 0, 0, 0, 0, 7},	//79 QWebHistory::back()
	{55, 220, 0, 0, 0, 0, 8},	//80 QWebHistory::forward()
	{55, 233, 190, 1, 0, 0, 9},	//81 QWebHistory::goToItem(const QWebHistoryItem&)
	{55, 131, 0, 0, Smoke::mf_const, 195, 10},	//82 QWebHistory::backItem() const
	{55, 164, 0, 0, Smoke::mf_const, 195, 11},	//83 QWebHistory::currentItem() const
	{55, 221, 0, 0, Smoke::mf_const, 195, 12},	//84 QWebHistory::forwardItem() const
	{55, 261, 203, 1, Smoke::mf_const, 195, 13},	//85 QWebHistory::itemAt(int) const
	{55, 165, 0, 0, Smoke::mf_const, 355, 14},	//86 QWebHistory::currentItemIndex() const
	{55, 155, 0, 0, Smoke::mf_const, 355, 15},	//87 QWebHistory::count() const
	{55, 300, 0, 0, Smoke::mf_const, 355, 16},	//88 QWebHistory::maximumItemCount() const
	{55, 416, 203, 1, 0, 0, 17},	//89 QWebHistory::setMaximumItemCount(int)
	{56, 305, 0, 0, Smoke::mf_const, 328, 2},	//90 QWebHistoryInterface::metaObject() const
	{56, 348, 236, 3, 0, 355, 3},	//91 QWebHistoryInterface::qt_metacall(QMetaObject::Call, int, void**)
	{56, 72, 3, 1, Smoke::mf_ctor, 194, 4},	//92 QWebHistoryInterface::QWebHistoryInterface(QObject*)
	{56, 72, 0, 0, Smoke::mf_ctor, 194, 5},	//93 QWebHistoryInterface::QWebHistoryInterface()
	{56, 529, 0, 0, Smoke::mf_dtor, 0, 12},	//94 QWebHistoryInterface::~QWebHistoryInterface()
	{56, 240, 156, 1, Smoke::mf_const, 321, 6},	//95 QWebHistoryInterface::historyContains(const QString&) const [pure virtual]
	{56, 123, 156, 1, 0, 0, 7},	//96 QWebHistoryInterface::addHistoryEntry(const QString&) [pure virtual]
	{56, 495, 200, 2, Smoke::mf_static, 137, 8},	//97 QWebHistoryInterface::tr(const char*, const char*)
	{56, 495, 198, 1, Smoke::mf_static, 137, 9},	//98 QWebHistoryInterface::tr(const char*)
	{56, 399, 59, 1, Smoke::mf_static, 0, 10},	//99 QWebHistoryInterface::setDefaultInterface(QWebHistoryInterface*)
	{56, 173, 0, 0, Smoke::mf_static, 194, 11},	//100 QWebHistoryInterface::defaultInterface()
	{56, 467, 0, 0, Smoke::mf_static, 327, 1},	//101 QWebHistoryInterface::staticMetaObject (static var)
	{57, 74, 190, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 197, 1},	//102 QWebHistoryItem::QWebHistoryItem(const QWebHistoryItem&)
	{57, 324, 190, 1, 0, 196, 2},	//103 QWebHistoryItem::operator=(const QWebHistoryItem&)
	{57, 530, 0, 0, Smoke::mf_dtor, 0, 11},	//104 QWebHistoryItem::~QWebHistoryItem()
	{57, 327, 0, 0, Smoke::mf_const, 185, 3},	//105 QWebHistoryItem::originalUrl() const
	{57, 509, 0, 0, Smoke::mf_const, 185, 4},	//106 QWebHistoryItem::url() const
	{57, 487, 0, 0, Smoke::mf_const, 137, 5},	//107 QWebHistoryItem::title() const
	{57, 278, 0, 0, Smoke::mf_const, 22, 6},	//108 QWebHistoryItem::lastVisited() const
	{57, 245, 0, 0, Smoke::mf_const, 66, 7},	//109 QWebHistoryItem::icon() const
	{57, 514, 0, 0, Smoke::mf_const, 189, 8},	//110 QWebHistoryItem::userData() const
	{57, 448, 186, 1, 0, 0, 9},	//111 QWebHistoryItem::setUserData(const QVariant&)
	{57, 260, 0, 0, Smoke::mf_const, 321, 10},	//112 QWebHistoryItem::isValid() const
	{58, 76, 0, 0, Smoke::mf_ctor, 200, 1},	//113 QWebHitTestResult::QWebHitTestResult()
	{58, 76, 194, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 200, 2},	//114 QWebHitTestResult::QWebHitTestResult(const QWebHitTestResult&)
	{58, 324, 194, 1, 0, 199, 3},	//115 QWebHitTestResult::operator=(const QWebHitTestResult&)
	{58, 531, 0, 0, Smoke::mf_dtor, 0, 18},	//116 QWebHitTestResult::~QWebHitTestResult()
	{58, 259, 0, 0, Smoke::mf_const, 321, 4},	//117 QWebHitTestResult::isNull() const
	{58, 342, 0, 0, Smoke::mf_const, 125, 5},	//118 QWebHitTestResult::pos() const
	{58, 134, 0, 0, Smoke::mf_const, 127, 6},	//119 QWebHitTestResult::boundingRect() const
	{58, 487, 0, 0, Smoke::mf_const, 137, 7},	//120 QWebHitTestResult::title() const
	{58, 287, 0, 0, Smoke::mf_const, 137, 8},	//121 QWebHitTestResult::linkText() const
	{58, 289, 0, 0, Smoke::mf_const, 185, 9},	//122 QWebHitTestResult::linkUrl() const
	{58, 288, 0, 0, Smoke::mf_const, 185, 10},	//123 QWebHitTestResult::linkTitle() const
	{58, 286, 0, 0, Smoke::mf_const, 192, 11},	//124 QWebHitTestResult::linkTargetFrame() const
	{58, 129, 0, 0, Smoke::mf_const, 137, 12},	//125 QWebHitTestResult::alternateText() const
	{58, 250, 0, 0, Smoke::mf_const, 185, 13},	//126 QWebHitTestResult::imageUrl() const
	{58, 338, 0, 0, Smoke::mf_const, 123, 14},	//127 QWebHitTestResult::pixmap() const
	{58, 256, 0, 0, Smoke::mf_const, 321, 15},	//128 QWebHitTestResult::isContentEditable() const
	{58, 257, 0, 0, Smoke::mf_const, 321, 16},	//129 QWebHitTestResult::isContentSelected() const
	{58, 225, 0, 0, Smoke::mf_const, 192, 17},	//130 QWebHitTestResult::frame() const
	{59, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 1},	//131 QWebPage::NavigationTypeLinkClicked (enum)
	{59, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 2},	//132 QWebPage::NavigationTypeFormSubmitted (enum)
	{59, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 3},	//133 QWebPage::NavigationTypeBackOrForward (enum)
	{59, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 4},	//134 QWebPage::NavigationTypeReload (enum)
	{59, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 5},	//135 QWebPage::NavigationTypeFormResubmitted (enum)
	{59, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 6},	//136 QWebPage::NavigationTypeOther (enum)
	{59, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 7},	//137 QWebPage::NoWebAction (enum)
	{59, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 8},	//138 QWebPage::OpenLink (enum)
	{59, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 9},	//139 QWebPage::OpenLinkInNewWindow (enum)
	{59, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 10},	//140 QWebPage::OpenFrameInNewWindow (enum)
	{59, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 11},	//141 QWebPage::DownloadLinkToDisk (enum)
	{59, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 12},	//142 QWebPage::CopyLinkToClipboard (enum)
	{59, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 13},	//143 QWebPage::OpenImageInNewWindow (enum)
	{59, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 14},	//144 QWebPage::DownloadImageToDisk (enum)
	{59, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 15},	//145 QWebPage::CopyImageToClipboard (enum)
	{59, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 16},	//146 QWebPage::Back (enum)
	{59, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 17},	//147 QWebPage::Forward (enum)
	{59, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 18},	//148 QWebPage::Stop (enum)
	{59, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 19},	//149 QWebPage::Reload (enum)
	{59, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 20},	//150 QWebPage::Cut (enum)
	{59, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 21},	//151 QWebPage::Copy (enum)
	{59, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 22},	//152 QWebPage::Paste (enum)
	{59, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 23},	//153 QWebPage::Undo (enum)
	{59, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 24},	//154 QWebPage::Redo (enum)
	{59, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 25},	//155 QWebPage::MoveToNextChar (enum)
	{59, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 26},	//156 QWebPage::MoveToPreviousChar (enum)
	{59, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 27},	//157 QWebPage::MoveToNextWord (enum)
	{59, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 28},	//158 QWebPage::MoveToPreviousWord (enum)
	{59, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 29},	//159 QWebPage::MoveToNextLine (enum)
	{59, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 30},	//160 QWebPage::MoveToPreviousLine (enum)
	{59, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 31},	//161 QWebPage::MoveToStartOfLine (enum)
	{59, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 32},	//162 QWebPage::MoveToEndOfLine (enum)
	{59, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 33},	//163 QWebPage::MoveToStartOfBlock (enum)
	{59, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 34},	//164 QWebPage::MoveToEndOfBlock (enum)
	{59, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 35},	//165 QWebPage::MoveToStartOfDocument (enum)
	{59, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 36},	//166 QWebPage::MoveToEndOfDocument (enum)
	{59, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 37},	//167 QWebPage::SelectNextChar (enum)
	{59, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 38},	//168 QWebPage::SelectPreviousChar (enum)
	{59, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 39},	//169 QWebPage::SelectNextWord (enum)
	{59, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 40},	//170 QWebPage::SelectPreviousWord (enum)
	{59, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 41},	//171 QWebPage::SelectNextLine (enum)
	{59, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 42},	//172 QWebPage::SelectPreviousLine (enum)
	{59, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 43},	//173 QWebPage::SelectStartOfLine (enum)
	{59, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 44},	//174 QWebPage::SelectEndOfLine (enum)
	{59, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 45},	//175 QWebPage::SelectStartOfBlock (enum)
	{59, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 46},	//176 QWebPage::SelectEndOfBlock (enum)
	{59, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 47},	//177 QWebPage::SelectStartOfDocument (enum)
	{59, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 48},	//178 QWebPage::SelectEndOfDocument (enum)
	{59, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 49},	//179 QWebPage::DeleteStartOfWord (enum)
	{59, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 50},	//180 QWebPage::DeleteEndOfWord (enum)
	{59, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 51},	//181 QWebPage::SetTextDirectionDefault (enum)
	{59, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 52},	//182 QWebPage::SetTextDirectionLeftToRight (enum)
	{59, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 53},	//183 QWebPage::SetTextDirectionRightToLeft (enum)
	{59, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 54},	//184 QWebPage::ToggleBold (enum)
	{59, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 55},	//185 QWebPage::ToggleItalic (enum)
	{59, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 56},	//186 QWebPage::ToggleUnderline (enum)
	{59, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 57},	//187 QWebPage::InspectElement (enum)
	{59, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 58},	//188 QWebPage::InsertParagraphSeparator (enum)
	{59, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 59},	//189 QWebPage::InsertLineSeparator (enum)
	{59, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 60},	//190 QWebPage::SelectAll (enum)
	{59, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 61},	//191 QWebPage::WebActionCount (enum)
	{59, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 62},	//192 QWebPage::FindBackward (enum)
	{59, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 63},	//193 QWebPage::FindCaseSensitively (enum)
	{59, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 64},	//194 QWebPage::FindWrapsAroundDocument (enum)
	{59, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 65},	//195 QWebPage::DontDelegateLinks (enum)
	{59, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 66},	//196 QWebPage::DelegateExternalLinks (enum)
	{59, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 67},	//197 QWebPage::DelegateAllLinks (enum)
	{59, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 68},	//198 QWebPage::WebBrowserWindow (enum)
	{59, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 69},	//199 QWebPage::WebModalDialog (enum)
	{59, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 70},	//200 QWebPage::ChooseMultipleFilesExtension (enum)
	{59, 305, 0, 0, Smoke::mf_const, 328, 72},	//201 QWebPage::metaObject() const
	{59, 348, 236, 3, 0, 355, 73},	//202 QWebPage::qt_metacall(QMetaObject::Call, int, void**)
	{59, 78, 3, 1, Smoke::mf_ctor, 201, 74},	//203 QWebPage::QWebPage(QObject*)
	{59, 78, 0, 0, Smoke::mf_ctor, 201, 75},	//204 QWebPage::QWebPage()
	{59, 532, 0, 0, Smoke::mf_dtor, 0, 150},	//205 QWebPage::~QWebPage()
	{59, 299, 0, 0, Smoke::mf_const, 192, 76},	//206 QWebPage::mainFrame() const
	{59, 163, 0, 0, Smoke::mf_const, 192, 77},	//207 QWebPage::currentFrame() const
	{59, 239, 0, 0, Smoke::mf_const, 193, 78},	//208 QWebPage::history() const
	{59, 462, 0, 0, Smoke::mf_const, 219, 79},	//209 QWebPage::settings() const
	{59, 452, 114, 1, 0, 0, 80},	//210 QWebPage::setView(QWidget*)
	{59, 516, 0, 0, Smoke::mf_const, 226, 81},	//211 QWebPage::view() const
	{59, 258, 0, 0, Smoke::mf_const, 321, 82},	//212 QWebPage::isModified() const
	{59, 504, 0, 0, Smoke::mf_const, 184, 83},	//213 QWebPage::undoStack() const
	{59, 420, 244, 1, 0, 0, 84},	//214 QWebPage::setNetworkAccessManager(QNetworkAccessManager*)
	{59, 321, 0, 0, Smoke::mf_const, 95, 85},	//215 QWebPage::networkAccessManager() const
	{59, 434, 81, 1, 0, 0, 86},	//216 QWebPage::setPluginFactory(QWebPluginFactory*)
	{59, 339, 0, 0, Smoke::mf_const, 213, 87},	//217 QWebPage::pluginFactory() const
	{59, 494, 0, 0, Smoke::mf_const, 358, 88},	//218 QWebPage::totalBytes() const
	{59, 135, 0, 0, Smoke::mf_const, 358, 89},	//219 QWebPage::bytesReceived() const
	{59, 387, 0, 0, Smoke::mf_const, 137, 90},	//220 QWebPage::selectedText() const
	{59, 119, 74, 1, Smoke::mf_const, 13, 91},	//221 QWebPage::action(QWebPage::WebAction) const
	{59, 498, 76, 2, 0, 0, 92},	//222 QWebPage::triggerAction(QWebPage::WebAction, bool)
	{59, 498, 74, 1, 0, 0, 93},	//223 QWebPage::triggerAction(QWebPage::WebAction)
	{59, 517, 0, 0, Smoke::mf_const, 132, 94},	//224 QWebPage::viewportSize() const
	{59, 454, 154, 1, Smoke::mf_const, 0, 95},	//225 QWebPage::setViewportSize(const QSize&) const
	{59, 194, 226, 1, 0, 321, 96},	//226 QWebPage::event(QEvent*)
	{59, 210, 126, 1, 0, 321, 97},	//227 QWebPage::focusNextPrevChild(bool)
	{59, 254, 116, 1, Smoke::mf_const, 189, 98},	//228 QWebPage::inputMethodQuery(Qt::InputMethodQuery) const
	{59, 205, 165, 2, 0, 321, 99},	//229 QWebPage::findText(const QString&, QWebPage::FindFlags)
	{59, 205, 156, 1, 0, 321, 100},	//230 QWebPage::findText(const QString&)
	{59, 407, 126, 1, 0, 0, 101},	//231 QWebPage::setForwardUnsupportedContent(bool)
	{59, 224, 0, 0, Smoke::mf_const, 321, 102},	//232 QWebPage::forwardUnsupportedContent() const
	{59, 414, 72, 1, 0, 0, 103},	//233 QWebPage::setLinkDelegationPolicy(QWebPage::LinkDelegationPolicy)
	{59, 283, 0, 0, Smoke::mf_const, 209, 104},	//234 QWebPage::linkDelegationPolicy() const
	{59, 430, 148, 1, 0, 0, 105},	//235 QWebPage::setPalette(const QPalette&)
	{59, 334, 0, 0, Smoke::mf_const, 122, 106},	//236 QWebPage::palette() const
	{59, 395, 126, 1, 0, 0, 107},	//237 QWebPage::setContentEditable(bool)
	{59, 256, 0, 0, Smoke::mf_const, 321, 108},	//238 QWebPage::isContentEditable() const
	{59, 478, 37, 1, 0, 321, 109},	//239 QWebPage::swallowContextMenuEvent(QContextMenuEvent*)
	{59, 507, 150, 1, 0, 0, 110},	//240 QWebPage::updatePositionDependentActions(const QPoint&)
	{59, 160, 0, 0, 0, 88, 111},	//241 QWebPage::createStandardContextMenu()
	{59, 199, 68, 3, 0, 321, 112},	//242 QWebPage::extension(QWebPage::Extension, const QWebPage::ExtensionOption*, QWebPage::ExtensionReturn*)
	{59, 199, 65, 2, 0, 321, 113},	//243 QWebPage::extension(QWebPage::Extension, const QWebPage::ExtensionOption*)
	{59, 199, 63, 1, 0, 321, 114},	//244 QWebPage::extension(QWebPage::Extension)
	{59, 476, 63, 1, Smoke::mf_const, 321, 115},	//245 QWebPage::supportsExtension(QWebPage::Extension) const
	{59, 298, 0, 0, 0, 0, 116},	//246 QWebPage::loadStarted()
	{59, 296, 203, 1, 0, 0, 117},	//247 QWebPage::loadProgress(int)
	{59, 294, 126, 1, 0, 0, 118},	//248 QWebPage::loadFinished(bool)
	{59, 284, 168, 3, 0, 0, 119},	//249 QWebPage::linkHovered(const QString&, const QString&, const QString&)
	{59, 468, 156, 1, 0, 0, 120},	//250 QWebPage::statusBarMessage(const QString&)
	{59, 388, 0, 0, 0, 0, 121},	//251 QWebPage::selectionChanged()
	{59, 226, 39, 1, 0, 0, 122},	//252 QWebPage::frameCreated(QWebFrame*)
	{59, 230, 152, 1, 0, 0, 123},	//253 QWebPage::geometryChangeRequested(const QRect&)
	{59, 358, 152, 1, 0, 0, 124},	//254 QWebPage::repaintRequested(const QRect&)
	{59, 384, 208, 3, 0, 0, 125},	//255 QWebPage::scrollRequested(int, int, const QRect&)
	{59, 524, 0, 0, 0, 0, 126},	//256 QWebPage::windowCloseRequested()
	{59, 345, 39, 1, 0, 0, 127},	//257 QWebPage::printRequested(QWebFrame*)
	{59, 281, 184, 1, 0, 0, 128},	//258 QWebPage::linkClicked(const QUrl&)
	{59, 492, 126, 1, 0, 0, 129},	//259 QWebPage::toolBarVisibilityChangeRequested(bool)
	{59, 470, 126, 1, 0, 0, 130},	//260 QWebPage::statusBarVisibilityChangeRequested(bool)
	{59, 302, 126, 1, 0, 0, 131},	//261 QWebPage::menuBarVisibilityChangeRequested(bool)
	{59, 505, 1, 1, 0, 0, 132},	//262 QWebPage::unsupportedContent(QNetworkReply*)
	{59, 178, 139, 1, 0, 0, 133},	//263 QWebPage::downloadRequested(const QNetworkRequest&)
	{59, 308, 0, 0, 0, 0, 134},	//264 QWebPage::microFocusChanged()
	{59, 151, 0, 0, 0, 0, 135},	//265 QWebPage::contentsChanged()
	{59, 169, 41, 2, 0, 0, 136},	//266 QWebPage::databaseQuotaExceeded(QWebFrame*, QString)
	{59, 370, 44, 2, 0, 0, 137},	//267 QWebPage::saveFrameStateRequested(QWebFrame*, QWebHistoryItem*)
	{59, 368, 39, 1, 0, 0, 138},	//268 QWebPage::restoreFrameStateRequested(QWebFrame*)
	{59, 495, 200, 2, Smoke::mf_static, 137, 139},	//269 QWebPage::tr(const char*, const char*)
	{59, 495, 198, 1, Smoke::mf_static, 137, 140},	//270 QWebPage::tr(const char*)
	{59, 467, 0, 0, Smoke::mf_static, 327, 71},	//271 QWebPage::staticMetaObject (static var)
	{59, 161, 79, 1, Smoke::mf_protected, 201, 141},	//272 QWebPage::createWindow(QWebPage::WebWindowType)
	{59, 158, 175, 4, Smoke::mf_protected, 103, 142},	//273 QWebPage::createPlugin(const QString&, const QUrl&, const QStringList&, const QStringList&)
	{59, 117, 47, 3, Smoke::mf_protected, 321, 143},	//274 QWebPage::acceptNavigationRequest(QWebFrame*, const QNetworkRequest&, QWebPage::NavigationType)
	{59, 143, 51, 2, Smoke::mf_protected, 137, 144},	//275 QWebPage::chooseFile(QWebFrame*, const QString&)
	{59, 264, 51, 2, Smoke::mf_protected, 0, 145},	//276 QWebPage::javaScriptAlert(QWebFrame*, const QString&)
	{59, 266, 51, 2, Smoke::mf_protected, 321, 146},	//277 QWebPage::javaScriptConfirm(QWebFrame*, const QString&)
	{59, 270, 54, 4, Smoke::mf_protected, 321, 147},	//278 QWebPage::javaScriptPrompt(QWebFrame*, const QString&, const QString&, QString*)
	{59, 268, 180, 3, Smoke::mf_protected, 0, 148},	//279 QWebPage::javaScriptConsoleMessage(const QString&, int, const QString&)
	{59, 512, 184, 1, Smoke::mf_const|Smoke::mf_protected, 137, 149},	//280 QWebPage::userAgentForUrl(const QUrl&) const
	{60, 432, 39, 1, 0, 0, 3},	//281 QWebPage::ChooseMultipleFilesExtensionOption::setParentFrame(QWebFrame*)
	{60, 442, 25, 1, 0, 0, 4},	//282 QWebPage::ChooseMultipleFilesExtensionOption::setSuggestedFileNames(QStringList)
	{60, 4, 0, 0, Smoke::mf_ctor, 202, 5},	//283 QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption()
	{60, 526, 0, 0, Smoke::mf_dtor, 0, 6},	//284 QWebPage::ChooseMultipleFilesExtensionOption::~ChooseMultipleFilesExtensionOption()
	{60, 337, 0, 0, 0, 192, 1},	//285 QWebPage::ChooseMultipleFilesExtensionOption::parentFrame (var)
	{60, 475, 0, 0, 0, 142, 2},	//286 QWebPage::ChooseMultipleFilesExtensionOption::suggestedFileNames (var)
	{61, 401, 25, 1, 0, 0, 2},	//287 QWebPage::ChooseMultipleFilesExtensionReturn::setFileNames(QStringList)
	{61, 5, 0, 0, Smoke::mf_ctor, 203, 3},	//288 QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn()
	{61, 527, 0, 0, Smoke::mf_dtor, 0, 4},	//289 QWebPage::ChooseMultipleFilesExtensionReturn::~ChooseMultipleFilesExtensionReturn()
	{61, 204, 0, 0, 0, 142, 1},	//290 QWebPage::ChooseMultipleFilesExtensionReturn::fileNames (var)
	{62, 305, 0, 0, Smoke::mf_const, 328, 2},	//291 QWebPluginFactory::metaObject() const
	{62, 348, 236, 3, 0, 355, 3},	//292 QWebPluginFactory::qt_metacall(QMetaObject::Call, int, void**)
	{62, 80, 3, 1, Smoke::mf_ctor, 213, 4},	//293 QWebPluginFactory::QWebPluginFactory(QObject*)
	{62, 80, 0, 0, Smoke::mf_ctor, 213, 5},	//294 QWebPluginFactory::QWebPluginFactory()
	{62, 533, 0, 0, Smoke::mf_dtor, 0, 15},	//295 QWebPluginFactory::~QWebPluginFactory()
	{62, 340, 0, 0, Smoke::mf_const, 78, 6},	//296 QWebPluginFactory::plugins() const [pure virtual]
	{62, 350, 0, 0, 0, 0, 7},	//297 QWebPluginFactory::refreshPlugins()
	{62, 156, 175, 4, Smoke::mf_const, 103, 8},	//298 QWebPluginFactory::create(const QString&, const QUrl&, const QStringList&, const QStringList&) const [pure virtual]
	{62, 199, 88, 3, 0, 321, 9},	//299 QWebPluginFactory::extension(QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*, QWebPluginFactory::ExtensionReturn*)
	{62, 199, 85, 2, 0, 321, 10},	//300 QWebPluginFactory::extension(QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*)
	{62, 199, 83, 1, 0, 321, 11},	//301 QWebPluginFactory::extension(QWebPluginFactory::Extension)
	{62, 476, 83, 1, Smoke::mf_const, 321, 12},	//302 QWebPluginFactory::supportsExtension(QWebPluginFactory::Extension) const
	{62, 495, 200, 2, Smoke::mf_static, 137, 13},	//303 QWebPluginFactory::tr(const char*, const char*)
	{62, 495, 198, 1, Smoke::mf_static, 137, 14},	//304 QWebPluginFactory::tr(const char*)
	{62, 467, 0, 0, Smoke::mf_static, 327, 1},	//305 QWebPluginFactory::staticMetaObject (static var)
	{63, 534, 0, 0, Smoke::mf_dtor, 0, 11},	//306 QWebSecurityOrigin::~QWebSecurityOrigin()
	{63, 372, 0, 0, Smoke::mf_const, 137, 1},	//307 QWebSecurityOrigin::scheme() const
	{63, 244, 0, 0, Smoke::mf_const, 137, 2},	//308 QWebSecurityOrigin::host() const
	{63, 341, 0, 0, Smoke::mf_const, 355, 3},	//309 QWebSecurityOrigin::port() const
	{63, 171, 0, 0, Smoke::mf_const, 356, 4},	//310 QWebSecurityOrigin::databaseUsage() const
	{63, 168, 0, 0, Smoke::mf_const, 356, 5},	//311 QWebSecurityOrigin::databaseQuota() const
	{63, 397, 216, 1, 0, 0, 6},	//312 QWebSecurityOrigin::setDatabaseQuota(qint64)
	{63, 172, 0, 0, Smoke::mf_const, 75, 7},	//313 QWebSecurityOrigin::databases() const
	{63, 82, 196, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 218, 8},	//314 QWebSecurityOrigin::QWebSecurityOrigin(const QWebSecurityOrigin&)
	{63, 324, 196, 1, 0, 217, 9},	//315 QWebSecurityOrigin::operator=(const QWebSecurityOrigin&)
	{63, 128, 0, 0, Smoke::mf_static, 79, 10},	//316 QWebSecurityOrigin::allOrigins()
	{64, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 1},	//317 QWebSettings::StandardFont (enum)
	{64, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 2},	//318 QWebSettings::FixedFont (enum)
	{64, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 3},	//319 QWebSettings::SerifFont (enum)
	{64, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 4},	//320 QWebSettings::SansSerifFont (enum)
	{64, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 5},	//321 QWebSettings::CursiveFont (enum)
	{64, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 6},	//322 QWebSettings::FantasyFont (enum)
	{64, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 7},	//323 QWebSettings::AutoLoadImages (enum)
	{64, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 8},	//324 QWebSettings::JavascriptEnabled (enum)
	{64, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 9},	//325 QWebSettings::JavaEnabled (enum)
	{64, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 10},	//326 QWebSettings::PluginsEnabled (enum)
	{64, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 11},	//327 QWebSettings::PrivateBrowsingEnabled (enum)
	{64, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 12},	//328 QWebSettings::JavascriptCanOpenWindows (enum)
	{64, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 13},	//329 QWebSettings::JavascriptCanAccessClipboard (enum)
	{64, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 14},	//330 QWebSettings::DeveloperExtrasEnabled (enum)
	{64, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 15},	//331 QWebSettings::LinksIncludedInFocusChain (enum)
	{64, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 16},	//332 QWebSettings::ZoomTextOnly (enum)
	{64, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 17},	//333 QWebSettings::PrintElementBackgrounds (enum)
	{64, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 18},	//334 QWebSettings::OfflineStorageDatabaseEnabled (enum)
	{64, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 19},	//335 QWebSettings::OfflineWebApplicationCacheEnabled (enum)
	{64, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 20},	//336 QWebSettings::LocalStorageDatabaseEnabled (enum)
	{64, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 21},	//337 QWebSettings::MissingImageGraphic (enum)
	{64, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 22},	//338 QWebSettings::MissingPluginGraphic (enum)
	{64, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 23},	//339 QWebSettings::DefaultFrameIconGraphic (enum)
	{64, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 24},	//340 QWebSettings::TextAreaSizeGripCornerGraphic (enum)
	{64, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 25},	//341 QWebSettings::MinimumFontSize (enum)
	{64, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 26},	//342 QWebSettings::MinimumLogicalFontSize (enum)
	{64, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 27},	//343 QWebSettings::DefaultFontSize (enum)
	{64, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 28},	//344 QWebSettings::DefaultFixedFontSize (enum)
	{64, 403, 94, 2, 0, 0, 29},	//345 QWebSettings::setFontFamily(QWebSettings::FontFamily, const QString&)
	{64, 216, 92, 1, Smoke::mf_const, 137, 30},	//346 QWebSettings::fontFamily(QWebSettings::FontFamily) const
	{64, 362, 92, 1, 0, 0, 31},	//347 QWebSettings::resetFontFamily(QWebSettings::FontFamily)
	{64, 405, 99, 2, 0, 0, 32},	//348 QWebSettings::setFontSize(QWebSettings::FontSize, int)
	{64, 218, 97, 1, Smoke::mf_const, 355, 33},	//349 QWebSettings::fontSize(QWebSettings::FontSize) const
	{64, 364, 97, 1, 0, 0, 34},	//350 QWebSettings::resetFontSize(QWebSettings::FontSize)
	{64, 389, 104, 2, 0, 0, 35},	//351 QWebSettings::setAttribute(QWebSettings::WebAttribute, bool)
	{64, 482, 102, 1, Smoke::mf_const, 321, 36},	//352 QWebSettings::testAttribute(QWebSettings::WebAttribute) const
	{64, 360, 102, 1, 0, 0, 37},	//353 QWebSettings::resetAttribute(QWebSettings::WebAttribute)
	{64, 450, 184, 1, 0, 0, 38},	//354 QWebSettings::setUserStyleSheetUrl(const QUrl&)
	{64, 515, 0, 0, Smoke::mf_const, 185, 39},	//355 QWebSettings::userStyleSheetUrl() const
	{64, 232, 0, 0, Smoke::mf_static, 219, 40},	//356 QWebSettings::globalSettings()
	{64, 412, 156, 1, Smoke::mf_static, 0, 41},	//357 QWebSettings::setIconDatabasePath(const QString&)
	{64, 247, 0, 0, Smoke::mf_static, 137, 42},	//358 QWebSettings::iconDatabasePath()
	{64, 146, 0, 0, Smoke::mf_static, 0, 43},	//359 QWebSettings::clearIconDatabase()
	{64, 248, 184, 1, Smoke::mf_static, 66, 44},	//360 QWebSettings::iconForUrl(const QUrl&)
	{64, 458, 109, 2, Smoke::mf_static, 0, 45},	//361 QWebSettings::setWebGraphic(QWebSettings::WebGraphic, const QPixmap&)
	{64, 518, 107, 1, Smoke::mf_static, 123, 46},	//362 QWebSettings::webGraphic(QWebSettings::WebGraphic)
	{64, 418, 203, 1, Smoke::mf_static, 0, 47},	//363 QWebSettings::setMaximumPagesInCache(int)
	{64, 301, 0, 0, Smoke::mf_static, 355, 48},	//364 QWebSettings::maximumPagesInCache()
	{64, 422, 212, 3, Smoke::mf_static, 0, 49},	//365 QWebSettings::setObjectCacheCapacities(int, int, int)
	{64, 426, 156, 1, Smoke::mf_static, 0, 50},	//366 QWebSettings::setOfflineStoragePath(const QString&)
	{64, 323, 0, 0, Smoke::mf_static, 137, 51},	//367 QWebSettings::offlineStoragePath()
	{64, 424, 216, 1, Smoke::mf_static, 0, 52},	//368 QWebSettings::setOfflineStorageDefaultQuota(qint64)
	{64, 322, 0, 0, Smoke::mf_static, 356, 53},	//369 QWebSettings::offlineStorageDefaultQuota()
	{65, 305, 0, 0, Smoke::mf_const, 328, 2},	//370 QWebView::metaObject() const
	{65, 348, 236, 3, 0, 355, 3},	//371 QWebView::qt_metacall(QMetaObject::Call, int, void**)
	{65, 84, 114, 1, Smoke::mf_ctor, 224, 4},	//372 QWebView::QWebView(QWidget*)
	{65, 84, 0, 0, Smoke::mf_ctor, 224, 5},	//373 QWebView::QWebView()
	{65, 535, 0, 0, Smoke::mf_dtor, 0, 73},	//374 QWebView::~QWebView()
	{65, 328, 0, 0, Smoke::mf_const, 201, 6},	//375 QWebView::page() const
	{65, 428, 61, 1, 0, 0, 7},	//376 QWebView::setPage(QWebPage*)
	{65, 290, 184, 1, 0, 0, 8},	//377 QWebView::load(const QUrl&)
	{65, 290, 144, 3, 0, 0, 9},	//378 QWebView::load(const QNetworkRequest&, QNetworkAccessManager::Operation, const QByteArray&)
	{65, 290, 141, 2, 0, 0, 10},	//379 QWebView::load(const QNetworkRequest&, QNetworkAccessManager::Operation)
	{65, 290, 139, 1, 0, 0, 11},	//380 QWebView::load(const QNetworkRequest&)
	{65, 409, 172, 2, 0, 0, 12},	//381 QWebView::setHtml(const QString&, const QUrl&)
	{65, 409, 156, 1, 0, 0, 13},	//382 QWebView::setHtml(const QString&)
	{65, 391, 133, 3, 0, 0, 14},	//383 QWebView::setContent(const QByteArray&, const QString&, const QUrl&)
	{65, 391, 130, 2, 0, 0, 15},	//384 QWebView::setContent(const QByteArray&, const QString&)
	{65, 391, 128, 1, 0, 0, 16},	//385 QWebView::setContent(const QByteArray&)
	{65, 239, 0, 0, Smoke::mf_const, 193, 17},	//386 QWebView::history() const
	{65, 462, 0, 0, Smoke::mf_const, 219, 18},	//387 QWebView::settings() const
	{65, 487, 0, 0, Smoke::mf_const, 137, 19},	//388 QWebView::title() const
	{65, 446, 184, 1, 0, 0, 20},	//389 QWebView::setUrl(const QUrl&)
	{65, 509, 0, 0, Smoke::mf_const, 185, 21},	//390 QWebView::url() const
	{65, 245, 0, 0, Smoke::mf_const, 66, 22},	//391 QWebView::icon() const
	{65, 387, 0, 0, Smoke::mf_const, 137, 23},	//392 QWebView::selectedText() const
	{65, 329, 74, 1, Smoke::mf_const, 13, 24},	//393 QWebView::pageAction(QWebPage::WebAction) const
	{65, 501, 76, 2, 0, 0, 25},	//394 QWebView::triggerPageAction(QWebPage::WebAction, bool)
	{65, 501, 74, 1, 0, 0, 26},	//395 QWebView::triggerPageAction(QWebPage::WebAction)
	{65, 258, 0, 0, Smoke::mf_const, 321, 27},	//396 QWebView::isModified() const
	{65, 254, 116, 1, Smoke::mf_const, 189, 28},	//397 QWebView::inputMethodQuery(Qt::InputMethodQuery) const
	{65, 466, 0, 0, Smoke::mf_const, 132, 29},	//398 QWebView::sizeHint() const
	{65, 525, 0, 0, Smoke::mf_const, 357, 30},	//399 QWebView::zoomFactor() const
	{65, 460, 218, 1, 0, 0, 31},	//400 QWebView::setZoomFactor(qreal)
	{65, 444, 218, 1, 0, 0, 32},	//401 QWebView::setTextSizeMultiplier(qreal)
	{65, 484, 0, 0, Smoke::mf_const, 357, 33},	//402 QWebView::textSizeMultiplier() const
	{65, 205, 165, 2, 0, 321, 34},	//403 QWebView::findText(const QString&, QWebPage::FindFlags)
	{65, 205, 156, 1, 0, 321, 35},	//404 QWebView::findText(const QString&)
	{65, 194, 226, 1, 0, 321, 36},	//405 QWebView::event(QEvent*)
	{65, 472, 0, 0, 0, 0, 37},	//406 QWebView::stop()
	{65, 130, 0, 0, 0, 0, 38},	//407 QWebView::back()
	{65, 220, 0, 0, 0, 0, 39},	//408 QWebView::forward()
	{65, 351, 0, 0, 0, 0, 40},	//409 QWebView::reload()
	{65, 343, 17, 1, Smoke::mf_const, 0, 41},	//410 QWebView::print(QPrinter*) const
	{65, 298, 0, 0, 0, 0, 42},	//411 QWebView::loadStarted()
	{65, 296, 203, 1, 0, 0, 43},	//412 QWebView::loadProgress(int)
	{65, 294, 126, 1, 0, 0, 44},	//413 QWebView::loadFinished(bool)
	{65, 488, 156, 1, 0, 0, 45},	//414 QWebView::titleChanged(const QString&)
	{65, 468, 156, 1, 0, 0, 46},	//415 QWebView::statusBarMessage(const QString&)
	{65, 281, 184, 1, 0, 0, 47},	//416 QWebView::linkClicked(const QUrl&)
	{65, 388, 0, 0, 0, 0, 48},	//417 QWebView::selectionChanged()
	{65, 246, 0, 0, 0, 0, 49},	//418 QWebView::iconChanged()
	{65, 510, 184, 1, 0, 0, 50},	//419 QWebView::urlChanged(const QUrl&)
	{65, 495, 200, 2, Smoke::mf_static, 137, 51},	//420 QWebView::tr(const char*, const char*)
	{65, 495, 198, 1, Smoke::mf_static, 137, 52},	//421 QWebView::tr(const char*)
	{65, 467, 0, 0, Smoke::mf_static, 327, 1},	//422 QWebView::staticMetaObject (static var)
	{65, 366, 19, 1, Smoke::mf_protected, 0, 53},	//423 QWebView::resizeEvent(QResizeEvent*)
	{65, 332, 10, 1, Smoke::mf_protected, 0, 54},	//424 QWebView::paintEvent(QPaintEvent*)
	{65, 161, 79, 1, Smoke::mf_protected, 224, 55},	//425 QWebView::createWindow(QWebPage::WebWindowType)
	{65, 138, 226, 1, Smoke::mf_protected, 0, 56},	//426 QWebView::changeEvent(QEvent*)
	{65, 312, 240, 1, Smoke::mf_protected, 0, 57},	//427 QWebView::mouseMoveEvent(QMouseEvent*)
	{65, 314, 240, 1, Smoke::mf_protected, 0, 58},	//428 QWebView::mousePressEvent(QMouseEvent*)
	{65, 310, 240, 1, Smoke::mf_protected, 0, 59},	//429 QWebView::mouseDoubleClickEvent(QMouseEvent*)
	{65, 316, 240, 1, Smoke::mf_protected, 0, 60},	//430 QWebView::mouseReleaseEvent(QMouseEvent*)
	{65, 153, 37, 1, Smoke::mf_protected, 0, 61},	//431 QWebView::contextMenuEvent(QContextMenuEvent*)
	{65, 520, 112, 1, Smoke::mf_protected, 0, 62},	//432 QWebView::wheelEvent(QWheelEvent*)
	{65, 273, 234, 1, Smoke::mf_protected, 0, 63},	//433 QWebView::keyPressEvent(QKeyEvent*)
	{65, 275, 234, 1, Smoke::mf_protected, 0, 64},	//434 QWebView::keyReleaseEvent(QKeyEvent*)
	{65, 180, 192, 1, Smoke::mf_protected, 0, 65},	//435 QWebView::dragEnterEvent(QDragEnterEvent*)
	{65, 182, 220, 1, Smoke::mf_protected, 0, 66},	//436 QWebView::dragLeaveEvent(QDragLeaveEvent*)
	{65, 184, 222, 1, Smoke::mf_protected, 0, 67},	//437 QWebView::dragMoveEvent(QDragMoveEvent*)
	{65, 186, 224, 1, Smoke::mf_protected, 0, 68},	//438 QWebView::dropEvent(QDropEvent*)
	{65, 208, 228, 1, Smoke::mf_protected, 0, 69},	//439 QWebView::focusInEvent(QFocusEvent*)
	{65, 212, 228, 1, Smoke::mf_protected, 0, 70},	//440 QWebView::focusOutEvent(QFocusEvent*)
	{65, 252, 232, 1, Smoke::mf_protected, 0, 71},	//441 QWebView::inputMethodEvent(QInputMethodEvent*)
	{65, 210, 126, 1, Smoke::mf_protected, 321, 72},	//442 QWebView::focusNextPrevChild(bool)
	{67, 305, 0, 0, Smoke::mf_const, 328, 5},	//443 QWidget::metaObject() const
	{67, 348, 236, 3, 0, 355, 6},	//444 QWidget::qt_metacall(QMetaObject::Call, int, void**)
	{67, 466, 0, 0, Smoke::mf_const, 132, 181},	//445 QWidget::sizeHint() const
	{67, 309, 0, 0, Smoke::mf_const, 132, 182},	//446 QWidget::minimumSizeHint() const
	{67, 235, 203, 1, Smoke::mf_const, 355, 186},	//447 QWidget::heightForWidth(int) const
	{67, 254, 116, 1, Smoke::mf_const, 189, 227},	//448 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
	{67, 456, 126, 1, 0, 0, 236},	//449 QWidget::setVisible(bool)
	{67, 314, 240, 1, Smoke::mf_protected, 0, 256},	//450 QWidget::mousePressEvent(QMouseEvent*)
	{67, 316, 240, 1, Smoke::mf_protected, 0, 257},	//451 QWidget::mouseReleaseEvent(QMouseEvent*)
	{67, 310, 240, 1, Smoke::mf_protected, 0, 258},	//452 QWidget::mouseDoubleClickEvent(QMouseEvent*)
	{67, 312, 240, 1, Smoke::mf_protected, 0, 259},	//453 QWidget::mouseMoveEvent(QMouseEvent*)
	{67, 520, 112, 1, Smoke::mf_protected, 0, 260},	//454 QWidget::wheelEvent(QWheelEvent*)
	{67, 273, 234, 1, Smoke::mf_protected, 0, 261},	//455 QWidget::keyPressEvent(QKeyEvent*)
	{67, 275, 234, 1, Smoke::mf_protected, 0, 262},	//456 QWidget::keyReleaseEvent(QKeyEvent*)
	{67, 208, 228, 1, Smoke::mf_protected, 0, 263},	//457 QWidget::focusInEvent(QFocusEvent*)
	{67, 212, 228, 1, Smoke::mf_protected, 0, 264},	//458 QWidget::focusOutEvent(QFocusEvent*)
	{67, 190, 226, 1, Smoke::mf_protected, 0, 265},	//459 QWidget::enterEvent(QEvent*)
	{67, 279, 226, 1, Smoke::mf_protected, 0, 266},	//460 QWidget::leaveEvent(QEvent*)
	{67, 332, 10, 1, Smoke::mf_protected, 0, 267},	//461 QWidget::paintEvent(QPaintEvent*)
	{67, 318, 242, 1, Smoke::mf_protected, 0, 268},	//462 QWidget::moveEvent(QMoveEvent*)
	{67, 366, 19, 1, Smoke::mf_protected, 0, 269},	//463 QWidget::resizeEvent(QResizeEvent*)
	{67, 147, 31, 1, Smoke::mf_protected, 0, 270},	//464 QWidget::closeEvent(QCloseEvent*)
	{67, 153, 37, 1, Smoke::mf_protected, 0, 271},	//465 QWidget::contextMenuEvent(QContextMenuEvent*)
	{67, 480, 33, 1, Smoke::mf_protected, 0, 272},	//466 QWidget::tabletEvent(QTabletEvent*)
	{67, 121, 23, 1, Smoke::mf_protected, 0, 273},	//467 QWidget::actionEvent(QActionEvent*)
	{67, 180, 192, 1, Smoke::mf_protected, 0, 274},	//468 QWidget::dragEnterEvent(QDragEnterEvent*)
	{67, 184, 222, 1, Smoke::mf_protected, 0, 275},	//469 QWidget::dragMoveEvent(QDragMoveEvent*)
	{67, 182, 220, 1, Smoke::mf_protected, 0, 276},	//470 QWidget::dragLeaveEvent(QDragLeaveEvent*)
	{67, 186, 224, 1, Smoke::mf_protected, 0, 277},	//471 QWidget::dropEvent(QDropEvent*)
	{67, 463, 21, 1, Smoke::mf_protected, 0, 278},	//472 QWidget::showEvent(QShowEvent*)
	{67, 237, 230, 1, Smoke::mf_protected, 0, 279},	//473 QWidget::hideEvent(QHideEvent*)
	{67, 138, 226, 1, Smoke::mf_protected, 0, 280},	//474 QWidget::changeEvent(QEvent*)
	{67, 252, 232, 1, Smoke::mf_protected, 0, 282},	//475 QWidget::inputMethodEvent(QInputMethodEvent*)
	{67, 210, 126, 1, Smoke::mf_protected, 321, 291},	//476 QWidget::focusNextPrevChild(bool)
	{67, 473, 27, 1, Smoke::mf_protected, 0, 294},	//477 QWidget::styleChange(QStyle&)
	{67, 188, 126, 1, Smoke::mf_protected, 0, 295},	//478 QWidget::enabledChange(bool)
	{67, 335, 148, 1, Smoke::mf_protected, 0, 296},	//479 QWidget::paletteChange(const QPalette&)
	{67, 214, 137, 1, Smoke::mf_protected, 0, 297},	//480 QWidget::fontChange(const QFont&)
	{67, 522, 126, 1, Smoke::mf_protected, 0, 298},	//481 QWidget::windowActivationChange(bool)
	{67, 277, 0, 0, Smoke::mf_protected, 0, 299},	//482 QWidget::languageChange()
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap qtwebkit_methodMaps[] = {
	{ 0, 0, 0 },	//0 (no method)
	{53, 71, 12},	//1 QWebDatabase::QWebDatabase#
	{53, 177, 16},	//2 QWebDatabase::displayName
	{53, 198, 17},	//3 QWebDatabase::expectedSize
	{53, 203, 19},	//4 QWebDatabase::fileName
	{53, 320, 15},	//5 QWebDatabase::name
	{53, 325, 13},	//6 QWebDatabase::operator=#
	{53, 326, 20},	//7 QWebDatabase::origin
	{53, 353, 21},	//8 QWebDatabase::removeDatabase#
	{53, 465, 18},	//9 QWebDatabase::size
	{53, 528, 14},	//10 QWebDatabase::~QWebDatabase
	{54, 126, 34},	//11 QWebFrame::addToJavaScriptWindowObject$#
	{54, 127, 35},	//12 QWebFrame::addToJavaScriptWindowObject$#?
	{54, 142, 46},	//13 QWebFrame::childFrames
	{54, 152, 64},	//14 QWebFrame::contentsSize
	{54, 193, 68},	//15 QWebFrame::evaluateJavaScript$
	{54, 195, 66},	//16 QWebFrame::event#
	{54, 228, 44},	//17 QWebFrame::frameName
	{54, 229, 63},	//18 QWebFrame::geometry
	{54, 243, 65},	//19 QWebFrame::hitTestContent#
	{54, 245, 42},	//20 QWebFrame::icon
	{54, 291, -1},	//21 QWebFrame::load#
	{54, 292, 27},	//22 QWebFrame::load#$
	{54, 293, 26},	//23 QWebFrame::load#$#
	{54, 304, 43},	//24 QWebFrame::metaData
	{54, 305, 22},	//25 QWebFrame::metaObject
	{54, 328, 24},	//26 QWebFrame::page
	{54, 337, 45},	//27 QWebFrame::parentFrame
	{54, 342, 62},	//28 QWebFrame::pos
	{54, 344, 69},	//29 QWebFrame::print#
	{54, 349, 23},	//30 QWebFrame::qt_metacall$$?
	{54, 355, 57},	//31 QWebFrame::render#
	{54, 356, 56},	//32 QWebFrame::render##
	{54, 357, 38},	//33 QWebFrame::renderTreeDump
	{54, 374, 53},	//34 QWebFrame::scroll$$
	{54, 376, 52},	//35 QWebFrame::scrollBarMaximum$
	{54, 378, 51},	//36 QWebFrame::scrollBarMinimum$
	{54, 380, 47},	//37 QWebFrame::scrollBarPolicy$
	{54, 382, 50},	//38 QWebFrame::scrollBarValue$
	{54, 383, 54},	//39 QWebFrame::scrollPosition
	{54, 386, 67},	//40 QWebFrame::securityOrigin
	{54, 392, 33},	//41 QWebFrame::setContent#
	{54, 393, 32},	//42 QWebFrame::setContent#$
	{54, 394, 31},	//43 QWebFrame::setContent#$#
	{54, 410, 30},	//44 QWebFrame::setHtml$
	{54, 411, 29},	//45 QWebFrame::setHtml$#
	{54, 437, 48},	//46 QWebFrame::setScrollBarPolicy$$
	{54, 439, 49},	//47 QWebFrame::setScrollBarValue$$
	{54, 441, 55},	//48 QWebFrame::setScrollPosition#
	{54, 445, 58},	//49 QWebFrame::setTextSizeMultiplier$
	{54, 447, 40},	//50 QWebFrame::setUrl#
	{54, 461, 61},	//51 QWebFrame::setZoomFactor$
	{54, 467, 72},	//52 QWebFrame::staticMetaObject
	{54, 484, 59},	//53 QWebFrame::textSizeMultiplier
	{54, 487, 39},	//54 QWebFrame::title
	{54, 490, 36},	//55 QWebFrame::toHtml
	{54, 491, 37},	//56 QWebFrame::toPlainText
	{54, 496, 71},	//57 QWebFrame::tr$
	{54, 497, 70},	//58 QWebFrame::tr$$
	{54, 509, 41},	//59 QWebFrame::url
	{54, 525, 60},	//60 QWebFrame::zoomFactor
	{55, 130, 79},	//61 QWebHistory::back
	{55, 131, 82},	//62 QWebHistory::backItem
	{55, 133, 75},	//63 QWebHistory::backItems$
	{55, 136, 77},	//64 QWebHistory::canGoBack
	{55, 137, 78},	//65 QWebHistory::canGoForward
	{55, 145, 73},	//66 QWebHistory::clear
	{55, 155, 87},	//67 QWebHistory::count
	{55, 164, 83},	//68 QWebHistory::currentItem
	{55, 165, 86},	//69 QWebHistory::currentItemIndex
	{55, 220, 80},	//70 QWebHistory::forward
	{55, 221, 84},	//71 QWebHistory::forwardItem
	{55, 223, 76},	//72 QWebHistory::forwardItems$
	{55, 234, 81},	//73 QWebHistory::goToItem#
	{55, 262, 85},	//74 QWebHistory::itemAt$
	{55, 263, 74},	//75 QWebHistory::items
	{55, 300, 88},	//76 QWebHistory::maximumItemCount
	{55, 417, 89},	//77 QWebHistory::setMaximumItemCount$
	{56, 72, 93},	//78 QWebHistoryInterface::QWebHistoryInterface
	{56, 73, 92},	//79 QWebHistoryInterface::QWebHistoryInterface#
	{56, 124, 96},	//80 QWebHistoryInterface::addHistoryEntry$
	{56, 173, 100},	//81 QWebHistoryInterface::defaultInterface
	{56, 241, 95},	//82 QWebHistoryInterface::historyContains$
	{56, 305, 90},	//83 QWebHistoryInterface::metaObject
	{56, 349, 91},	//84 QWebHistoryInterface::qt_metacall$$?
	{56, 400, 99},	//85 QWebHistoryInterface::setDefaultInterface#
	{56, 467, 101},	//86 QWebHistoryInterface::staticMetaObject
	{56, 496, 98},	//87 QWebHistoryInterface::tr$
	{56, 497, 97},	//88 QWebHistoryInterface::tr$$
	{56, 529, 94},	//89 QWebHistoryInterface::~QWebHistoryInterface
	{57, 75, 102},	//90 QWebHistoryItem::QWebHistoryItem#
	{57, 245, 109},	//91 QWebHistoryItem::icon
	{57, 260, 112},	//92 QWebHistoryItem::isValid
	{57, 278, 108},	//93 QWebHistoryItem::lastVisited
	{57, 325, 103},	//94 QWebHistoryItem::operator=#
	{57, 327, 105},	//95 QWebHistoryItem::originalUrl
	{57, 449, 111},	//96 QWebHistoryItem::setUserData#
	{57, 487, 107},	//97 QWebHistoryItem::title
	{57, 509, 106},	//98 QWebHistoryItem::url
	{57, 514, 110},	//99 QWebHistoryItem::userData
	{57, 530, 104},	//100 QWebHistoryItem::~QWebHistoryItem
	{58, 76, 113},	//101 QWebHitTestResult::QWebHitTestResult
	{58, 77, 114},	//102 QWebHitTestResult::QWebHitTestResult#
	{58, 129, 125},	//103 QWebHitTestResult::alternateText
	{58, 134, 119},	//104 QWebHitTestResult::boundingRect
	{58, 225, 130},	//105 QWebHitTestResult::frame
	{58, 250, 126},	//106 QWebHitTestResult::imageUrl
	{58, 256, 128},	//107 QWebHitTestResult::isContentEditable
	{58, 257, 129},	//108 QWebHitTestResult::isContentSelected
	{58, 259, 117},	//109 QWebHitTestResult::isNull
	{58, 286, 124},	//110 QWebHitTestResult::linkTargetFrame
	{58, 287, 121},	//111 QWebHitTestResult::linkText
	{58, 288, 123},	//112 QWebHitTestResult::linkTitle
	{58, 289, 122},	//113 QWebHitTestResult::linkUrl
	{58, 325, 115},	//114 QWebHitTestResult::operator=#
	{58, 338, 127},	//115 QWebHitTestResult::pixmap
	{58, 342, 118},	//116 QWebHitTestResult::pos
	{58, 487, 120},	//117 QWebHitTestResult::title
	{58, 531, 116},	//118 QWebHitTestResult::~QWebHitTestResult
	{59, 2, 146},	//119 QWebPage::Back
	{59, 3, 200},	//120 QWebPage::ChooseMultipleFilesExtension
	{59, 6, 151},	//121 QWebPage::Copy
	{59, 7, 145},	//122 QWebPage::CopyImageToClipboard
	{59, 8, 142},	//123 QWebPage::CopyLinkToClipboard
	{59, 10, 150},	//124 QWebPage::Cut
	{59, 14, 197},	//125 QWebPage::DelegateAllLinks
	{59, 15, 196},	//126 QWebPage::DelegateExternalLinks
	{59, 16, 180},	//127 QWebPage::DeleteEndOfWord
	{59, 17, 179},	//128 QWebPage::DeleteStartOfWord
	{59, 19, 195},	//129 QWebPage::DontDelegateLinks
	{59, 20, 144},	//130 QWebPage::DownloadImageToDisk
	{59, 21, 141},	//131 QWebPage::DownloadLinkToDisk
	{59, 23, 192},	//132 QWebPage::FindBackward
	{59, 24, 193},	//133 QWebPage::FindCaseSensitively
	{59, 25, 194},	//134 QWebPage::FindWrapsAroundDocument
	{59, 27, 147},	//135 QWebPage::Forward
	{59, 28, 189},	//136 QWebPage::InsertLineSeparator
	{59, 29, 188},	//137 QWebPage::InsertParagraphSeparator
	{59, 30, 187},	//138 QWebPage::InspectElement
	{59, 41, 164},	//139 QWebPage::MoveToEndOfBlock
	{59, 42, 166},	//140 QWebPage::MoveToEndOfDocument
	{59, 43, 162},	//141 QWebPage::MoveToEndOfLine
	{59, 44, 155},	//142 QWebPage::MoveToNextChar
	{59, 45, 159},	//143 QWebPage::MoveToNextLine
	{59, 46, 157},	//144 QWebPage::MoveToNextWord
	{59, 47, 156},	//145 QWebPage::MoveToPreviousChar
	{59, 48, 160},	//146 QWebPage::MoveToPreviousLine
	{59, 49, 158},	//147 QWebPage::MoveToPreviousWord
	{59, 50, 163},	//148 QWebPage::MoveToStartOfBlock
	{59, 51, 165},	//149 QWebPage::MoveToStartOfDocument
	{59, 52, 161},	//150 QWebPage::MoveToStartOfLine
	{59, 53, 133},	//151 QWebPage::NavigationTypeBackOrForward
	{59, 54, 135},	//152 QWebPage::NavigationTypeFormResubmitted
	{59, 55, 132},	//153 QWebPage::NavigationTypeFormSubmitted
	{59, 56, 131},	//154 QWebPage::NavigationTypeLinkClicked
	{59, 57, 136},	//155 QWebPage::NavigationTypeOther
	{59, 58, 134},	//156 QWebPage::NavigationTypeReload
	{59, 59, 137},	//157 QWebPage::NoWebAction
	{59, 62, 140},	//158 QWebPage::OpenFrameInNewWindow
	{59, 63, 143},	//159 QWebPage::OpenImageInNewWindow
	{59, 64, 138},	//160 QWebPage::OpenLink
	{59, 65, 139},	//161 QWebPage::OpenLinkInNewWindow
	{59, 66, 152},	//162 QWebPage::Paste
	{59, 78, 204},	//163 QWebPage::QWebPage
	{59, 79, 203},	//164 QWebPage::QWebPage#
	{59, 86, 154},	//165 QWebPage::Redo
	{59, 87, 149},	//166 QWebPage::Reload
	{59, 89, 190},	//167 QWebPage::SelectAll
	{59, 90, 176},	//168 QWebPage::SelectEndOfBlock
	{59, 91, 178},	//169 QWebPage::SelectEndOfDocument
	{59, 92, 174},	//170 QWebPage::SelectEndOfLine
	{59, 93, 167},	//171 QWebPage::SelectNextChar
	{59, 94, 171},	//172 QWebPage::SelectNextLine
	{59, 95, 169},	//173 QWebPage::SelectNextWord
	{59, 96, 168},	//174 QWebPage::SelectPreviousChar
	{59, 97, 172},	//175 QWebPage::SelectPreviousLine
	{59, 98, 170},	//176 QWebPage::SelectPreviousWord
	{59, 99, 175},	//177 QWebPage::SelectStartOfBlock
	{59, 100, 177},	//178 QWebPage::SelectStartOfDocument
	{59, 101, 173},	//179 QWebPage::SelectStartOfLine
	{59, 103, 181},	//180 QWebPage::SetTextDirectionDefault
	{59, 104, 182},	//181 QWebPage::SetTextDirectionLeftToRight
	{59, 105, 183},	//182 QWebPage::SetTextDirectionRightToLeft
	{59, 107, 148},	//183 QWebPage::Stop
	{59, 109, 184},	//184 QWebPage::ToggleBold
	{59, 110, 185},	//185 QWebPage::ToggleItalic
	{59, 111, 186},	//186 QWebPage::ToggleUnderline
	{59, 112, 153},	//187 QWebPage::Undo
	{59, 113, 191},	//188 QWebPage::WebActionCount
	{59, 114, 198},	//189 QWebPage::WebBrowserWindow
	{59, 115, 199},	//190 QWebPage::WebModalDialog
	{59, 118, 274},	//191 QWebPage::acceptNavigationRequest##$
	{59, 120, 221},	//192 QWebPage::action$
	{59, 135, 219},	//193 QWebPage::bytesReceived
	{59, 144, 275},	//194 QWebPage::chooseFile#$
	{59, 151, 265},	//195 QWebPage::contentsChanged
	{59, 159, 273},	//196 QWebPage::createPlugin$#??
	{59, 160, 241},	//197 QWebPage::createStandardContextMenu
	{59, 162, 272},	//198 QWebPage::createWindow$
	{59, 163, 207},	//199 QWebPage::currentFrame
	{59, 170, 266},	//200 QWebPage::databaseQuotaExceeded#$
	{59, 179, 263},	//201 QWebPage::downloadRequested#
	{59, 195, 226},	//202 QWebPage::event#
	{59, 200, 244},	//203 QWebPage::extension$
	{59, 201, 243},	//204 QWebPage::extension$?
	{59, 202, 242},	//205 QWebPage::extension$??
	{59, 206, 230},	//206 QWebPage::findText$
	{59, 207, 229},	//207 QWebPage::findText$$
	{59, 211, 227},	//208 QWebPage::focusNextPrevChild$
	{59, 224, 232},	//209 QWebPage::forwardUnsupportedContent
	{59, 227, 252},	//210 QWebPage::frameCreated#
	{59, 231, 253},	//211 QWebPage::geometryChangeRequested#
	{59, 239, 208},	//212 QWebPage::history
	{59, 255, 228},	//213 QWebPage::inputMethodQuery$
	{59, 256, 238},	//214 QWebPage::isContentEditable
	{59, 258, 212},	//215 QWebPage::isModified
	{59, 265, 276},	//216 QWebPage::javaScriptAlert#$
	{59, 267, 277},	//217 QWebPage::javaScriptConfirm#$
	{59, 269, 279},	//218 QWebPage::javaScriptConsoleMessage$$$
	{59, 271, 278},	//219 QWebPage::javaScriptPrompt#$$$
	{59, 282, 258},	//220 QWebPage::linkClicked#
	{59, 283, 234},	//221 QWebPage::linkDelegationPolicy
	{59, 285, 249},	//222 QWebPage::linkHovered$$$
	{59, 295, 248},	//223 QWebPage::loadFinished$
	{59, 297, 247},	//224 QWebPage::loadProgress$
	{59, 298, 246},	//225 QWebPage::loadStarted
	{59, 299, 206},	//226 QWebPage::mainFrame
	{59, 303, 261},	//227 QWebPage::menuBarVisibilityChangeRequested$
	{59, 305, 201},	//228 QWebPage::metaObject
	{59, 308, 264},	//229 QWebPage::microFocusChanged
	{59, 321, 215},	//230 QWebPage::networkAccessManager
	{59, 334, 236},	//231 QWebPage::palette
	{59, 339, 217},	//232 QWebPage::pluginFactory
	{59, 346, 257},	//233 QWebPage::printRequested#
	{59, 349, 202},	//234 QWebPage::qt_metacall$$?
	{59, 359, 254},	//235 QWebPage::repaintRequested#
	{59, 369, 268},	//236 QWebPage::restoreFrameStateRequested#
	{59, 371, 267},	//237 QWebPage::saveFrameStateRequested##
	{59, 385, 255},	//238 QWebPage::scrollRequested$$#
	{59, 387, 220},	//239 QWebPage::selectedText
	{59, 388, 251},	//240 QWebPage::selectionChanged
	{59, 396, 237},	//241 QWebPage::setContentEditable$
	{59, 408, 231},	//242 QWebPage::setForwardUnsupportedContent$
	{59, 415, 233},	//243 QWebPage::setLinkDelegationPolicy$
	{59, 421, 214},	//244 QWebPage::setNetworkAccessManager#
	{59, 431, 235},	//245 QWebPage::setPalette#
	{59, 435, 216},	//246 QWebPage::setPluginFactory#
	{59, 453, 210},	//247 QWebPage::setView#
	{59, 455, 225},	//248 QWebPage::setViewportSize#
	{59, 462, 209},	//249 QWebPage::settings
	{59, 467, 271},	//250 QWebPage::staticMetaObject
	{59, 469, 250},	//251 QWebPage::statusBarMessage$
	{59, 471, 260},	//252 QWebPage::statusBarVisibilityChangeRequested$
	{59, 477, 245},	//253 QWebPage::supportsExtension$
	{59, 479, 239},	//254 QWebPage::swallowContextMenuEvent#
	{59, 493, 259},	//255 QWebPage::toolBarVisibilityChangeRequested$
	{59, 494, 218},	//256 QWebPage::totalBytes
	{59, 496, 270},	//257 QWebPage::tr$
	{59, 497, 269},	//258 QWebPage::tr$$
	{59, 499, 223},	//259 QWebPage::triggerAction$
	{59, 500, 222},	//260 QWebPage::triggerAction$$
	{59, 504, 213},	//261 QWebPage::undoStack
	{59, 506, 262},	//262 QWebPage::unsupportedContent#
	{59, 508, 240},	//263 QWebPage::updatePositionDependentActions#
	{59, 513, 280},	//264 QWebPage::userAgentForUrl#
	{59, 516, 211},	//265 QWebPage::view
	{59, 517, 224},	//266 QWebPage::viewportSize
	{59, 524, 256},	//267 QWebPage::windowCloseRequested
	{59, 532, 205},	//268 QWebPage::~QWebPage
	{60, 4, 283},	//269 QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption
	{60, 337, 285},	//270 QWebPage::ChooseMultipleFilesExtensionOption::parentFrame
	{60, 433, 281},	//271 QWebPage::ChooseMultipleFilesExtensionOption::setParentFrame#
	{60, 443, 282},	//272 QWebPage::ChooseMultipleFilesExtensionOption::setSuggestedFileNames?
	{60, 475, 286},	//273 QWebPage::ChooseMultipleFilesExtensionOption::suggestedFileNames
	{60, 526, 284},	//274 QWebPage::ChooseMultipleFilesExtensionOption::~ChooseMultipleFilesExtensionOption
	{61, 5, 288},	//275 QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn
	{61, 204, 290},	//276 QWebPage::ChooseMultipleFilesExtensionReturn::fileNames
	{61, 402, 287},	//277 QWebPage::ChooseMultipleFilesExtensionReturn::setFileNames?
	{61, 527, 289},	//278 QWebPage::ChooseMultipleFilesExtensionReturn::~ChooseMultipleFilesExtensionReturn
	{62, 80, 294},	//279 QWebPluginFactory::QWebPluginFactory
	{62, 81, 293},	//280 QWebPluginFactory::QWebPluginFactory#
	{62, 157, 298},	//281 QWebPluginFactory::create$#??
	{62, 200, 301},	//282 QWebPluginFactory::extension$
	{62, 201, 300},	//283 QWebPluginFactory::extension$?
	{62, 202, 299},	//284 QWebPluginFactory::extension$??
	{62, 305, 291},	//285 QWebPluginFactory::metaObject
	{62, 340, 296},	//286 QWebPluginFactory::plugins
	{62, 349, 292},	//287 QWebPluginFactory::qt_metacall$$?
	{62, 350, 297},	//288 QWebPluginFactory::refreshPlugins
	{62, 467, 305},	//289 QWebPluginFactory::staticMetaObject
	{62, 477, 302},	//290 QWebPluginFactory::supportsExtension$
	{62, 496, 304},	//291 QWebPluginFactory::tr$
	{62, 497, 303},	//292 QWebPluginFactory::tr$$
	{62, 533, 295},	//293 QWebPluginFactory::~QWebPluginFactory
	{63, 83, 314},	//294 QWebSecurityOrigin::QWebSecurityOrigin#
	{63, 128, 316},	//295 QWebSecurityOrigin::allOrigins
	{63, 168, 311},	//296 QWebSecurityOrigin::databaseQuota
	{63, 171, 310},	//297 QWebSecurityOrigin::databaseUsage
	{63, 172, 313},	//298 QWebSecurityOrigin::databases
	{63, 244, 308},	//299 QWebSecurityOrigin::host
	{63, 325, 315},	//300 QWebSecurityOrigin::operator=#
	{63, 341, 309},	//301 QWebSecurityOrigin::port
	{63, 372, 307},	//302 QWebSecurityOrigin::scheme
	{63, 398, 312},	//303 QWebSecurityOrigin::setDatabaseQuota$
	{63, 534, 306},	//304 QWebSecurityOrigin::~QWebSecurityOrigin
	{64, 1, 323},	//305 QWebSettings::AutoLoadImages
	{64, 9, 321},	//306 QWebSettings::CursiveFont
	{64, 11, 344},	//307 QWebSettings::DefaultFixedFontSize
	{64, 12, 343},	//308 QWebSettings::DefaultFontSize
	{64, 13, 339},	//309 QWebSettings::DefaultFrameIconGraphic
	{64, 18, 330},	//310 QWebSettings::DeveloperExtrasEnabled
	{64, 22, 322},	//311 QWebSettings::FantasyFont
	{64, 26, 318},	//312 QWebSettings::FixedFont
	{64, 31, 325},	//313 QWebSettings::JavaEnabled
	{64, 32, 329},	//314 QWebSettings::JavascriptCanAccessClipboard
	{64, 33, 328},	//315 QWebSettings::JavascriptCanOpenWindows
	{64, 34, 324},	//316 QWebSettings::JavascriptEnabled
	{64, 35, 331},	//317 QWebSettings::LinksIncludedInFocusChain
	{64, 36, 336},	//318 QWebSettings::LocalStorageDatabaseEnabled
	{64, 37, 341},	//319 QWebSettings::MinimumFontSize
	{64, 38, 342},	//320 QWebSettings::MinimumLogicalFontSize
	{64, 39, 337},	//321 QWebSettings::MissingImageGraphic
	{64, 40, 338},	//322 QWebSettings::MissingPluginGraphic
	{64, 60, 334},	//323 QWebSettings::OfflineStorageDatabaseEnabled
	{64, 61, 335},	//324 QWebSettings::OfflineWebApplicationCacheEnabled
	{64, 67, 326},	//325 QWebSettings::PluginsEnabled
	{64, 68, 333},	//326 QWebSettings::PrintElementBackgrounds
	{64, 69, 327},	//327 QWebSettings::PrivateBrowsingEnabled
	{64, 88, 320},	//328 QWebSettings::SansSerifFont
	{64, 102, 319},	//329 QWebSettings::SerifFont
	{64, 106, 317},	//330 QWebSettings::StandardFont
	{64, 108, 340},	//331 QWebSettings::TextAreaSizeGripCornerGraphic
	{64, 116, 332},	//332 QWebSettings::ZoomTextOnly
	{64, 146, 359},	//333 QWebSettings::clearIconDatabase
	{64, 217, 346},	//334 QWebSettings::fontFamily$
	{64, 219, 349},	//335 QWebSettings::fontSize$
	{64, 232, 356},	//336 QWebSettings::globalSettings
	{64, 247, 358},	//337 QWebSettings::iconDatabasePath
	{64, 249, 360},	//338 QWebSettings::iconForUrl#
	{64, 301, 364},	//339 QWebSettings::maximumPagesInCache
	{64, 322, 369},	//340 QWebSettings::offlineStorageDefaultQuota
	{64, 323, 367},	//341 QWebSettings::offlineStoragePath
	{64, 361, 353},	//342 QWebSettings::resetAttribute$
	{64, 363, 347},	//343 QWebSettings::resetFontFamily$
	{64, 365, 350},	//344 QWebSettings::resetFontSize$
	{64, 390, 351},	//345 QWebSettings::setAttribute$$
	{64, 404, 345},	//346 QWebSettings::setFontFamily$$
	{64, 406, 348},	//347 QWebSettings::setFontSize$$
	{64, 413, 357},	//348 QWebSettings::setIconDatabasePath$
	{64, 419, 363},	//349 QWebSettings::setMaximumPagesInCache$
	{64, 423, 365},	//350 QWebSettings::setObjectCacheCapacities$$$
	{64, 425, 368},	//351 QWebSettings::setOfflineStorageDefaultQuota$
	{64, 427, 366},	//352 QWebSettings::setOfflineStoragePath$
	{64, 451, 354},	//353 QWebSettings::setUserStyleSheetUrl#
	{64, 459, 361},	//354 QWebSettings::setWebGraphic$#
	{64, 483, 352},	//355 QWebSettings::testAttribute$
	{64, 515, 355},	//356 QWebSettings::userStyleSheetUrl
	{64, 519, 362},	//357 QWebSettings::webGraphic$
	{65, 84, 373},	//358 QWebView::QWebView
	{65, 85, 372},	//359 QWebView::QWebView#
	{65, 130, 407},	//360 QWebView::back
	{65, 139, 426},	//361 QWebView::changeEvent#
	{65, 154, 431},	//362 QWebView::contextMenuEvent#
	{65, 162, 425},	//363 QWebView::createWindow$
	{65, 181, 435},	//364 QWebView::dragEnterEvent#
	{65, 183, 436},	//365 QWebView::dragLeaveEvent#
	{65, 185, 437},	//366 QWebView::dragMoveEvent#
	{65, 187, 438},	//367 QWebView::dropEvent#
	{65, 195, 405},	//368 QWebView::event#
	{65, 206, 404},	//369 QWebView::findText$
	{65, 207, 403},	//370 QWebView::findText$$
	{65, 209, 439},	//371 QWebView::focusInEvent#
	{65, 211, 442},	//372 QWebView::focusNextPrevChild$
	{65, 213, 440},	//373 QWebView::focusOutEvent#
	{65, 220, 408},	//374 QWebView::forward
	{65, 239, 386},	//375 QWebView::history
	{65, 245, 391},	//376 QWebView::icon
	{65, 246, 418},	//377 QWebView::iconChanged
	{65, 253, 441},	//378 QWebView::inputMethodEvent#
	{65, 255, 397},	//379 QWebView::inputMethodQuery$
	{65, 258, 396},	//380 QWebView::isModified
	{65, 274, 433},	//381 QWebView::keyPressEvent#
	{65, 276, 434},	//382 QWebView::keyReleaseEvent#
	{65, 282, 416},	//383 QWebView::linkClicked#
	{65, 291, -4},	//384 QWebView::load#
	{65, 292, 379},	//385 QWebView::load#$
	{65, 293, 378},	//386 QWebView::load#$#
	{65, 295, 413},	//387 QWebView::loadFinished$
	{65, 297, 412},	//388 QWebView::loadProgress$
	{65, 298, 411},	//389 QWebView::loadStarted
	{65, 305, 370},	//390 QWebView::metaObject
	{65, 311, 429},	//391 QWebView::mouseDoubleClickEvent#
	{65, 313, 427},	//392 QWebView::mouseMoveEvent#
	{65, 315, 428},	//393 QWebView::mousePressEvent#
	{65, 317, 430},	//394 QWebView::mouseReleaseEvent#
	{65, 328, 375},	//395 QWebView::page
	{65, 330, 393},	//396 QWebView::pageAction$
	{65, 333, 424},	//397 QWebView::paintEvent#
	{65, 344, 410},	//398 QWebView::print#
	{65, 349, 371},	//399 QWebView::qt_metacall$$?
	{65, 351, 409},	//400 QWebView::reload
	{65, 367, 423},	//401 QWebView::resizeEvent#
	{65, 387, 392},	//402 QWebView::selectedText
	{65, 388, 417},	//403 QWebView::selectionChanged
	{65, 392, 385},	//404 QWebView::setContent#
	{65, 393, 384},	//405 QWebView::setContent#$
	{65, 394, 383},	//406 QWebView::setContent#$#
	{65, 410, 382},	//407 QWebView::setHtml$
	{65, 411, 381},	//408 QWebView::setHtml$#
	{65, 429, 376},	//409 QWebView::setPage#
	{65, 445, 401},	//410 QWebView::setTextSizeMultiplier$
	{65, 447, 389},	//411 QWebView::setUrl#
	{65, 461, 400},	//412 QWebView::setZoomFactor$
	{65, 462, 387},	//413 QWebView::settings
	{65, 466, 398},	//414 QWebView::sizeHint
	{65, 467, 422},	//415 QWebView::staticMetaObject
	{65, 469, 415},	//416 QWebView::statusBarMessage$
	{65, 472, 406},	//417 QWebView::stop
	{65, 484, 402},	//418 QWebView::textSizeMultiplier
	{65, 487, 388},	//419 QWebView::title
	{65, 489, 414},	//420 QWebView::titleChanged$
	{65, 496, 421},	//421 QWebView::tr$
	{65, 497, 420},	//422 QWebView::tr$$
	{65, 502, 395},	//423 QWebView::triggerPageAction$
	{65, 503, 394},	//424 QWebView::triggerPageAction$$
	{65, 509, 390},	//425 QWebView::url
	{65, 511, 419},	//426 QWebView::urlChanged#
	{65, 521, 432},	//427 QWebView::wheelEvent#
	{65, 525, 399},	//428 QWebView::zoomFactor
	{65, 535, 374},	//429 QWebView::~QWebView
};

static Smoke::Index qtwebkit_ambiguousMethodList[] = {
    0,
    28,  // QWebFrame::load(const QNetworkRequest&)
    25,  // QWebFrame::load(const QUrl&)
    0,
    380,  // QWebView::load(const QNetworkRequest&)
    377,  // QWebView::load(const QUrl&)
    0,
};


void init_qt_Smoke();

static bool initialized = false;
Smoke *qtwebkit_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtwebkit_Smoke() {
    if (initialized) return;
    init_qt_Smoke();
    qtwebkit_Smoke = new Smoke(
        "qtwebkit",
        qtwebkit_classes, 68,
        qtwebkit_methods, 483,
        qtwebkit_methodMaps, 429,
        qtwebkit_methodNames, 535,
        qtwebkit_types, 359,
        qtwebkit_inheritanceList,
        qtwebkit_argumentList,
        qtwebkit_ambiguousMethodList,
        qtwebkit_cast );
    initialized = true;
}
