#include <qcoreevent.h>
#include <qobject.h>
#include <qobjectdefs.h>
#include <qvariant.h>
#include <solid/acadapter.h>
#include <solid/audiointerface.h>
#include <solid/battery.h>
#include <solid/block.h>
#include <solid/button.h>
#include <solid/camera.h>
#include <solid/device.h>
#include <solid/deviceinterface.h>
#include <solid/devicenotifier.h>
#include <solid/dvbinterface.h>
#include <solid/genericinterface.h>
#include <solid/networking.h>
#include <solid/networkinterface.h>
#include <solid/opticaldisc.h>
#include <solid/opticaldrive.h>
#include <solid/portablemediaplayer.h>
#include <solid/powermanagement.h>
#include <solid/predicate.h>
#include <solid/processor.h>
#include <solid/storageaccess.h>
#include <solid/storagedrive.h>
#include <solid/storagevolume.h>
#include <solid/video.h>

#include <smoke.h>

#include <solid_smoke.h>

static void *solid_cast(void *xptr, Smoke::Index from, Smoke::Index to) {
    switch(from) {
      case 1:	//QChildEvent
	switch(to) {
	    case 2: return (void*)(QEvent*)(QChildEvent*)xptr;
	    case 1: return (void*)(QChildEvent*)(QChildEvent*)xptr;
	  default: return xptr;
	}
      case 2:	//QEvent
	switch(to) {
	    case 2: return (void*)(QEvent*)(QEvent*)xptr;
	    case 1: return (void*)(QChildEvent*)(QEvent*)xptr;
	    case 5: return (void*)(QTimerEvent*)(QEvent*)xptr;
	  default: return xptr;
	}
      case 3:	//QMetaObject
	switch(to) {
	    case 3: return (void*)(QMetaObject*)(QMetaObject*)xptr;
	  default: return xptr;
	}
      case 4:	//QObject
	switch(to) {
	    case 4: return (void*)(QObject*)(QObject*)xptr;
	    case 8: return (void*)(Solid::AcAdapter*)(QObject*)xptr;
	    case 9: return (void*)(Solid::AudioInterface*)(QObject*)xptr;
	    case 10: return (void*)(Solid::Battery*)(QObject*)xptr;
	    case 11: return (void*)(Solid::Block*)(QObject*)xptr;
	    case 12: return (void*)(Solid::Button*)(QObject*)xptr;
	    case 13: return (void*)(Solid::Camera*)(QObject*)xptr;
	    case 15: return (void*)(Solid::DeviceInterface*)(QObject*)xptr;
	    case 16: return (void*)(Solid::DeviceNotifier*)(QObject*)xptr;
	    case 17: return (void*)(Solid::DvbInterface*)(QObject*)xptr;
	    case 18: return (void*)(Solid::GenericInterface*)(QObject*)xptr;
	    case 19: return (void*)(Solid::NetworkInterface*)(QObject*)xptr;
	    case 21: return (void*)(Solid::Networking::Notifier*)(QObject*)xptr;
	    case 22: return (void*)(Solid::OpticalDisc*)(QObject*)xptr;
	    case 23: return (void*)(Solid::OpticalDrive*)(QObject*)xptr;
	    case 24: return (void*)(Solid::PortableMediaPlayer*)(QObject*)xptr;
	    case 26: return (void*)(Solid::PowerManagement::Notifier*)(QObject*)xptr;
	    case 28: return (void*)(Solid::Processor*)(QObject*)xptr;
	    case 29: return (void*)(Solid::StorageAccess*)(QObject*)xptr;
	    case 30: return (void*)(Solid::StorageDrive*)(QObject*)xptr;
	    case 31: return (void*)(Solid::StorageVolume*)(QObject*)xptr;
	    case 32: return (void*)(Solid::Video*)(QObject*)xptr;
	  default: return xptr;
	}
      case 5:	//QTimerEvent
	switch(to) {
	    case 2: return (void*)(QEvent*)(QTimerEvent*)xptr;
	    case 5: return (void*)(QTimerEvent*)(QTimerEvent*)xptr;
	  default: return xptr;
	}
      case 6:	//QVariant
	switch(to) {
	    case 6: return (void*)(QVariant*)(QVariant*)xptr;
	  default: return xptr;
	}
      case 8:	//Solid::AcAdapter
	switch(to) {
	    case 15: return (void*)(Solid::DeviceInterface*)(Solid::AcAdapter*)xptr;
	    case 4: return (void*)(QObject*)(Solid::AcAdapter*)xptr;
	    case 8: return (void*)(Solid::AcAdapter*)(Solid::AcAdapter*)xptr;
	  default: return xptr;
	}
      case 9:	//Solid::AudioInterface
	switch(to) {
	    case 15: return (void*)(Solid::DeviceInterface*)(Solid::AudioInterface*)xptr;
	    case 4: return (void*)(QObject*)(Solid::AudioInterface*)xptr;
	    case 9: return (void*)(Solid::AudioInterface*)(Solid::AudioInterface*)xptr;
	  default: return xptr;
	}
      case 10:	//Solid::Battery
	switch(to) {
	    case 15: return (void*)(Solid::DeviceInterface*)(Solid::Battery*)xptr;
	    case 4: return (void*)(QObject*)(Solid::Battery*)xptr;
	    case 10: return (void*)(Solid::Battery*)(Solid::Battery*)xptr;
	  default: return xptr;
	}
      case 11:	//Solid::Block
	switch(to) {
	    case 15: return (void*)(Solid::DeviceInterface*)(Solid::Block*)xptr;
	    case 4: return (void*)(QObject*)(Solid::Block*)xptr;
	    case 11: return (void*)(Solid::Block*)(Solid::Block*)xptr;
	  default: return xptr;
	}
      case 12:	//Solid::Button
	switch(to) {
	    case 15: return (void*)(Solid::DeviceInterface*)(Solid::Button*)xptr;
	    case 4: return (void*)(QObject*)(Solid::Button*)xptr;
	    case 12: return (void*)(Solid::Button*)(Solid::Button*)xptr;
	  default: return xptr;
	}
      case 13:	//Solid::Camera
	switch(to) {
	    case 15: return (void*)(Solid::DeviceInterface*)(Solid::Camera*)xptr;
	    case 4: return (void*)(QObject*)(Solid::Camera*)xptr;
	    case 13: return (void*)(Solid::Camera*)(Solid::Camera*)xptr;
	  default: return xptr;
	}
      case 14:	//Solid::Device
	switch(to) {
	    case 14: return (void*)(Solid::Device*)(Solid::Device*)xptr;
	  default: return xptr;
	}
      case 15:	//Solid::DeviceInterface
	switch(to) {
	    case 4: return (void*)(QObject*)(Solid::DeviceInterface*)xptr;
	    case 15: return (void*)(Solid::DeviceInterface*)(Solid::DeviceInterface*)xptr;
	    case 8: return (void*)(Solid::AcAdapter*)(Solid::DeviceInterface*)xptr;
	    case 9: return (void*)(Solid::AudioInterface*)(Solid::DeviceInterface*)xptr;
	    case 10: return (void*)(Solid::Battery*)(Solid::DeviceInterface*)xptr;
	    case 11: return (void*)(Solid::Block*)(Solid::DeviceInterface*)xptr;
	    case 12: return (void*)(Solid::Button*)(Solid::DeviceInterface*)xptr;
	    case 13: return (void*)(Solid::Camera*)(Solid::DeviceInterface*)xptr;
	    case 17: return (void*)(Solid::DvbInterface*)(Solid::DeviceInterface*)xptr;
	    case 18: return (void*)(Solid::GenericInterface*)(Solid::DeviceInterface*)xptr;
	    case 19: return (void*)(Solid::NetworkInterface*)(Solid::DeviceInterface*)xptr;
	    case 22: return (void*)(Solid::OpticalDisc*)(Solid::DeviceInterface*)xptr;
	    case 23: return (void*)(Solid::OpticalDrive*)(Solid::DeviceInterface*)xptr;
	    case 24: return (void*)(Solid::PortableMediaPlayer*)(Solid::DeviceInterface*)xptr;
	    case 28: return (void*)(Solid::Processor*)(Solid::DeviceInterface*)xptr;
	    case 29: return (void*)(Solid::StorageAccess*)(Solid::DeviceInterface*)xptr;
	    case 30: return (void*)(Solid::StorageDrive*)(Solid::DeviceInterface*)xptr;
	    case 31: return (void*)(Solid::StorageVolume*)(Solid::DeviceInterface*)xptr;
	    case 32: return (void*)(Solid::Video*)(Solid::DeviceInterface*)xptr;
	  default: return xptr;
	}
      case 16:	//Solid::DeviceNotifier
	switch(to) {
	    case 4: return (void*)(QObject*)(Solid::DeviceNotifier*)xptr;
	    case 16: return (void*)(Solid::DeviceNotifier*)(Solid::DeviceNotifier*)xptr;
	  default: return xptr;
	}
      case 17:	//Solid::DvbInterface
	switch(to) {
	    case 15: return (void*)(Solid::DeviceInterface*)(Solid::DvbInterface*)xptr;
	    case 4: return (void*)(QObject*)(Solid::DvbInterface*)xptr;
	    case 17: return (void*)(Solid::DvbInterface*)(Solid::DvbInterface*)xptr;
	  default: return xptr;
	}
      case 18:	//Solid::GenericInterface
	switch(to) {
	    case 15: return (void*)(Solid::DeviceInterface*)(Solid::GenericInterface*)xptr;
	    case 4: return (void*)(QObject*)(Solid::GenericInterface*)xptr;
	    case 18: return (void*)(Solid::GenericInterface*)(Solid::GenericInterface*)xptr;
	  default: return xptr;
	}
      case 19:	//Solid::NetworkInterface
	switch(to) {
	    case 15: return (void*)(Solid::DeviceInterface*)(Solid::NetworkInterface*)xptr;
	    case 4: return (void*)(QObject*)(Solid::NetworkInterface*)xptr;
	    case 19: return (void*)(Solid::NetworkInterface*)(Solid::NetworkInterface*)xptr;
	  default: return xptr;
	}
      case 21:	//Solid::Networking::Notifier
	switch(to) {
	    case 4: return (void*)(QObject*)(Solid::Networking::Notifier*)xptr;
	    case 21: return (void*)(Solid::Networking::Notifier*)(Solid::Networking::Notifier*)xptr;
	  default: return xptr;
	}
      case 22:	//Solid::OpticalDisc
	switch(to) {
	    case 31: return (void*)(Solid::StorageVolume*)(Solid::OpticalDisc*)xptr;
	    case 15: return (void*)(Solid::DeviceInterface*)(Solid::OpticalDisc*)xptr;
	    case 4: return (void*)(QObject*)(Solid::OpticalDisc*)xptr;
	    case 22: return (void*)(Solid::OpticalDisc*)(Solid::OpticalDisc*)xptr;
	  default: return xptr;
	}
      case 23:	//Solid::OpticalDrive
	switch(to) {
	    case 30: return (void*)(Solid::StorageDrive*)(Solid::OpticalDrive*)xptr;
	    case 15: return (void*)(Solid::DeviceInterface*)(Solid::OpticalDrive*)xptr;
	    case 4: return (void*)(QObject*)(Solid::OpticalDrive*)xptr;
	    case 23: return (void*)(Solid::OpticalDrive*)(Solid::OpticalDrive*)xptr;
	  default: return xptr;
	}
      case 24:	//Solid::PortableMediaPlayer
	switch(to) {
	    case 15: return (void*)(Solid::DeviceInterface*)(Solid::PortableMediaPlayer*)xptr;
	    case 4: return (void*)(QObject*)(Solid::PortableMediaPlayer*)xptr;
	    case 24: return (void*)(Solid::PortableMediaPlayer*)(Solid::PortableMediaPlayer*)xptr;
	  default: return xptr;
	}
      case 26:	//Solid::PowerManagement::Notifier
	switch(to) {
	    case 4: return (void*)(QObject*)(Solid::PowerManagement::Notifier*)xptr;
	    case 26: return (void*)(Solid::PowerManagement::Notifier*)(Solid::PowerManagement::Notifier*)xptr;
	  default: return xptr;
	}
      case 27:	//Solid::Predicate
	switch(to) {
	    case 27: return (void*)(Solid::Predicate*)(Solid::Predicate*)xptr;
	  default: return xptr;
	}
      case 28:	//Solid::Processor
	switch(to) {
	    case 15: return (void*)(Solid::DeviceInterface*)(Solid::Processor*)xptr;
	    case 4: return (void*)(QObject*)(Solid::Processor*)xptr;
	    case 28: return (void*)(Solid::Processor*)(Solid::Processor*)xptr;
	  default: return xptr;
	}
      case 29:	//Solid::StorageAccess
	switch(to) {
	    case 15: return (void*)(Solid::DeviceInterface*)(Solid::StorageAccess*)xptr;
	    case 4: return (void*)(QObject*)(Solid::StorageAccess*)xptr;
	    case 29: return (void*)(Solid::StorageAccess*)(Solid::StorageAccess*)xptr;
	  default: return xptr;
	}
      case 30:	//Solid::StorageDrive
	switch(to) {
	    case 15: return (void*)(Solid::DeviceInterface*)(Solid::StorageDrive*)xptr;
	    case 4: return (void*)(QObject*)(Solid::StorageDrive*)xptr;
	    case 30: return (void*)(Solid::StorageDrive*)(Solid::StorageDrive*)xptr;
	    case 23: return (void*)(Solid::OpticalDrive*)(Solid::StorageDrive*)xptr;
	  default: return xptr;
	}
      case 31:	//Solid::StorageVolume
	switch(to) {
	    case 15: return (void*)(Solid::DeviceInterface*)(Solid::StorageVolume*)xptr;
	    case 4: return (void*)(QObject*)(Solid::StorageVolume*)xptr;
	    case 31: return (void*)(Solid::StorageVolume*)(Solid::StorageVolume*)xptr;
	    case 22: return (void*)(Solid::OpticalDisc*)(Solid::StorageVolume*)xptr;
	  default: return xptr;
	}
      case 32:	//Solid::Video
	switch(to) {
	    case 15: return (void*)(Solid::DeviceInterface*)(Solid::Video*)xptr;
	    case 4: return (void*)(QObject*)(Solid::Video*)xptr;
	    case 32: return (void*)(Solid::Video*)(Solid::Video*)xptr;
	  default: return xptr;
	}
      default: return xptr;
    }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index solid_inheritanceList[] = {
	0,	// 0: (no super class)
	15, 0,	// 1: Solid::DeviceInterface
	4, 0,	// 3: QObject
	31, 0,	// 5: Solid::StorageVolume
	30, 0,	// 7: Solid::StorageDrive
};

// These are the xenum functions for manipulating enum pointers
void xenum_Solid__Battery(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__Processor(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__GenericInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__Networking(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__DvbInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__PowerManagement(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__Button(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__AudioInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__OpticalDrive(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__OpticalDisc(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__StorageVolume(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__Predicate(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__StorageDrive(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__DeviceInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Solid(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__AcAdapter(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__AudioInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Battery(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Block(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Button(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Camera(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Device(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__DeviceInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__DeviceNotifier(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__DvbInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__GenericInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__NetworkInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Networking(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__OpticalDisc(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__OpticalDrive(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__PortableMediaPlayer(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__PowerManagement(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Predicate(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Processor(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__StorageAccess(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__StorageDrive(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__StorageVolume(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Video(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, index into inheritanceList, method dispatcher, enum dispatcher, class flags
static Smoke::Class solid_classes[] = {
	{ 0L, false, 0, 0, 0, 0 }, 	// 0 (no class)
	{ "QChildEvent", true, 0, 0, 0, 0 }, 	// 1
	{ "QEvent", true, 0, 0, 0, 0 }, 	// 2
	{ "QMetaObject", true, 0, 0, 0, 0 }, 	// 3
	{ "QObject", true, 0, 0, 0, 0 }, 	// 4
	{ "QTimerEvent", true, 0, 0, 0, 0 }, 	// 5
	{ "QVariant", true, 0, 0, 0, 0 }, 	// 6
	{ "Solid", false, 0, xcall_Solid, xenum_Solid, Smoke::cf_deepcopy }, 	//7
	{ "Solid::AcAdapter", false, 1, xcall_Solid__AcAdapter, 0, Smoke::cf_virtual }, 	//8
	{ "Solid::AudioInterface", false, 1, xcall_Solid__AudioInterface, xenum_Solid__AudioInterface, Smoke::cf_virtual }, 	//9
	{ "Solid::Battery", false, 1, xcall_Solid__Battery, xenum_Solid__Battery, Smoke::cf_virtual }, 	//10
	{ "Solid::Block", false, 1, xcall_Solid__Block, 0, Smoke::cf_virtual }, 	//11
	{ "Solid::Button", false, 1, xcall_Solid__Button, xenum_Solid__Button, Smoke::cf_virtual }, 	//12
	{ "Solid::Camera", false, 1, xcall_Solid__Camera, 0, Smoke::cf_virtual }, 	//13
	{ "Solid::Device", false, 0, xcall_Solid__Device, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//14
	{ "Solid::DeviceInterface", false, 3, xcall_Solid__DeviceInterface, xenum_Solid__DeviceInterface, Smoke::cf_constructor|Smoke::cf_virtual }, 	//15
	{ "Solid::DeviceNotifier", false, 3, xcall_Solid__DeviceNotifier, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//16
	{ "Solid::DvbInterface", false, 1, xcall_Solid__DvbInterface, xenum_Solid__DvbInterface, Smoke::cf_virtual }, 	//17
	{ "Solid::GenericInterface", false, 1, xcall_Solid__GenericInterface, xenum_Solid__GenericInterface, Smoke::cf_virtual }, 	//18
	{ "Solid::NetworkInterface", false, 1, xcall_Solid__NetworkInterface, 0, Smoke::cf_virtual }, 	//19
	{ "Solid::Networking", false, 0, xcall_Solid__Networking, xenum_Solid__Networking, Smoke::cf_deepcopy }, 	//20
	{ "Solid::Networking::Notifier", true, 0, 0, 0, 0 }, 	// 21
	{ "Solid::OpticalDisc", false, 5, xcall_Solid__OpticalDisc, xenum_Solid__OpticalDisc, Smoke::cf_virtual }, 	//22
	{ "Solid::OpticalDrive", false, 7, xcall_Solid__OpticalDrive, xenum_Solid__OpticalDrive, Smoke::cf_virtual }, 	//23
	{ "Solid::PortableMediaPlayer", false, 1, xcall_Solid__PortableMediaPlayer, 0, Smoke::cf_virtual }, 	//24
	{ "Solid::PowerManagement", false, 0, xcall_Solid__PowerManagement, xenum_Solid__PowerManagement, Smoke::cf_deepcopy }, 	//25
	{ "Solid::PowerManagement::Notifier", true, 0, 0, 0, 0 }, 	// 26
	{ "Solid::Predicate", false, 0, xcall_Solid__Predicate, xenum_Solid__Predicate, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//27
	{ "Solid::Processor", false, 1, xcall_Solid__Processor, xenum_Solid__Processor, Smoke::cf_virtual }, 	//28
	{ "Solid::StorageAccess", false, 1, xcall_Solid__StorageAccess, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//29
	{ "Solid::StorageDrive", false, 1, xcall_Solid__StorageDrive, xenum_Solid__StorageDrive, Smoke::cf_constructor|Smoke::cf_virtual }, 	//30
	{ "Solid::StorageVolume", false, 1, xcall_Solid__StorageVolume, xenum_Solid__StorageVolume, Smoke::cf_constructor|Smoke::cf_virtual }, 	//31
	{ "Solid::Video", false, 1, xcall_Solid__Video, 0, Smoke::cf_virtual }, 	//32
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type solid_types[] = {
	{ 0, 0, 0 },	//0 (no type)
	{ "KAction::ShortcutTypes", 0, Smoke::t_uint | Smoke::tf_stack },	//1
	{ "KAction::ShortcutTypes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//2
	{ "KAutostart::Conditions", 0, Smoke::t_uint | Smoke::tf_stack },	//3
	{ "KAutostart::Conditions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//4
	{ "KCModule::Buttons", 0, Smoke::t_uint | Smoke::tf_stack },	//5
	{ "KCModule::Buttons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//6
	{ "KCmdLineArgs::StdCmdLineArgs", 0, Smoke::t_uint | Smoke::tf_stack },	//7
	{ "KCmdLineArgs::StdCmdLineArgs&", 0, Smoke::t_voidp | Smoke::tf_ref },	//8
	{ "KConfig::OpenFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//9
	{ "KConfig::OpenFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//10
	{ "KConfigBase::WriteConfigFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//11
	{ "KConfigBase::WriteConfigFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//12
	{ "KCrash::CrashFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//13
	{ "KCrash::CrashFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//14
	{ "KDialog::ButtonCodes", 0, Smoke::t_uint | Smoke::tf_stack },	//15
	{ "KDialog::ButtonCodes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//16
	{ "KDialog::ButtonPopupModes", 0, Smoke::t_uint | Smoke::tf_stack },	//17
	{ "KDialog::ButtonPopupModes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//18
	{ "KDialog::CaptionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//19
	{ "KDialog::CaptionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//20
	{ "KDirLister::OpenUrlFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//21
	{ "KDirLister::OpenUrlFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//22
	{ "KDirModel::DropsAllowed", 0, Smoke::t_uint | Smoke::tf_stack },	//23
	{ "KDirModel::DropsAllowed&", 0, Smoke::t_voidp | Smoke::tf_ref },	//24
	{ "KDirWatch::WatchModes", 0, Smoke::t_uint | Smoke::tf_stack },	//25
	{ "KDirWatch::WatchModes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//26
	{ "KEditListBox::Buttons", 0, Smoke::t_uint | Smoke::tf_stack },	//27
	{ "KEditListBox::Buttons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//28
	{ "KFileMetaInfo::WhatFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//29
	{ "KFileMetaInfo::WhatFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//30
	{ "KFontChooser::DisplayFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//31
	{ "KFontChooser::DisplayFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//32
	{ "KFontChooser::FontDiffFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//33
	{ "KFontChooser::FontDiffFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//34
	{ "KGlobalSettings::GraphicEffects", 0, Smoke::t_uint | Smoke::tf_stack },	//35
	{ "KGlobalSettings::GraphicEffects&", 0, Smoke::t_voidp | Smoke::tf_ref },	//36
	{ "KIO::JobFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//37
	{ "KIO::JobFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//38
	{ "KIO::NetRC::LookUpMode", 0, Smoke::t_uint | Smoke::tf_stack },	//39
	{ "KIO::NetRC::LookUpMode&", 0, Smoke::t_voidp | Smoke::tf_ref },	//40
	{ "KIO::TCPSlaveBase::SslResult", 0, Smoke::t_uint | Smoke::tf_stack },	//41
	{ "KIO::TCPSlaveBase::SslResult&", 0, Smoke::t_voidp | Smoke::tf_ref },	//42
	{ "KJob::Capabilities", 0, Smoke::t_uint | Smoke::tf_stack },	//43
	{ "KJob::Capabilities&", 0, Smoke::t_voidp | Smoke::tf_ref },	//44
	{ "KKeySequenceWidget::ShortcutTypes", 0, Smoke::t_uint | Smoke::tf_stack },	//45
	{ "KKeySequenceWidget::ShortcutTypes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//46
	{ "KLocale::DateTimeFormatOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//47
	{ "KLocale::DateTimeFormatOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//48
	{ "KLockFile::LockFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//49
	{ "KLockFile::LockFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//50
	{ "KMessageBox::Options", 0, Smoke::t_uint | Smoke::tf_stack },	//51
	{ "KMessageBox::Options&", 0, Smoke::t_voidp | Smoke::tf_ref },	//52
	{ "KNTLM::AuthFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//53
	{ "KNTLM::AuthFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//54
	{ "KNotification::NotificationFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//55
	{ "KNotification::NotificationFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//56
	{ "KNotificationRestrictions::Services", 0, Smoke::t_uint | Smoke::tf_stack },	//57
	{ "KNotificationRestrictions::Services&", 0, Smoke::t_voidp | Smoke::tf_ref },	//58
	{ "KParts::BrowserExtension::PopupFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//59
	{ "KParts::BrowserExtension::PopupFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//60
	{ "KPasswordDialog::KPasswordDialogFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//61
	{ "KPasswordDialog::KPasswordDialogFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//62
	{ "KPlotObject::PlotTypes", 0, Smoke::t_uint | Smoke::tf_stack },	//63
	{ "KPlotObject::PlotTypes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//64
	{ "KServiceGroup::EntriesOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//65
	{ "KServiceGroup::EntriesOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//66
	{ "KShell::Options", 0, Smoke::t_uint | Smoke::tf_stack },	//67
	{ "KShell::Options&", 0, Smoke::t_voidp | Smoke::tf_ref },	//68
	{ "KShortcutsEditor::ActionTypes", 0, Smoke::t_uint | Smoke::tf_stack },	//69
	{ "KShortcutsEditor::ActionTypes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//70
	{ "KStandardDirs::SearchOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//71
	{ "KStandardDirs::SearchOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//72
	{ "KUniqueApplication::StartFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//73
	{ "KUniqueApplication::StartFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//74
	{ "KUrl::CleanPathOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//75
	{ "KUrl::CleanPathOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//76
	{ "KUrl::DirectoryOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//77
	{ "KUrl::DirectoryOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//78
	{ "KUrl::EncodedPathAndQueryOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//79
	{ "KUrl::EncodedPathAndQueryOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//80
	{ "KUrl::EqualsOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//81
	{ "KUrl::EqualsOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//82
	{ "KUrl::QueryItemsOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//83
	{ "KUrl::QueryItemsOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//84
	{ "KXmlGuiWindow::StandardWindowOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//85
	{ "KXmlGuiWindow::StandardWindowOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//86
	{ "QAbstractFileEngine::FileFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//87
	{ "QAbstractFileEngine::FileFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//88
	{ "QAbstractItemView::EditTriggers", 0, Smoke::t_uint | Smoke::tf_stack },	//89
	{ "QAbstractItemView::EditTriggers&", 0, Smoke::t_voidp | Smoke::tf_ref },	//90
	{ "QAbstractPrintDialog::PrintDialogOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//91
	{ "QAbstractPrintDialog::PrintDialogOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//92
	{ "QAbstractSpinBox::StepEnabled", 0, Smoke::t_uint | Smoke::tf_stack },	//93
	{ "QAbstractSpinBox::StepEnabled&", 0, Smoke::t_voidp | Smoke::tf_ref },	//94
	{ "QAccessible::Relation", 0, Smoke::t_uint | Smoke::tf_stack },	//95
	{ "QAccessible::Relation&", 0, Smoke::t_voidp | Smoke::tf_ref },	//96
	{ "QAccessible::State", 0, Smoke::t_uint | Smoke::tf_stack },	//97
	{ "QAccessible::State&", 0, Smoke::t_voidp | Smoke::tf_ref },	//98
	{ "QChildEvent*", 1, Smoke::t_class | Smoke::tf_ptr },	//99
	{ "QColorDialog::ColorDialogOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//100
	{ "QColorDialog::ColorDialogOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//101
	{ "QDBusConnection::RegisterOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//102
	{ "QDBusConnection::RegisterOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//103
	{ "QDateTimeEdit::Sections", 0, Smoke::t_uint | Smoke::tf_stack },	//104
	{ "QDateTimeEdit::Sections&", 0, Smoke::t_voidp | Smoke::tf_ref },	//105
	{ "QDialogButtonBox::StandardButtons", 0, Smoke::t_uint | Smoke::tf_stack },	//106
	{ "QDialogButtonBox::StandardButtons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//107
	{ "QDir::Filters", 0, Smoke::t_uint | Smoke::tf_stack },	//108
	{ "QDir::Filters&", 0, Smoke::t_voidp | Smoke::tf_ref },	//109
	{ "QDir::SortFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//110
	{ "QDir::SortFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//111
	{ "QDirIterator::IteratorFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//112
	{ "QDirIterator::IteratorFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//113
	{ "QDockWidget::DockWidgetFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//114
	{ "QDockWidget::DockWidgetFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//115
	{ "QEvent*", 2, Smoke::t_class | Smoke::tf_ptr },	//116
	{ "QEventLoop::ProcessEventsFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//117
	{ "QEventLoop::ProcessEventsFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//118
	{ "QFile::Permissions", 0, Smoke::t_uint | Smoke::tf_stack },	//119
	{ "QFile::Permissions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//120
	{ "QFileDialog::Options", 0, Smoke::t_uint | Smoke::tf_stack },	//121
	{ "QFileDialog::Options&", 0, Smoke::t_voidp | Smoke::tf_ref },	//122
	{ "QFontComboBox::FontFilters", 0, Smoke::t_uint | Smoke::tf_stack },	//123
	{ "QFontComboBox::FontFilters&", 0, Smoke::t_voidp | Smoke::tf_ref },	//124
	{ "QFontDialog::FontDialogOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//125
	{ "QFontDialog::FontDialogOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//126
	{ "QGL::FormatOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//127
	{ "QGL::FormatOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//128
	{ "QGLFormat::OpenGLVersionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//129
	{ "QGLFormat::OpenGLVersionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//130
	{ "QGraphicsItem::GraphicsItemFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//131
	{ "QGraphicsItem::GraphicsItemFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//132
	{ "QGraphicsScene::SceneLayers", 0, Smoke::t_uint | Smoke::tf_stack },	//133
	{ "QGraphicsScene::SceneLayers&", 0, Smoke::t_voidp | Smoke::tf_ref },	//134
	{ "QGraphicsView::CacheMode", 0, Smoke::t_uint | Smoke::tf_stack },	//135
	{ "QGraphicsView::CacheMode&", 0, Smoke::t_voidp | Smoke::tf_ref },	//136
	{ "QGraphicsView::OptimizationFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//137
	{ "QGraphicsView::OptimizationFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//138
	{ "QIODevice::OpenMode", 0, Smoke::t_uint | Smoke::tf_stack },	//139
	{ "QIODevice::OpenMode&", 0, Smoke::t_voidp | Smoke::tf_ref },	//140
	{ "QInputDialog::InputDialogOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//141
	{ "QInputDialog::InputDialogOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//142
	{ "QItemSelectionModel::SelectionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//143
	{ "QItemSelectionModel::SelectionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//144
	{ "QLibrary::LoadHints", 0, Smoke::t_uint | Smoke::tf_stack },	//145
	{ "QLibrary::LoadHints&", 0, Smoke::t_voidp | Smoke::tf_ref },	//146
	{ "QList<Solid::Device>", 0, Smoke::t_voidp | Smoke::tf_stack },	//147
	{ "QList<int>", 0, Smoke::t_voidp | Smoke::tf_stack },	//148
	{ "QLocale::NumberOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//149
	{ "QLocale::NumberOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//150
	{ "QMainWindow::DockOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//151
	{ "QMainWindow::DockOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//152
	{ "QMap<QString,QVariant>", 0, Smoke::t_voidp | Smoke::tf_stack },	//153
	{ "QMap<QString,int>&", 0, Smoke::t_voidp | Smoke::tf_ref },	//154
	{ "QMdiArea::AreaOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//155
	{ "QMdiArea::AreaOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//156
	{ "QMdiSubWindow::SubWindowOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//157
	{ "QMdiSubWindow::SubWindowOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//158
	{ "QMessageBox::StandardButtons", 0, Smoke::t_uint | Smoke::tf_stack },	//159
	{ "QMessageBox::StandardButtons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//160
	{ "QMetaObject::Call", 3, Smoke::t_enum | Smoke::tf_stack },	//161
	{ "QNetworkInterface::InterfaceFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//162
	{ "QNetworkInterface::InterfaceFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//163
	{ "QNetworkProxy::Capabilities", 0, Smoke::t_uint | Smoke::tf_stack },	//164
	{ "QNetworkProxy::Capabilities&", 0, Smoke::t_voidp | Smoke::tf_ref },	//165
	{ "QObject*", 4, Smoke::t_class | Smoke::tf_ptr },	//166
	{ "QPageSetupDialog::PageSetupDialogOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//167
	{ "QPageSetupDialog::PageSetupDialogOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//168
	{ "QPaintEngine::DirtyFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//169
	{ "QPaintEngine::DirtyFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//170
	{ "QPaintEngine::PaintEngineFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//171
	{ "QPaintEngine::PaintEngineFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//172
	{ "QPainter::RenderHints", 0, Smoke::t_uint | Smoke::tf_stack },	//173
	{ "QPainter::RenderHints&", 0, Smoke::t_voidp | Smoke::tf_ref },	//174
	{ "QSet<Solid::DeviceInterface::Type>", 0, Smoke::t_voidp | Smoke::tf_stack },	//175
	{ "QSet<Solid::PowerManagement::SleepState>", 0, Smoke::t_voidp | Smoke::tf_stack },	//176
	{ "QSizePolicy::ControlTypes", 0, Smoke::t_uint | Smoke::tf_stack },	//177
	{ "QSizePolicy::ControlTypes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//178
	{ "QSql::ParamType", 0, Smoke::t_uint | Smoke::tf_stack },	//179
	{ "QSql::ParamType&", 0, Smoke::t_voidp | Smoke::tf_ref },	//180
	{ "QString", 0, Smoke::t_voidp | Smoke::tf_stack },	//181
	{ "QString&", 0, Smoke::t_voidp | Smoke::tf_ref },	//182
	{ "QString::SectionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//183
	{ "QString::SectionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//184
	{ "QStringList", 0, Smoke::t_voidp | Smoke::tf_stack },	//185
	{ "QStyle::State", 0, Smoke::t_uint | Smoke::tf_stack },	//186
	{ "QStyle::State&", 0, Smoke::t_voidp | Smoke::tf_ref },	//187
	{ "QStyle::SubControls", 0, Smoke::t_uint | Smoke::tf_stack },	//188
	{ "QStyle::SubControls&", 0, Smoke::t_voidp | Smoke::tf_ref },	//189
	{ "QStyleOptionButton::ButtonFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//190
	{ "QStyleOptionButton::ButtonFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//191
	{ "QStyleOptionFrameV2::FrameFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//192
	{ "QStyleOptionFrameV2::FrameFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//193
	{ "QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//194
	{ "QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//195
	{ "QStyleOptionTab::CornerWidgets", 0, Smoke::t_uint | Smoke::tf_stack },	//196
	{ "QStyleOptionTab::CornerWidgets&", 0, Smoke::t_voidp | Smoke::tf_ref },	//197
	{ "QStyleOptionToolBar::ToolBarFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//198
	{ "QStyleOptionToolBar::ToolBarFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//199
	{ "QStyleOptionToolButton::ToolButtonFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//200
	{ "QStyleOptionToolButton::ToolButtonFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//201
	{ "QStyleOptionViewItemV2::ViewItemFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//202
	{ "QStyleOptionViewItemV2::ViewItemFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//203
	{ "QTextBoundaryFinder::BoundaryReasons", 0, Smoke::t_uint | Smoke::tf_stack },	//204
	{ "QTextBoundaryFinder::BoundaryReasons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//205
	{ "QTextCodec::ConversionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//206
	{ "QTextCodec::ConversionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//207
	{ "QTextDocument::FindFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//208
	{ "QTextDocument::FindFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//209
	{ "QTextEdit::AutoFormatting", 0, Smoke::t_uint | Smoke::tf_stack },	//210
	{ "QTextEdit::AutoFormatting&", 0, Smoke::t_voidp | Smoke::tf_ref },	//211
	{ "QTextFormat::PageBreakFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//212
	{ "QTextFormat::PageBreakFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//213
	{ "QTextItem::RenderFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//214
	{ "QTextItem::RenderFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//215
	{ "QTextOption::Flags", 0, Smoke::t_uint | Smoke::tf_stack },	//216
	{ "QTextOption::Flags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//217
	{ "QTextStream::NumberFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//218
	{ "QTextStream::NumberFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//219
	{ "QTimerEvent*", 5, Smoke::t_class | Smoke::tf_ptr },	//220
	{ "QTreeWidgetItemIterator::IteratorFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//221
	{ "QTreeWidgetItemIterator::IteratorFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//222
	{ "QUdpSocket::BindMode", 0, Smoke::t_uint | Smoke::tf_stack },	//223
	{ "QUdpSocket::BindMode&", 0, Smoke::t_voidp | Smoke::tf_ref },	//224
	{ "QUrl::FormattingOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//225
	{ "QUrl::FormattingOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//226
	{ "QVariant", 6, Smoke::t_class | Smoke::tf_stack },	//227
	{ "QWebPage::FindFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//228
	{ "QWebPage::FindFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//229
	{ "QWidget::RenderFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//230
	{ "QWidget::RenderFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//231
	{ "QWizard::WizardOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//232
	{ "QWizard::WizardOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//233
	{ "Qt::Alignment", 0, Smoke::t_uint | Smoke::tf_stack },	//234
	{ "Qt::Alignment&", 0, Smoke::t_voidp | Smoke::tf_ref },	//235
	{ "Qt::DockWidgetAreas", 0, Smoke::t_uint | Smoke::tf_stack },	//236
	{ "Qt::DockWidgetAreas&", 0, Smoke::t_voidp | Smoke::tf_ref },	//237
	{ "Qt::DropActions", 0, Smoke::t_uint | Smoke::tf_stack },	//238
	{ "Qt::DropActions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//239
	{ "Qt::ImageConversionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//240
	{ "Qt::ImageConversionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//241
	{ "Qt::ItemFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//242
	{ "Qt::ItemFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//243
	{ "Qt::KeyboardModifiers", 0, Smoke::t_uint | Smoke::tf_stack },	//244
	{ "Qt::KeyboardModifiers&", 0, Smoke::t_voidp | Smoke::tf_ref },	//245
	{ "Qt::MatchFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//246
	{ "Qt::MatchFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//247
	{ "Qt::MouseButtons", 0, Smoke::t_uint | Smoke::tf_stack },	//248
	{ "Qt::MouseButtons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//249
	{ "Qt::Orientations", 0, Smoke::t_uint | Smoke::tf_stack },	//250
	{ "Qt::Orientations&", 0, Smoke::t_voidp | Smoke::tf_ref },	//251
	{ "Qt::TextInteractionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//252
	{ "Qt::TextInteractionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//253
	{ "Qt::ToolBarAreas", 0, Smoke::t_uint | Smoke::tf_stack },	//254
	{ "Qt::ToolBarAreas&", 0, Smoke::t_voidp | Smoke::tf_ref },	//255
	{ "Qt::WindowFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//256
	{ "Qt::WindowFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//257
	{ "Qt::WindowStates", 0, Smoke::t_uint | Smoke::tf_stack },	//258
	{ "Qt::WindowStates&", 0, Smoke::t_voidp | Smoke::tf_ref },	//259
	{ "Solid::AudioInterface::AudioDriver", 9, Smoke::t_enum | Smoke::tf_stack },	//260
	{ "Solid::AudioInterface::AudioInterfaceType", 9, Smoke::t_enum | Smoke::tf_stack },	//261
	{ "Solid::AudioInterface::AudioInterfaceTypes", 0, Smoke::t_uint | Smoke::tf_stack },	//262
	{ "Solid::AudioInterface::AudioInterfaceTypes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//263
	{ "Solid::AudioInterface::SoundcardType", 9, Smoke::t_enum | Smoke::tf_stack },	//264
	{ "Solid::Battery::BatteryType", 10, Smoke::t_enum | Smoke::tf_stack },	//265
	{ "Solid::Battery::ChargeState", 10, Smoke::t_enum | Smoke::tf_stack },	//266
	{ "Solid::Button::ButtonType", 12, Smoke::t_enum | Smoke::tf_stack },	//267
	{ "Solid::Device", 14, Smoke::t_class | Smoke::tf_stack },	//268
	{ "Solid::Device&", 14, Smoke::t_class | Smoke::tf_ref },	//269
	{ "Solid::Device*", 14, Smoke::t_class | Smoke::tf_ptr },	//270
	{ "Solid::DeviceInterface*", 15, Smoke::t_class | Smoke::tf_ptr },	//271
	{ "Solid::DeviceInterface::Type", 15, Smoke::t_enum | Smoke::tf_stack },	//272
	{ "Solid::DeviceNotifier*", 16, Smoke::t_class | Smoke::tf_ptr },	//273
	{ "Solid::DvbInterface::DeviceType", 17, Smoke::t_enum | Smoke::tf_stack },	//274
	{ "Solid::ErrorType", 7, Smoke::t_enum | Smoke::tf_stack },	//275
	{ "Solid::GenericInterface::PropertyChange", 18, Smoke::t_enum | Smoke::tf_stack },	//276
	{ "Solid::Networking::ManagementPolicy", 20, Smoke::t_enum | Smoke::tf_stack },	//277
	{ "Solid::Networking::Notifier*", 21, Smoke::t_class | Smoke::tf_ptr },	//278
	{ "Solid::Networking::Status", 20, Smoke::t_enum | Smoke::tf_stack },	//279
	{ "Solid::OpticalDisc::ContentType", 22, Smoke::t_enum | Smoke::tf_stack },	//280
	{ "Solid::OpticalDisc::ContentTypes", 0, Smoke::t_uint | Smoke::tf_stack },	//281
	{ "Solid::OpticalDisc::ContentTypes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//282
	{ "Solid::OpticalDisc::DiscType", 22, Smoke::t_enum | Smoke::tf_stack },	//283
	{ "Solid::OpticalDrive::MediumType", 23, Smoke::t_enum | Smoke::tf_stack },	//284
	{ "Solid::OpticalDrive::MediumTypes", 0, Smoke::t_uint | Smoke::tf_stack },	//285
	{ "Solid::OpticalDrive::MediumTypes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//286
	{ "Solid::PowerManagement::Notifier*", 26, Smoke::t_class | Smoke::tf_ptr },	//287
	{ "Solid::PowerManagement::SleepState", 25, Smoke::t_enum | Smoke::tf_stack },	//288
	{ "Solid::Predicate", 27, Smoke::t_class | Smoke::tf_stack },	//289
	{ "Solid::Predicate&", 27, Smoke::t_class | Smoke::tf_ref },	//290
	{ "Solid::Predicate*", 27, Smoke::t_class | Smoke::tf_ptr },	//291
	{ "Solid::Predicate::ComparisonOperator", 27, Smoke::t_enum | Smoke::tf_stack },	//292
	{ "Solid::Processor::InstructionSet", 28, Smoke::t_enum | Smoke::tf_stack },	//293
	{ "Solid::Processor::InstructionSets", 0, Smoke::t_uint | Smoke::tf_stack },	//294
	{ "Solid::Processor::InstructionSets&", 0, Smoke::t_voidp | Smoke::tf_ref },	//295
	{ "Solid::StorageDrive::Bus", 30, Smoke::t_enum | Smoke::tf_stack },	//296
	{ "Solid::StorageDrive::DriveType", 30, Smoke::t_enum | Smoke::tf_stack },	//297
	{ "Solid::StorageVolume::UsageType", 31, Smoke::t_enum | Smoke::tf_stack },	//298
	{ "bool", 0, Smoke::t_bool | Smoke::tf_stack },	//299
	{ "const QMap<QString,int>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//300
	{ "const QMetaObject", 3, Smoke::t_class | Smoke::tf_stack | Smoke::tf_const },	//301
	{ "const QMetaObject*", 3, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//302
	{ "const QString&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//303
	{ "const QVariant&", 6, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//304
	{ "const Solid::Device&", 14, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//305
	{ "const Solid::DeviceInterface*", 15, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//306
	{ "const Solid::DeviceInterface::Type&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//307
	{ "const Solid::Predicate&", 27, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//308
	{ "const char*", 0, Smoke::t_voidp | Smoke::tf_ptr | Smoke::tf_const },	//309
	{ "int", 0, Smoke::t_int | Smoke::tf_stack },	//310
	{ "qulonglong", 0, Smoke::t_voidp | Smoke::tf_stack },	//311
	{ "void**", 0, Smoke::t_voidp | Smoke::tf_ptr },	//312
};

static Smoke::Index solid_argumentList[] = {
	0,	//0  (void)
	116, 0,	//1  QEvent*  
	161, 310, 312, 0,	//3  QMetaObject::Call, int, void**  
	166, 116, 0,	//7  QObject*, QEvent*  
	181, 0,	//10  QString  
	220, 0,	//12  QTimerEvent*  
	267, 303, 0,	//14  Solid::Button::ButtonType, const QString&  
	272, 0,	//17  Solid::DeviceInterface::Type  
	275, 227, 303, 0,	//19  Solid::ErrorType, QVariant, const QString&  
	288, 166, 309, 0,	//23  Solid::PowerManagement::SleepState, QObject*, const char*  
	299, 303, 0,	//27  bool, const QString&  
	300, 0,	//30  const QMap<QString,int>&  
	303, 0,	//32  const QString&  
	303, 303, 0,	//34  const QString&, const QString&  
	303, 303, 304, 0,	//37  const QString&, const QString&, const QVariant&  
	303, 303, 304, 292, 0,	//41  const QString&, const QString&, const QVariant&, Solid::Predicate::ComparisonOperator  
	305, 0,	//46  const Solid::Device&  
	307, 0,	//48  const Solid::DeviceInterface::Type&  
	307, 303, 0,	//50  const Solid::DeviceInterface::Type&, const QString&  
	307, 303, 304, 0,	//53  const Solid::DeviceInterface::Type&, const QString&, const QVariant&  
	307, 303, 304, 292, 0,	//57  const Solid::DeviceInterface::Type&, const QString&, const QVariant&, Solid::Predicate::ComparisonOperator  
	308, 0,	//62  const Solid::Predicate&  
	308, 303, 0,	//64  const Solid::Predicate&, const QString&  
	309, 0,	//67  const char*  
	310, 0,	//69  int  
	310, 303, 0,	//71  int, const QString&  
	99, 0,	//74  QChildEvent*  
};

// Raw list of all methods, using munged names
static const char *solid_methodNames[] = {
    "",	//0
    "AcAdapter",	//1
    "Alsa",	//2
    "AltiVec",	//3
    "Amd3DNow",	//4
    "Audio",	//5
    "AudioControl",	//6
    "AudioInput",	//7
    "AudioInterface",	//8
    "AudioOutput",	//9
    "Battery",	//10
    "Bd",	//11
    "Bdr",	//12
    "Bdre",	//13
    "Block",	//14
    "BluRayRecordable",	//15
    "BluRayRewritable",	//16
    "BluRayRom",	//17
    "Button",	//18
    "Camera",	//19
    "CameraBattery",	//20
    "CdRecordable",	//21
    "CdRewritable",	//22
    "CdRom",	//23
    "Cdr",	//24
    "CdromDrive",	//25
    "Cdrw",	//26
    "Charging",	//27
    "CompactFlash",	//28
    "Connected",	//29
    "Connecting",	//30
    "Data",	//31
    "Device",	//32
    "Device#",	//33
    "Device$",	//34
    "DeviceNotifier",	//35
    "Discharging",	//36
    "Disconnecting",	//37
    "DvbAudio",	//38
    "DvbCa",	//39
    "DvbDemux",	//40
    "DvbDvr",	//41
    "DvbFrontend",	//42
    "DvbInterface",	//43
    "DvbNet",	//44
    "DvbOsd",	//45
    "DvbSec",	//46
    "DvbUnknown",	//47
    "DvbVideo",	//48
    "Dvd",	//49
    "DvdPlusRecordable",	//50
    "DvdPlusRecordableDuallayer",	//51
    "DvdPlusRewritable",	//52
    "DvdPlusRewritableDuallayer",	//53
    "DvdRam",	//54
    "DvdRecordable",	//55
    "DvdRewritable",	//56
    "DvdRom",	//57
    "Dvdplusdl",	//58
    "Dvdplusdlrw",	//59
    "Dvdplusr",	//60
    "Dvdplusrw",	//61
    "Dvdr",	//62
    "Dvdram",	//63
    "Dvdrw",	//64
    "Encrypted",	//65
    "Equals",	//66
    "FileSystem",	//67
    "FirewireSoundcard",	//68
    "Floppy",	//69
    "GenericInterface",	//70
    "HardDisk",	//71
    "HdDvd",	//72
    "HdDvdRecordable",	//73
    "HdDvdRewritable",	//74
    "HdDvdRom",	//75
    "HdDvdr",	//76
    "HdDvdrw",	//77
    "Headset",	//78
    "HibernateState",	//79
    "Ide",	//80
    "Ieee1394",	//81
    "IntelMmx",	//82
    "IntelSse",	//83
    "IntelSse2",	//84
    "IntelSse3",	//85
    "IntelSse4",	//86
    "InternalSoundcard",	//87
    "KeyboardBattery",	//88
    "KeyboardMouseBattery",	//89
    "Last",	//90
    "LidButton",	//91
    "Managed",	//92
    "Manual",	//93
    "Mask",	//94
    "MemoryStick",	//95
    "Modem",	//96
    "MouseBattery",	//97
    "NetworkInterface",	//98
    "NoCharge",	//99
    "NoError",	//100
    "NoExtensions",	//101
    "OnNextStatusChange",	//102
    "OpenSoundSystem",	//103
    "OpticalDisc",	//104
    "OpticalDrive",	//105
    "Other",	//106
    "PartitionTable",	//107
    "PdaBattery",	//108
    "Platform",	//109
    "PortableMediaPlayer",	//110
    "PowerButton",	//111
    "Predicate",	//112
    "Predicate#",	//113
    "Predicate$",	//114
    "Predicate$$#",	//115
    "Predicate$$#$",	//116
    "PrimaryBattery",	//117
    "Processor",	//118
    "PropertyAdded",	//119
    "PropertyModified",	//120
    "PropertyRemoved",	//121
    "Raid",	//122
    "Sata",	//123
    "Scsi",	//124
    "SdMmc",	//125
    "SleepButton",	//126
    "SmartMedia",	//127
    "StandbyState",	//128
    "StorageAccess",	//129
    "StorageDrive",	//130
    "StorageVolume",	//131
    "SuperVideoCd",	//132
    "SuspendState",	//133
    "Tape",	//134
    "UnauthorizedOperation",	//135
    "Unconnected",	//136
    "Unknown",	//137
    "UnknownAudioDriver",	//138
    "UnknownAudioInterfaceType",	//139
    "UnknownBattery",	//140
    "UnknownButtonType",	//141
    "UnknownDiscType",	//142
    "Unused",	//143
    "UpsBattery",	//144
    "Usb",	//145
    "UsbSoundcard",	//146
    "Video",	//147
    "VideoCd",	//148
    "VideoDvd",	//149
    "Xd",	//150
    "accessibilityChanged",	//151
    "accessibilityChanged$$",	//152
    "allDevices",	//153
    "allProperties",	//154
    "appShouldConserveResources",	//155
    "asDeviceInterface",	//156
    "asDeviceInterface$",	//157
    "availableContent",	//158
    "beginSuppressingSleep",	//159
    "beginSuppressingSleep$",	//160
    "bus",	//161
    "canChangeFrequency",	//162
    "capacity",	//163
    "chargePercent",	//164
    "chargePercentChanged",	//165
    "chargePercentChanged$$",	//166
    "chargeState",	//167
    "chargeStateChanged",	//168
    "chargeStateChanged$$",	//169
    "childEvent",	//170
    "childEvent#",	//171
    "conditionRaised",	//172
    "conditionRaised$$",	//173
    "connectNotify",	//174
    "connectNotify$",	//175
    "customEvent",	//176
    "customEvent#",	//177
    "device",	//178
    "deviceAdapter",	//179
    "deviceAdded",	//180
    "deviceAdded$",	//181
    "deviceIndex",	//182
    "deviceInterfaceType",	//183
    "deviceMajor",	//184
    "deviceMinor",	//185
    "deviceRemoved",	//186
    "deviceRemoved$",	//187
    "deviceType",	//188
    "discType",	//189
    "disconnectNotify",	//190
    "disconnectNotify$",	//191
    "driveType",	//192
    "driver",	//193
    "driverHandle",	//194
    "driverHandle$",	//195
    "eject",	//196
    "ejectDone",	//197
    "ejectDone$#$",	//198
    "ejectPressed",	//199
    "ejectPressed$",	//200
    "encryptedContainer",	//201
    "event",	//202
    "event#",	//203
    "eventFilter",	//204
    "eventFilter##",	//205
    "filePath",	//206
    "fromString",	//207
    "fromString$",	//208
    "fsType",	//209
    "hasState",	//210
    "hwAddress",	//211
    "icon",	//212
    "ifaceName",	//213
    "instance",	//214
    "instructionSets",	//215
    "isAccessible",	//216
    "isAppendable",	//217
    "isBlank",	//218
    "isDeviceInterface",	//219
    "isDeviceInterface$",	//220
    "isHotpluggable",	//221
    "isIgnored",	//222
    "isPlugged",	//223
    "isRechargeable",	//224
    "isRemovable",	//225
    "isRewritable",	//226
    "isValid",	//227
    "isWireless",	//228
    "label",	//229
    "listFromQuery",	//230
    "listFromQuery#",	//231
    "listFromQuery#$",	//232
    "listFromQuery$",	//233
    "listFromQuery$$",	//234
    "listFromType",	//235
    "listFromType$",	//236
    "listFromType$$",	//237
    "macAddress",	//238
    "matches",	//239
    "matches#",	//240
    "maxSpeed",	//241
    "metaObject",	//242
    "name",	//243
    "notifier",	//244
    "number",	//245
    "operator&",	//246
    "operator&#",	//247
    "operator&=",	//248
    "operator&=#",	//249
    "operator=",	//250
    "operator=#",	//251
    "operator|",	//252
    "operator|#",	//253
    "operator|=",	//254
    "operator|=#",	//255
    "parent",	//256
    "parentUdi",	//257
    "plugStateChanged",	//258
    "plugStateChanged$$",	//259
    "pressed",	//260
    "pressed$$",	//261
    "product",	//262
    "property",	//263
    "property$",	//264
    "propertyChanged",	//265
    "propertyChanged?",	//266
    "propertyExists",	//267
    "propertyExists$",	//268
    "qt_metacall",	//269
    "qt_metacall$$?",	//270
    "readSpeed",	//271
    "requestSleep",	//272
    "requestSleep$#$",	//273
    "setup",	//274
    "setupDone",	//275
    "setupDone$#$",	//276
    "size",	//277
    "soundcardType",	//278
    "stateValue",	//279
    "staticMetaObject",	//280
    "status",	//281
    "stopSuppressingSleep",	//282
    "stopSuppressingSleep$",	//283
    "stringToType",	//284
    "stringToType$",	//285
    "supportedDrivers",	//286
    "supportedDrivers$",	//287
    "supportedMedia",	//288
    "supportedProtocols",	//289
    "supportedSleepStates",	//290
    "teardown",	//291
    "teardownDone",	//292
    "teardownDone$#$",	//293
    "timerEvent",	//294
    "timerEvent#",	//295
    "toString",	//296
    "type",	//297
    "typeToString",	//298
    "typeToString$",	//299
    "udi",	//300
    "usage",	//301
    "usedTypes",	//302
    "uuid",	//303
    "vendor",	//304
    "writeSpeed",	//305
    "writeSpeeds",	//306
    "~AcAdapter",	//307
    "~AudioInterface",	//308
    "~Battery",	//309
    "~Block",	//310
    "~Button",	//311
    "~Camera",	//312
    "~Device",	//313
    "~DeviceInterface",	//314
    "~DeviceNotifier",	//315
    "~DvbInterface",	//316
    "~GenericInterface",	//317
    "~NetworkInterface",	//318
    "~OpticalDisc",	//319
    "~OpticalDrive",	//320
    "~PortableMediaPlayer",	//321
    "~Predicate",	//322
    "~Processor",	//323
    "~StorageAccess",	//324
    "~StorageDrive",	//325
    "~StorageVolume",	//326
    "~Video",	//327
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method solid_methods[] = {
	{4, 242, 0, 0, Smoke::mf_const, 302, 2},	//0 QObject::metaObject() const
	{4, 269, 3, 3, 0, 310, 3},	//1 QObject::qt_metacall(QMetaObject::Call, int, void**)
	{4, 202, 1, 1, 0, 299, 6},	//2 QObject::event(QEvent*)
	{4, 204, 7, 2, 0, 299, 7},	//3 QObject::eventFilter(QObject*, QEvent*)
	{4, 294, 12, 1, Smoke::mf_protected, 0, 49},	//4 QObject::timerEvent(QTimerEvent*)
	{4, 170, 74, 1, Smoke::mf_protected, 0, 50},	//5 QObject::childEvent(QChildEvent*)
	{4, 176, 1, 1, Smoke::mf_protected, 0, 51},	//6 QObject::customEvent(QEvent*)
	{4, 174, 67, 1, Smoke::mf_protected, 0, 52},	//7 QObject::connectNotify(const char*)
	{4, 190, 67, 1, Smoke::mf_protected, 0, 53},	//8 QObject::disconnectNotify(const char*)
	{7, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 275, 1},	//9 Solid::NoError (enum)
	{7, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 275, 2},	//10 Solid::UnauthorizedOperation (enum)
	{8, 242, 0, 0, Smoke::mf_const, 302, 2},	//11 Solid::AcAdapter::metaObject() const
	{8, 269, 3, 3, 0, 310, 3},	//12 Solid::AcAdapter::qt_metacall(QMetaObject::Call, int, void**)
	{8, 223, 0, 0, Smoke::mf_const, 299, 4},	//13 Solid::AcAdapter::isPlugged() const
	{8, 183, 0, 0, Smoke::mf_static, 272, 5},	//14 Solid::AcAdapter::deviceInterfaceType()
	{8, 280, 0, 0, Smoke::mf_static, 301, 1},	//15 Solid::AcAdapter::staticMetaObject (static var)
	{9, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 260, 1},	//16 Solid::AudioInterface::Alsa (enum)
	{9, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 260, 2},	//17 Solid::AudioInterface::OpenSoundSystem (enum)
	{9, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 260, 3},	//18 Solid::AudioInterface::UnknownAudioDriver (enum)
	{9, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 261, 4},	//19 Solid::AudioInterface::UnknownAudioInterfaceType (enum)
	{9, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 261, 5},	//20 Solid::AudioInterface::AudioControl (enum)
	{9, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 261, 6},	//21 Solid::AudioInterface::AudioInput (enum)
	{9, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 261, 7},	//22 Solid::AudioInterface::AudioOutput (enum)
	{9, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 264, 8},	//23 Solid::AudioInterface::InternalSoundcard (enum)
	{9, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 264, 9},	//24 Solid::AudioInterface::UsbSoundcard (enum)
	{9, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 264, 10},	//25 Solid::AudioInterface::FirewireSoundcard (enum)
	{9, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 264, 11},	//26 Solid::AudioInterface::Headset (enum)
	{9, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 264, 12},	//27 Solid::AudioInterface::Modem (enum)
	{9, 242, 0, 0, Smoke::mf_const, 302, 14},	//28 Solid::AudioInterface::metaObject() const
	{9, 269, 3, 3, 0, 310, 15},	//29 Solid::AudioInterface::qt_metacall(QMetaObject::Call, int, void**)
	{9, 193, 0, 0, Smoke::mf_const, 260, 16},	//30 Solid::AudioInterface::driver() const
	{9, 194, 0, 0, Smoke::mf_const, 227, 17},	//31 Solid::AudioInterface::driverHandle() const
	{9, 243, 0, 0, Smoke::mf_const, 181, 18},	//32 Solid::AudioInterface::name() const
	{9, 188, 0, 0, Smoke::mf_const, 262, 19},	//33 Solid::AudioInterface::deviceType() const
	{9, 278, 0, 0, Smoke::mf_const, 264, 20},	//34 Solid::AudioInterface::soundcardType() const
	{9, 183, 0, 0, Smoke::mf_static, 272, 21},	//35 Solid::AudioInterface::deviceInterfaceType()
	{9, 280, 0, 0, Smoke::mf_static, 301, 13},	//36 Solid::AudioInterface::staticMetaObject (static var)
	{10, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 265, 1},	//37 Solid::Battery::UnknownBattery (enum)
	{10, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 265, 2},	//38 Solid::Battery::PdaBattery (enum)
	{10, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 265, 3},	//39 Solid::Battery::UpsBattery (enum)
	{10, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 265, 4},	//40 Solid::Battery::PrimaryBattery (enum)
	{10, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 265, 5},	//41 Solid::Battery::MouseBattery (enum)
	{10, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 265, 6},	//42 Solid::Battery::KeyboardBattery (enum)
	{10, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 265, 7},	//43 Solid::Battery::KeyboardMouseBattery (enum)
	{10, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 265, 8},	//44 Solid::Battery::CameraBattery (enum)
	{10, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 266, 9},	//45 Solid::Battery::NoCharge (enum)
	{10, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 266, 10},	//46 Solid::Battery::Charging (enum)
	{10, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 266, 11},	//47 Solid::Battery::Discharging (enum)
	{10, 242, 0, 0, Smoke::mf_const, 302, 13},	//48 Solid::Battery::metaObject() const
	{10, 269, 3, 3, 0, 310, 14},	//49 Solid::Battery::qt_metacall(QMetaObject::Call, int, void**)
	{10, 223, 0, 0, Smoke::mf_const, 299, 15},	//50 Solid::Battery::isPlugged() const
	{10, 297, 0, 0, Smoke::mf_const, 265, 16},	//51 Solid::Battery::type() const
	{10, 164, 0, 0, Smoke::mf_const, 310, 17},	//52 Solid::Battery::chargePercent() const
	{10, 224, 0, 0, Smoke::mf_const, 299, 18},	//53 Solid::Battery::isRechargeable() const
	{10, 167, 0, 0, Smoke::mf_const, 266, 19},	//54 Solid::Battery::chargeState() const
	{10, 183, 0, 0, Smoke::mf_static, 272, 20},	//55 Solid::Battery::deviceInterfaceType()
	{10, 280, 0, 0, Smoke::mf_static, 301, 12},	//56 Solid::Battery::staticMetaObject (static var)
	{11, 242, 0, 0, Smoke::mf_const, 302, 2},	//57 Solid::Block::metaObject() const
	{11, 269, 3, 3, 0, 310, 3},	//58 Solid::Block::qt_metacall(QMetaObject::Call, int, void**)
	{11, 184, 0, 0, Smoke::mf_const, 310, 4},	//59 Solid::Block::deviceMajor() const
	{11, 185, 0, 0, Smoke::mf_const, 310, 5},	//60 Solid::Block::deviceMinor() const
	{11, 178, 0, 0, Smoke::mf_const, 181, 6},	//61 Solid::Block::device() const
	{11, 183, 0, 0, Smoke::mf_static, 272, 7},	//62 Solid::Block::deviceInterfaceType()
	{11, 280, 0, 0, Smoke::mf_static, 301, 1},	//63 Solid::Block::staticMetaObject (static var)
	{12, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 267, 1},	//64 Solid::Button::LidButton (enum)
	{12, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 267, 2},	//65 Solid::Button::PowerButton (enum)
	{12, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 267, 3},	//66 Solid::Button::SleepButton (enum)
	{12, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 267, 4},	//67 Solid::Button::UnknownButtonType (enum)
	{12, 242, 0, 0, Smoke::mf_const, 302, 6},	//68 Solid::Button::metaObject() const
	{12, 269, 3, 3, 0, 310, 7},	//69 Solid::Button::qt_metacall(QMetaObject::Call, int, void**)
	{12, 297, 0, 0, Smoke::mf_const, 267, 8},	//70 Solid::Button::type() const
	{12, 210, 0, 0, Smoke::mf_const, 299, 9},	//71 Solid::Button::hasState() const
	{12, 279, 0, 0, Smoke::mf_const, 299, 10},	//72 Solid::Button::stateValue() const
	{12, 183, 0, 0, Smoke::mf_static, 272, 11},	//73 Solid::Button::deviceInterfaceType()
	{12, 280, 0, 0, Smoke::mf_static, 301, 5},	//74 Solid::Button::staticMetaObject (static var)
	{13, 242, 0, 0, Smoke::mf_const, 302, 2},	//75 Solid::Camera::metaObject() const
	{13, 269, 3, 3, 0, 310, 3},	//76 Solid::Camera::qt_metacall(QMetaObject::Call, int, void**)
	{13, 289, 0, 0, Smoke::mf_const, 185, 4},	//77 Solid::Camera::supportedProtocols() const
	{13, 286, 10, 1, Smoke::mf_const, 185, 5},	//78 Solid::Camera::supportedDrivers(QString) const
	{13, 286, 0, 0, Smoke::mf_const, 185, 6},	//79 Solid::Camera::supportedDrivers() const
	{13, 194, 32, 1, Smoke::mf_const, 227, 7},	//80 Solid::Camera::driverHandle(const QString&) const
	{13, 183, 0, 0, Smoke::mf_static, 272, 8},	//81 Solid::Camera::deviceInterfaceType()
	{13, 280, 0, 0, Smoke::mf_static, 301, 1},	//82 Solid::Camera::staticMetaObject (static var)
	{14, 32, 32, 1, Smoke::mf_ctor, 270, 1},	//83 Solid::Device::Device(const QString&)
	{14, 32, 0, 0, Smoke::mf_ctor, 270, 2},	//84 Solid::Device::Device()
	{14, 32, 46, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 270, 3},	//85 Solid::Device::Device(const Solid::Device&)
	{14, 313, 0, 0, Smoke::mf_dtor, 0, 21},	//86 Solid::Device::~Device()
	{14, 250, 46, 1, 0, 269, 4},	//87 Solid::Device::operator=(const Solid::Device&)
	{14, 227, 0, 0, Smoke::mf_const, 299, 5},	//88 Solid::Device::isValid() const
	{14, 300, 0, 0, Smoke::mf_const, 181, 6},	//89 Solid::Device::udi() const
	{14, 257, 0, 0, Smoke::mf_const, 181, 7},	//90 Solid::Device::parentUdi() const
	{14, 256, 0, 0, Smoke::mf_const, 268, 8},	//91 Solid::Device::parent() const
	{14, 304, 0, 0, Smoke::mf_const, 181, 9},	//92 Solid::Device::vendor() const
	{14, 262, 0, 0, Smoke::mf_const, 181, 10},	//93 Solid::Device::product() const
	{14, 212, 0, 0, Smoke::mf_const, 181, 11},	//94 Solid::Device::icon() const
	{14, 219, 48, 1, Smoke::mf_const, 299, 12},	//95 Solid::Device::isDeviceInterface(const Solid::DeviceInterface::Type&) const
	{14, 156, 48, 1, 0, 271, 13},	//96 Solid::Device::asDeviceInterface(const Solid::DeviceInterface::Type&)
	{14, 153, 0, 0, Smoke::mf_static, 147, 14},	//97 Solid::Device::allDevices()
	{14, 235, 50, 2, Smoke::mf_static, 147, 15},	//98 Solid::Device::listFromType(const Solid::DeviceInterface::Type&, const QString&)
	{14, 235, 48, 1, Smoke::mf_static, 147, 16},	//99 Solid::Device::listFromType(const Solid::DeviceInterface::Type&)
	{14, 230, 64, 2, Smoke::mf_static, 147, 17},	//100 Solid::Device::listFromQuery(const Solid::Predicate&, const QString&)
	{14, 230, 62, 1, Smoke::mf_static, 147, 18},	//101 Solid::Device::listFromQuery(const Solid::Predicate&)
	{14, 230, 34, 2, Smoke::mf_static, 147, 19},	//102 Solid::Device::listFromQuery(const QString&, const QString&)
	{14, 230, 32, 1, Smoke::mf_static, 147, 20},	//103 Solid::Device::listFromQuery(const QString&)
	{15, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 272, 1},	//104 Solid::DeviceInterface::Unknown (enum)
	{15, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 272, 2},	//105 Solid::DeviceInterface::GenericInterface (enum)
	{15, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 272, 3},	//106 Solid::DeviceInterface::Processor (enum)
	{15, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 272, 4},	//107 Solid::DeviceInterface::Block (enum)
	{15, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 272, 5},	//108 Solid::DeviceInterface::StorageAccess (enum)
	{15, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 272, 6},	//109 Solid::DeviceInterface::StorageDrive (enum)
	{15, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 272, 7},	//110 Solid::DeviceInterface::OpticalDrive (enum)
	{15, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 272, 8},	//111 Solid::DeviceInterface::StorageVolume (enum)
	{15, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 272, 9},	//112 Solid::DeviceInterface::OpticalDisc (enum)
	{15, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 272, 10},	//113 Solid::DeviceInterface::Camera (enum)
	{15, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 272, 11},	//114 Solid::DeviceInterface::PortableMediaPlayer (enum)
	{15, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 272, 12},	//115 Solid::DeviceInterface::NetworkInterface (enum)
	{15, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 272, 13},	//116 Solid::DeviceInterface::AcAdapter (enum)
	{15, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 272, 14},	//117 Solid::DeviceInterface::Battery (enum)
	{15, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 272, 15},	//118 Solid::DeviceInterface::Button (enum)
	{15, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 272, 16},	//119 Solid::DeviceInterface::AudioInterface (enum)
	{15, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 272, 17},	//120 Solid::DeviceInterface::DvbInterface (enum)
	{15, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 272, 18},	//121 Solid::DeviceInterface::Video (enum)
	{15, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 272, 19},	//122 Solid::DeviceInterface::Last (enum)
	{15, 242, 0, 0, Smoke::mf_const, 302, 21},	//123 Solid::DeviceInterface::metaObject() const
	{15, 269, 3, 3, 0, 310, 22},	//124 Solid::DeviceInterface::qt_metacall(QMetaObject::Call, int, void**)
	{15, 314, 0, 0, Smoke::mf_dtor, 0, 26},	//125 Solid::DeviceInterface::~DeviceInterface()
	{15, 227, 0, 0, Smoke::mf_const, 299, 23},	//126 Solid::DeviceInterface::isValid() const
	{15, 298, 17, 1, Smoke::mf_static, 181, 24},	//127 Solid::DeviceInterface::typeToString(Solid::DeviceInterface::Type)
	{15, 284, 32, 1, Smoke::mf_static, 272, 25},	//128 Solid::DeviceInterface::stringToType(const QString&)
	{15, 280, 0, 0, Smoke::mf_static, 301, 20},	//129 Solid::DeviceInterface::staticMetaObject (static var)
	{16, 242, 0, 0, Smoke::mf_const, 302, 2},	//130 Solid::DeviceNotifier::metaObject() const
	{16, 269, 3, 3, 0, 310, 3},	//131 Solid::DeviceNotifier::qt_metacall(QMetaObject::Call, int, void**)
	{16, 35, 0, 0, Smoke::mf_ctor, 273, 4},	//132 Solid::DeviceNotifier::DeviceNotifier()
	{16, 315, 0, 0, Smoke::mf_dtor, 0, 8},	//133 Solid::DeviceNotifier::~DeviceNotifier()
	{16, 180, 32, 1, 0, 0, 5},	//134 Solid::DeviceNotifier::deviceAdded(const QString&)
	{16, 186, 32, 1, 0, 0, 6},	//135 Solid::DeviceNotifier::deviceRemoved(const QString&)
	{16, 214, 0, 0, Smoke::mf_static, 273, 7},	//136 Solid::DeviceNotifier::instance()
	{16, 280, 0, 0, Smoke::mf_static, 301, 1},	//137 Solid::DeviceNotifier::staticMetaObject (static var)
	{17, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 274, 1},	//138 Solid::DvbInterface::DvbUnknown (enum)
	{17, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 274, 2},	//139 Solid::DvbInterface::DvbAudio (enum)
	{17, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 274, 3},	//140 Solid::DvbInterface::DvbCa (enum)
	{17, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 274, 4},	//141 Solid::DvbInterface::DvbDemux (enum)
	{17, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 274, 5},	//142 Solid::DvbInterface::DvbDvr (enum)
	{17, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 274, 6},	//143 Solid::DvbInterface::DvbFrontend (enum)
	{17, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 274, 7},	//144 Solid::DvbInterface::DvbNet (enum)
	{17, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 274, 8},	//145 Solid::DvbInterface::DvbOsd (enum)
	{17, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 274, 9},	//146 Solid::DvbInterface::DvbSec (enum)
	{17, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 274, 10},	//147 Solid::DvbInterface::DvbVideo (enum)
	{17, 242, 0, 0, Smoke::mf_const, 302, 12},	//148 Solid::DvbInterface::metaObject() const
	{17, 269, 3, 3, 0, 310, 13},	//149 Solid::DvbInterface::qt_metacall(QMetaObject::Call, int, void**)
	{17, 178, 0, 0, Smoke::mf_const, 181, 14},	//150 Solid::DvbInterface::device() const
	{17, 179, 0, 0, Smoke::mf_const, 310, 15},	//151 Solid::DvbInterface::deviceAdapter() const
	{17, 188, 0, 0, Smoke::mf_const, 274, 16},	//152 Solid::DvbInterface::deviceType() const
	{17, 182, 0, 0, Smoke::mf_const, 310, 17},	//153 Solid::DvbInterface::deviceIndex() const
	{17, 183, 0, 0, Smoke::mf_static, 272, 18},	//154 Solid::DvbInterface::deviceInterfaceType()
	{17, 280, 0, 0, Smoke::mf_static, 301, 11},	//155 Solid::DvbInterface::staticMetaObject (static var)
	{18, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 276, 1},	//156 Solid::GenericInterface::PropertyModified (enum)
	{18, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 276, 2},	//157 Solid::GenericInterface::PropertyAdded (enum)
	{18, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 276, 3},	//158 Solid::GenericInterface::PropertyRemoved (enum)
	{18, 242, 0, 0, Smoke::mf_const, 302, 5},	//159 Solid::GenericInterface::metaObject() const
	{18, 269, 3, 3, 0, 310, 6},	//160 Solid::GenericInterface::qt_metacall(QMetaObject::Call, int, void**)
	{18, 263, 32, 1, Smoke::mf_const, 227, 7},	//161 Solid::GenericInterface::property(const QString&) const
	{18, 154, 0, 0, Smoke::mf_const, 153, 8},	//162 Solid::GenericInterface::allProperties() const
	{18, 267, 32, 1, Smoke::mf_const, 299, 9},	//163 Solid::GenericInterface::propertyExists(const QString&) const
	{18, 183, 0, 0, Smoke::mf_static, 272, 10},	//164 Solid::GenericInterface::deviceInterfaceType()
	{18, 280, 0, 0, Smoke::mf_static, 301, 4},	//165 Solid::GenericInterface::staticMetaObject (static var)
	{19, 242, 0, 0, Smoke::mf_const, 302, 2},	//166 Solid::NetworkInterface::metaObject() const
	{19, 269, 3, 3, 0, 310, 3},	//167 Solid::NetworkInterface::qt_metacall(QMetaObject::Call, int, void**)
	{19, 213, 0, 0, Smoke::mf_const, 181, 4},	//168 Solid::NetworkInterface::ifaceName() const
	{19, 228, 0, 0, Smoke::mf_const, 299, 5},	//169 Solid::NetworkInterface::isWireless() const
	{19, 211, 0, 0, Smoke::mf_const, 181, 6},	//170 Solid::NetworkInterface::hwAddress() const
	{19, 238, 0, 0, Smoke::mf_const, 311, 7},	//171 Solid::NetworkInterface::macAddress() const
	{19, 183, 0, 0, Smoke::mf_static, 272, 8},	//172 Solid::NetworkInterface::deviceInterfaceType()
	{19, 280, 0, 0, Smoke::mf_static, 301, 1},	//173 Solid::NetworkInterface::staticMetaObject (static var)
	{20, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 279, 1},	//174 Solid::Networking::Unknown (enum)
	{20, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 279, 2},	//175 Solid::Networking::Unconnected (enum)
	{20, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 279, 3},	//176 Solid::Networking::Disconnecting (enum)
	{20, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 279, 4},	//177 Solid::Networking::Connecting (enum)
	{20, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 279, 5},	//178 Solid::Networking::Connected (enum)
	{20, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 277, 6},	//179 Solid::Networking::Manual (enum)
	{20, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 277, 7},	//180 Solid::Networking::OnNextStatusChange (enum)
	{20, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 277, 8},	//181 Solid::Networking::Managed (enum)
	{20, 281, 0, 0, Smoke::mf_static, 279, 9},	//182 Solid::Networking::status()
	{20, 244, 0, 0, Smoke::mf_static, 278, 10},	//183 Solid::Networking::notifier()
	{22, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 280, 1},	//184 Solid::OpticalDisc::Audio (enum)
	{22, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 280, 2},	//185 Solid::OpticalDisc::Data (enum)
	{22, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 280, 3},	//186 Solid::OpticalDisc::VideoCd (enum)
	{22, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 280, 4},	//187 Solid::OpticalDisc::SuperVideoCd (enum)
	{22, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 280, 5},	//188 Solid::OpticalDisc::VideoDvd (enum)
	{22, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 283, 6},	//189 Solid::OpticalDisc::UnknownDiscType (enum)
	{22, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 283, 7},	//190 Solid::OpticalDisc::CdRom (enum)
	{22, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 283, 8},	//191 Solid::OpticalDisc::CdRecordable (enum)
	{22, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 283, 9},	//192 Solid::OpticalDisc::CdRewritable (enum)
	{22, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 283, 10},	//193 Solid::OpticalDisc::DvdRom (enum)
	{22, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 283, 11},	//194 Solid::OpticalDisc::DvdRam (enum)
	{22, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 283, 12},	//195 Solid::OpticalDisc::DvdRecordable (enum)
	{22, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 283, 13},	//196 Solid::OpticalDisc::DvdRewritable (enum)
	{22, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 283, 14},	//197 Solid::OpticalDisc::DvdPlusRecordable (enum)
	{22, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 283, 15},	//198 Solid::OpticalDisc::DvdPlusRewritable (enum)
	{22, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 283, 16},	//199 Solid::OpticalDisc::DvdPlusRecordableDuallayer (enum)
	{22, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 283, 17},	//200 Solid::OpticalDisc::DvdPlusRewritableDuallayer (enum)
	{22, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 283, 18},	//201 Solid::OpticalDisc::BluRayRom (enum)
	{22, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 283, 19},	//202 Solid::OpticalDisc::BluRayRecordable (enum)
	{22, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 283, 20},	//203 Solid::OpticalDisc::BluRayRewritable (enum)
	{22, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 283, 21},	//204 Solid::OpticalDisc::HdDvdRom (enum)
	{22, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 283, 22},	//205 Solid::OpticalDisc::HdDvdRecordable (enum)
	{22, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 283, 23},	//206 Solid::OpticalDisc::HdDvdRewritable (enum)
	{22, 242, 0, 0, Smoke::mf_const, 302, 25},	//207 Solid::OpticalDisc::metaObject() const
	{22, 269, 3, 3, 0, 310, 26},	//208 Solid::OpticalDisc::qt_metacall(QMetaObject::Call, int, void**)
	{22, 158, 0, 0, Smoke::mf_const, 281, 27},	//209 Solid::OpticalDisc::availableContent() const
	{22, 189, 0, 0, Smoke::mf_const, 283, 28},	//210 Solid::OpticalDisc::discType() const
	{22, 217, 0, 0, Smoke::mf_const, 299, 29},	//211 Solid::OpticalDisc::isAppendable() const
	{22, 218, 0, 0, Smoke::mf_const, 299, 30},	//212 Solid::OpticalDisc::isBlank() const
	{22, 226, 0, 0, Smoke::mf_const, 299, 31},	//213 Solid::OpticalDisc::isRewritable() const
	{22, 163, 0, 0, Smoke::mf_const, 311, 32},	//214 Solid::OpticalDisc::capacity() const
	{22, 183, 0, 0, Smoke::mf_static, 272, 33},	//215 Solid::OpticalDisc::deviceInterfaceType()
	{22, 280, 0, 0, Smoke::mf_static, 301, 24},	//216 Solid::OpticalDisc::staticMetaObject (static var)
	{23, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 284, 1},	//217 Solid::OpticalDrive::Cdr (enum)
	{23, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 284, 2},	//218 Solid::OpticalDrive::Cdrw (enum)
	{23, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 284, 3},	//219 Solid::OpticalDrive::Dvd (enum)
	{23, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 284, 4},	//220 Solid::OpticalDrive::Dvdr (enum)
	{23, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 284, 5},	//221 Solid::OpticalDrive::Dvdrw (enum)
	{23, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 284, 6},	//222 Solid::OpticalDrive::Dvdram (enum)
	{23, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 284, 7},	//223 Solid::OpticalDrive::Dvdplusr (enum)
	{23, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 284, 8},	//224 Solid::OpticalDrive::Dvdplusrw (enum)
	{23, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 284, 9},	//225 Solid::OpticalDrive::Dvdplusdl (enum)
	{23, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 284, 10},	//226 Solid::OpticalDrive::Dvdplusdlrw (enum)
	{23, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 284, 11},	//227 Solid::OpticalDrive::Bd (enum)
	{23, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 284, 12},	//228 Solid::OpticalDrive::Bdr (enum)
	{23, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 284, 13},	//229 Solid::OpticalDrive::Bdre (enum)
	{23, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 284, 14},	//230 Solid::OpticalDrive::HdDvd (enum)
	{23, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 284, 15},	//231 Solid::OpticalDrive::HdDvdr (enum)
	{23, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 284, 16},	//232 Solid::OpticalDrive::HdDvdrw (enum)
	{23, 242, 0, 0, Smoke::mf_const, 302, 18},	//233 Solid::OpticalDrive::metaObject() const
	{23, 269, 3, 3, 0, 310, 19},	//234 Solid::OpticalDrive::qt_metacall(QMetaObject::Call, int, void**)
	{23, 288, 0, 0, Smoke::mf_const, 285, 20},	//235 Solid::OpticalDrive::supportedMedia() const
	{23, 271, 0, 0, Smoke::mf_const, 310, 21},	//236 Solid::OpticalDrive::readSpeed() const
	{23, 305, 0, 0, Smoke::mf_const, 310, 22},	//237 Solid::OpticalDrive::writeSpeed() const
	{23, 306, 0, 0, Smoke::mf_const, 148, 23},	//238 Solid::OpticalDrive::writeSpeeds() const
	{23, 196, 0, 0, 0, 299, 24},	//239 Solid::OpticalDrive::eject()
	{23, 183, 0, 0, Smoke::mf_static, 272, 25},	//240 Solid::OpticalDrive::deviceInterfaceType()
	{23, 280, 0, 0, Smoke::mf_static, 301, 17},	//241 Solid::OpticalDrive::staticMetaObject (static var)
	{24, 242, 0, 0, Smoke::mf_const, 302, 2},	//242 Solid::PortableMediaPlayer::metaObject() const
	{24, 269, 3, 3, 0, 310, 3},	//243 Solid::PortableMediaPlayer::qt_metacall(QMetaObject::Call, int, void**)
	{24, 289, 0, 0, Smoke::mf_const, 185, 4},	//244 Solid::PortableMediaPlayer::supportedProtocols() const
	{24, 286, 10, 1, Smoke::mf_const, 185, 5},	//245 Solid::PortableMediaPlayer::supportedDrivers(QString) const
	{24, 286, 0, 0, Smoke::mf_const, 185, 6},	//246 Solid::PortableMediaPlayer::supportedDrivers() const
	{24, 194, 32, 1, Smoke::mf_const, 227, 7},	//247 Solid::PortableMediaPlayer::driverHandle(const QString&) const
	{24, 183, 0, 0, Smoke::mf_static, 272, 8},	//248 Solid::PortableMediaPlayer::deviceInterfaceType()
	{24, 280, 0, 0, Smoke::mf_static, 301, 1},	//249 Solid::PortableMediaPlayer::staticMetaObject (static var)
	{25, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 288, 1},	//250 Solid::PowerManagement::StandbyState (enum)
	{25, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 288, 2},	//251 Solid::PowerManagement::SuspendState (enum)
	{25, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 288, 3},	//252 Solid::PowerManagement::HibernateState (enum)
	{25, 155, 0, 0, Smoke::mf_static, 299, 4},	//253 Solid::PowerManagement::appShouldConserveResources()
	{25, 290, 0, 0, Smoke::mf_static, 176, 5},	//254 Solid::PowerManagement::supportedSleepStates()
	{25, 272, 23, 3, Smoke::mf_static, 0, 6},	//255 Solid::PowerManagement::requestSleep(Solid::PowerManagement::SleepState, QObject*, const char*)
	{25, 159, 32, 1, Smoke::mf_static, 310, 7},	//256 Solid::PowerManagement::beginSuppressingSleep(const QString&)
	{25, 159, 0, 0, Smoke::mf_static, 310, 8},	//257 Solid::PowerManagement::beginSuppressingSleep()
	{25, 282, 69, 1, Smoke::mf_static, 299, 9},	//258 Solid::PowerManagement::stopSuppressingSleep(int)
	{25, 244, 0, 0, Smoke::mf_static, 287, 10},	//259 Solid::PowerManagement::notifier()
	{27, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 292, 1},	//260 Solid::Predicate::Equals (enum)
	{27, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 292, 2},	//261 Solid::Predicate::Mask (enum)
	{27, 112, 0, 0, Smoke::mf_ctor, 291, 3},	//262 Solid::Predicate::Predicate()
	{27, 112, 62, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 291, 4},	//263 Solid::Predicate::Predicate(const Solid::Predicate&)
	{27, 112, 57, 4, Smoke::mf_ctor, 291, 5},	//264 Solid::Predicate::Predicate(const Solid::DeviceInterface::Type&, const QString&, const QVariant&, Solid::Predicate::ComparisonOperator)
	{27, 112, 53, 3, Smoke::mf_ctor, 291, 6},	//265 Solid::Predicate::Predicate(const Solid::DeviceInterface::Type&, const QString&, const QVariant&)
	{27, 112, 41, 4, Smoke::mf_ctor, 291, 7},	//266 Solid::Predicate::Predicate(const QString&, const QString&, const QVariant&, Solid::Predicate::ComparisonOperator)
	{27, 112, 37, 3, Smoke::mf_ctor, 291, 8},	//267 Solid::Predicate::Predicate(const QString&, const QString&, const QVariant&)
	{27, 112, 48, 1, Smoke::mf_ctor, 291, 9},	//268 Solid::Predicate::Predicate(const Solid::DeviceInterface::Type&)
	{27, 112, 32, 1, Smoke::mf_ctor, 291, 10},	//269 Solid::Predicate::Predicate(const QString&)
	{27, 322, 0, 0, Smoke::mf_dtor, 0, 21},	//270 Solid::Predicate::~Predicate()
	{27, 250, 62, 1, 0, 290, 11},	//271 Solid::Predicate::operator=(const Solid::Predicate&)
	{27, 246, 62, 1, 0, 289, 12},	//272 Solid::Predicate::operator&(const Solid::Predicate&)
	{27, 248, 62, 1, 0, 290, 13},	//273 Solid::Predicate::operator&=(const Solid::Predicate&)
	{27, 252, 62, 1, 0, 289, 14},	//274 Solid::Predicate::operator|(const Solid::Predicate&)
	{27, 254, 62, 1, 0, 290, 15},	//275 Solid::Predicate::operator|=(const Solid::Predicate&)
	{27, 227, 0, 0, Smoke::mf_const, 299, 16},	//276 Solid::Predicate::isValid() const
	{27, 239, 46, 1, Smoke::mf_const, 299, 17},	//277 Solid::Predicate::matches(const Solid::Device&) const
	{27, 302, 0, 0, Smoke::mf_const, 175, 18},	//278 Solid::Predicate::usedTypes() const
	{27, 296, 0, 0, Smoke::mf_const, 181, 19},	//279 Solid::Predicate::toString() const
	{27, 207, 32, 1, Smoke::mf_static, 289, 20},	//280 Solid::Predicate::fromString(const QString&)
	{28, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 293, 1},	//281 Solid::Processor::NoExtensions (enum)
	{28, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 293, 2},	//282 Solid::Processor::IntelMmx (enum)
	{28, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 293, 3},	//283 Solid::Processor::IntelSse (enum)
	{28, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 293, 4},	//284 Solid::Processor::IntelSse2 (enum)
	{28, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 293, 5},	//285 Solid::Processor::IntelSse3 (enum)
	{28, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 293, 6},	//286 Solid::Processor::IntelSse4 (enum)
	{28, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 293, 7},	//287 Solid::Processor::Amd3DNow (enum)
	{28, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 293, 8},	//288 Solid::Processor::AltiVec (enum)
	{28, 242, 0, 0, Smoke::mf_const, 302, 10},	//289 Solid::Processor::metaObject() const
	{28, 269, 3, 3, 0, 310, 11},	//290 Solid::Processor::qt_metacall(QMetaObject::Call, int, void**)
	{28, 245, 0, 0, Smoke::mf_const, 310, 12},	//291 Solid::Processor::number() const
	{28, 241, 0, 0, Smoke::mf_const, 310, 13},	//292 Solid::Processor::maxSpeed() const
	{28, 162, 0, 0, Smoke::mf_const, 299, 14},	//293 Solid::Processor::canChangeFrequency() const
	{28, 215, 0, 0, Smoke::mf_const, 294, 15},	//294 Solid::Processor::instructionSets() const
	{28, 183, 0, 0, Smoke::mf_static, 272, 16},	//295 Solid::Processor::deviceInterfaceType()
	{28, 280, 0, 0, Smoke::mf_static, 301, 9},	//296 Solid::Processor::staticMetaObject (static var)
	{29, 242, 0, 0, Smoke::mf_const, 302, 2},	//297 Solid::StorageAccess::metaObject() const
	{29, 269, 3, 3, 0, 310, 3},	//298 Solid::StorageAccess::qt_metacall(QMetaObject::Call, int, void**)
	{29, 324, 0, 0, Smoke::mf_dtor, 0, 12},	//299 Solid::StorageAccess::~StorageAccess()
	{29, 216, 0, 0, Smoke::mf_const, 299, 4},	//300 Solid::StorageAccess::isAccessible() const
	{29, 206, 0, 0, Smoke::mf_const, 181, 5},	//301 Solid::StorageAccess::filePath() const
	{29, 274, 0, 0, 0, 299, 6},	//302 Solid::StorageAccess::setup()
	{29, 291, 0, 0, 0, 299, 7},	//303 Solid::StorageAccess::teardown()
	{29, 151, 27, 2, 0, 0, 8},	//304 Solid::StorageAccess::accessibilityChanged(bool, const QString&)
	{29, 275, 19, 3, 0, 0, 9},	//305 Solid::StorageAccess::setupDone(Solid::ErrorType, QVariant, const QString&)
	{29, 292, 19, 3, 0, 0, 10},	//306 Solid::StorageAccess::teardownDone(Solid::ErrorType, QVariant, const QString&)
	{29, 183, 0, 0, Smoke::mf_static, 272, 11},	//307 Solid::StorageAccess::deviceInterfaceType()
	{29, 280, 0, 0, Smoke::mf_static, 301, 1},	//308 Solid::StorageAccess::staticMetaObject (static var)
	{30, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 296, 1},	//309 Solid::StorageDrive::Ide (enum)
	{30, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 296, 2},	//310 Solid::StorageDrive::Usb (enum)
	{30, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 296, 3},	//311 Solid::StorageDrive::Ieee1394 (enum)
	{30, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 296, 4},	//312 Solid::StorageDrive::Scsi (enum)
	{30, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 296, 5},	//313 Solid::StorageDrive::Sata (enum)
	{30, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 296, 6},	//314 Solid::StorageDrive::Platform (enum)
	{30, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 297, 7},	//315 Solid::StorageDrive::HardDisk (enum)
	{30, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 297, 8},	//316 Solid::StorageDrive::CdromDrive (enum)
	{30, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 297, 9},	//317 Solid::StorageDrive::Floppy (enum)
	{30, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 297, 10},	//318 Solid::StorageDrive::Tape (enum)
	{30, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 297, 11},	//319 Solid::StorageDrive::CompactFlash (enum)
	{30, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 297, 12},	//320 Solid::StorageDrive::MemoryStick (enum)
	{30, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 297, 13},	//321 Solid::StorageDrive::SmartMedia (enum)
	{30, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 297, 14},	//322 Solid::StorageDrive::SdMmc (enum)
	{30, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 297, 15},	//323 Solid::StorageDrive::Xd (enum)
	{30, 242, 0, 0, Smoke::mf_const, 302, 17},	//324 Solid::StorageDrive::metaObject() const
	{30, 269, 3, 3, 0, 310, 18},	//325 Solid::StorageDrive::qt_metacall(QMetaObject::Call, int, void**)
	{30, 325, 0, 0, Smoke::mf_dtor, 0, 24},	//326 Solid::StorageDrive::~StorageDrive()
	{30, 161, 0, 0, Smoke::mf_const, 296, 19},	//327 Solid::StorageDrive::bus() const
	{30, 192, 0, 0, Smoke::mf_const, 297, 20},	//328 Solid::StorageDrive::driveType() const
	{30, 225, 0, 0, Smoke::mf_const, 299, 21},	//329 Solid::StorageDrive::isRemovable() const
	{30, 221, 0, 0, Smoke::mf_const, 299, 22},	//330 Solid::StorageDrive::isHotpluggable() const
	{30, 183, 0, 0, Smoke::mf_static, 272, 23},	//331 Solid::StorageDrive::deviceInterfaceType()
	{30, 280, 0, 0, Smoke::mf_static, 301, 16},	//332 Solid::StorageDrive::staticMetaObject (static var)
	{31, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 298, 1},	//333 Solid::StorageVolume::Other (enum)
	{31, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 298, 2},	//334 Solid::StorageVolume::Unused (enum)
	{31, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 298, 3},	//335 Solid::StorageVolume::FileSystem (enum)
	{31, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 298, 4},	//336 Solid::StorageVolume::PartitionTable (enum)
	{31, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 298, 5},	//337 Solid::StorageVolume::Raid (enum)
	{31, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 298, 6},	//338 Solid::StorageVolume::Encrypted (enum)
	{31, 242, 0, 0, Smoke::mf_const, 302, 8},	//339 Solid::StorageVolume::metaObject() const
	{31, 269, 3, 3, 0, 310, 9},	//340 Solid::StorageVolume::qt_metacall(QMetaObject::Call, int, void**)
	{31, 326, 0, 0, Smoke::mf_dtor, 0, 18},	//341 Solid::StorageVolume::~StorageVolume()
	{31, 222, 0, 0, Smoke::mf_const, 299, 10},	//342 Solid::StorageVolume::isIgnored() const
	{31, 301, 0, 0, Smoke::mf_const, 298, 11},	//343 Solid::StorageVolume::usage() const
	{31, 209, 0, 0, Smoke::mf_const, 181, 12},	//344 Solid::StorageVolume::fsType() const
	{31, 229, 0, 0, Smoke::mf_const, 181, 13},	//345 Solid::StorageVolume::label() const
	{31, 303, 0, 0, Smoke::mf_const, 181, 14},	//346 Solid::StorageVolume::uuid() const
	{31, 277, 0, 0, Smoke::mf_const, 311, 15},	//347 Solid::StorageVolume::size() const
	{31, 201, 0, 0, Smoke::mf_const, 268, 16},	//348 Solid::StorageVolume::encryptedContainer() const
	{31, 183, 0, 0, Smoke::mf_static, 272, 17},	//349 Solid::StorageVolume::deviceInterfaceType()
	{31, 280, 0, 0, Smoke::mf_static, 301, 7},	//350 Solid::StorageVolume::staticMetaObject (static var)
	{32, 242, 0, 0, Smoke::mf_const, 302, 2},	//351 Solid::Video::metaObject() const
	{32, 269, 3, 3, 0, 310, 3},	//352 Solid::Video::qt_metacall(QMetaObject::Call, int, void**)
	{32, 289, 0, 0, Smoke::mf_const, 185, 4},	//353 Solid::Video::supportedProtocols() const
	{32, 286, 10, 1, Smoke::mf_const, 185, 5},	//354 Solid::Video::supportedDrivers(QString) const
	{32, 286, 0, 0, Smoke::mf_const, 185, 6},	//355 Solid::Video::supportedDrivers() const
	{32, 194, 32, 1, Smoke::mf_const, 227, 7},	//356 Solid::Video::driverHandle(const QString&) const
	{32, 183, 0, 0, Smoke::mf_static, 272, 8},	//357 Solid::Video::deviceInterfaceType()
	{32, 280, 0, 0, Smoke::mf_static, 301, 1},	//358 Solid::Video::staticMetaObject (static var)
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap solid_methodMaps[] = {
	{ 0, 0, 0 },	//0 (no method)
	{7, 100, 9},	//1 Solid::NoError
	{7, 135, 10},	//2 Solid::UnauthorizedOperation
	{8, 183, 14},	//3 Solid::AcAdapter::deviceInterfaceType
	{8, 223, 13},	//4 Solid::AcAdapter::isPlugged
	{8, 242, 11},	//5 Solid::AcAdapter::metaObject
	{8, 270, 12},	//6 Solid::AcAdapter::qt_metacall$$?
	{8, 280, 15},	//7 Solid::AcAdapter::staticMetaObject
	{9, 2, 16},	//8 Solid::AudioInterface::Alsa
	{9, 6, 20},	//9 Solid::AudioInterface::AudioControl
	{9, 7, 21},	//10 Solid::AudioInterface::AudioInput
	{9, 9, 22},	//11 Solid::AudioInterface::AudioOutput
	{9, 68, 25},	//12 Solid::AudioInterface::FirewireSoundcard
	{9, 78, 26},	//13 Solid::AudioInterface::Headset
	{9, 87, 23},	//14 Solid::AudioInterface::InternalSoundcard
	{9, 96, 27},	//15 Solid::AudioInterface::Modem
	{9, 103, 17},	//16 Solid::AudioInterface::OpenSoundSystem
	{9, 138, 18},	//17 Solid::AudioInterface::UnknownAudioDriver
	{9, 139, 19},	//18 Solid::AudioInterface::UnknownAudioInterfaceType
	{9, 146, 24},	//19 Solid::AudioInterface::UsbSoundcard
	{9, 183, 35},	//20 Solid::AudioInterface::deviceInterfaceType
	{9, 188, 33},	//21 Solid::AudioInterface::deviceType
	{9, 193, 30},	//22 Solid::AudioInterface::driver
	{9, 194, 31},	//23 Solid::AudioInterface::driverHandle
	{9, 242, 28},	//24 Solid::AudioInterface::metaObject
	{9, 243, 32},	//25 Solid::AudioInterface::name
	{9, 270, 29},	//26 Solid::AudioInterface::qt_metacall$$?
	{9, 278, 34},	//27 Solid::AudioInterface::soundcardType
	{9, 280, 36},	//28 Solid::AudioInterface::staticMetaObject
	{10, 20, 44},	//29 Solid::Battery::CameraBattery
	{10, 27, 46},	//30 Solid::Battery::Charging
	{10, 36, 47},	//31 Solid::Battery::Discharging
	{10, 88, 42},	//32 Solid::Battery::KeyboardBattery
	{10, 89, 43},	//33 Solid::Battery::KeyboardMouseBattery
	{10, 97, 41},	//34 Solid::Battery::MouseBattery
	{10, 99, 45},	//35 Solid::Battery::NoCharge
	{10, 108, 38},	//36 Solid::Battery::PdaBattery
	{10, 117, 40},	//37 Solid::Battery::PrimaryBattery
	{10, 140, 37},	//38 Solid::Battery::UnknownBattery
	{10, 144, 39},	//39 Solid::Battery::UpsBattery
	{10, 164, 52},	//40 Solid::Battery::chargePercent
	{10, 167, 54},	//41 Solid::Battery::chargeState
	{10, 183, 55},	//42 Solid::Battery::deviceInterfaceType
	{10, 223, 50},	//43 Solid::Battery::isPlugged
	{10, 224, 53},	//44 Solid::Battery::isRechargeable
	{10, 242, 48},	//45 Solid::Battery::metaObject
	{10, 270, 49},	//46 Solid::Battery::qt_metacall$$?
	{10, 280, 56},	//47 Solid::Battery::staticMetaObject
	{10, 297, 51},	//48 Solid::Battery::type
	{11, 178, 61},	//49 Solid::Block::device
	{11, 183, 62},	//50 Solid::Block::deviceInterfaceType
	{11, 184, 59},	//51 Solid::Block::deviceMajor
	{11, 185, 60},	//52 Solid::Block::deviceMinor
	{11, 242, 57},	//53 Solid::Block::metaObject
	{11, 270, 58},	//54 Solid::Block::qt_metacall$$?
	{11, 280, 63},	//55 Solid::Block::staticMetaObject
	{12, 91, 64},	//56 Solid::Button::LidButton
	{12, 111, 65},	//57 Solid::Button::PowerButton
	{12, 126, 66},	//58 Solid::Button::SleepButton
	{12, 141, 67},	//59 Solid::Button::UnknownButtonType
	{12, 183, 73},	//60 Solid::Button::deviceInterfaceType
	{12, 210, 71},	//61 Solid::Button::hasState
	{12, 242, 68},	//62 Solid::Button::metaObject
	{12, 270, 69},	//63 Solid::Button::qt_metacall$$?
	{12, 279, 72},	//64 Solid::Button::stateValue
	{12, 280, 74},	//65 Solid::Button::staticMetaObject
	{12, 297, 70},	//66 Solid::Button::type
	{13, 183, 81},	//67 Solid::Camera::deviceInterfaceType
	{13, 195, 80},	//68 Solid::Camera::driverHandle$
	{13, 242, 75},	//69 Solid::Camera::metaObject
	{13, 270, 76},	//70 Solid::Camera::qt_metacall$$?
	{13, 280, 82},	//71 Solid::Camera::staticMetaObject
	{13, 286, 79},	//72 Solid::Camera::supportedDrivers
	{13, 287, 78},	//73 Solid::Camera::supportedDrivers$
	{13, 289, 77},	//74 Solid::Camera::supportedProtocols
	{14, 32, 84},	//75 Solid::Device::Device
	{14, 33, 85},	//76 Solid::Device::Device#
	{14, 34, 83},	//77 Solid::Device::Device$
	{14, 153, 97},	//78 Solid::Device::allDevices
	{14, 157, 96},	//79 Solid::Device::asDeviceInterface$
	{14, 212, 94},	//80 Solid::Device::icon
	{14, 220, 95},	//81 Solid::Device::isDeviceInterface$
	{14, 227, 88},	//82 Solid::Device::isValid
	{14, 231, 101},	//83 Solid::Device::listFromQuery#
	{14, 232, 100},	//84 Solid::Device::listFromQuery#$
	{14, 233, 103},	//85 Solid::Device::listFromQuery$
	{14, 234, 102},	//86 Solid::Device::listFromQuery$$
	{14, 236, 99},	//87 Solid::Device::listFromType$
	{14, 237, 98},	//88 Solid::Device::listFromType$$
	{14, 251, 87},	//89 Solid::Device::operator=#
	{14, 256, 91},	//90 Solid::Device::parent
	{14, 257, 90},	//91 Solid::Device::parentUdi
	{14, 262, 93},	//92 Solid::Device::product
	{14, 300, 89},	//93 Solid::Device::udi
	{14, 304, 92},	//94 Solid::Device::vendor
	{14, 313, 86},	//95 Solid::Device::~Device
	{15, 1, 116},	//96 Solid::DeviceInterface::AcAdapter
	{15, 8, 119},	//97 Solid::DeviceInterface::AudioInterface
	{15, 10, 117},	//98 Solid::DeviceInterface::Battery
	{15, 14, 107},	//99 Solid::DeviceInterface::Block
	{15, 18, 118},	//100 Solid::DeviceInterface::Button
	{15, 19, 113},	//101 Solid::DeviceInterface::Camera
	{15, 43, 120},	//102 Solid::DeviceInterface::DvbInterface
	{15, 70, 105},	//103 Solid::DeviceInterface::GenericInterface
	{15, 90, 122},	//104 Solid::DeviceInterface::Last
	{15, 98, 115},	//105 Solid::DeviceInterface::NetworkInterface
	{15, 104, 112},	//106 Solid::DeviceInterface::OpticalDisc
	{15, 105, 110},	//107 Solid::DeviceInterface::OpticalDrive
	{15, 110, 114},	//108 Solid::DeviceInterface::PortableMediaPlayer
	{15, 118, 106},	//109 Solid::DeviceInterface::Processor
	{15, 129, 108},	//110 Solid::DeviceInterface::StorageAccess
	{15, 130, 109},	//111 Solid::DeviceInterface::StorageDrive
	{15, 131, 111},	//112 Solid::DeviceInterface::StorageVolume
	{15, 137, 104},	//113 Solid::DeviceInterface::Unknown
	{15, 147, 121},	//114 Solid::DeviceInterface::Video
	{15, 227, 126},	//115 Solid::DeviceInterface::isValid
	{15, 242, 123},	//116 Solid::DeviceInterface::metaObject
	{15, 270, 124},	//117 Solid::DeviceInterface::qt_metacall$$?
	{15, 280, 129},	//118 Solid::DeviceInterface::staticMetaObject
	{15, 285, 128},	//119 Solid::DeviceInterface::stringToType$
	{15, 299, 127},	//120 Solid::DeviceInterface::typeToString$
	{15, 314, 125},	//121 Solid::DeviceInterface::~DeviceInterface
	{16, 35, 132},	//122 Solid::DeviceNotifier::DeviceNotifier
	{16, 181, 134},	//123 Solid::DeviceNotifier::deviceAdded$
	{16, 187, 135},	//124 Solid::DeviceNotifier::deviceRemoved$
	{16, 214, 136},	//125 Solid::DeviceNotifier::instance
	{16, 242, 130},	//126 Solid::DeviceNotifier::metaObject
	{16, 270, 131},	//127 Solid::DeviceNotifier::qt_metacall$$?
	{16, 280, 137},	//128 Solid::DeviceNotifier::staticMetaObject
	{16, 315, 133},	//129 Solid::DeviceNotifier::~DeviceNotifier
	{17, 38, 139},	//130 Solid::DvbInterface::DvbAudio
	{17, 39, 140},	//131 Solid::DvbInterface::DvbCa
	{17, 40, 141},	//132 Solid::DvbInterface::DvbDemux
	{17, 41, 142},	//133 Solid::DvbInterface::DvbDvr
	{17, 42, 143},	//134 Solid::DvbInterface::DvbFrontend
	{17, 44, 144},	//135 Solid::DvbInterface::DvbNet
	{17, 45, 145},	//136 Solid::DvbInterface::DvbOsd
	{17, 46, 146},	//137 Solid::DvbInterface::DvbSec
	{17, 47, 138},	//138 Solid::DvbInterface::DvbUnknown
	{17, 48, 147},	//139 Solid::DvbInterface::DvbVideo
	{17, 178, 150},	//140 Solid::DvbInterface::device
	{17, 179, 151},	//141 Solid::DvbInterface::deviceAdapter
	{17, 182, 153},	//142 Solid::DvbInterface::deviceIndex
	{17, 183, 154},	//143 Solid::DvbInterface::deviceInterfaceType
	{17, 188, 152},	//144 Solid::DvbInterface::deviceType
	{17, 242, 148},	//145 Solid::DvbInterface::metaObject
	{17, 270, 149},	//146 Solid::DvbInterface::qt_metacall$$?
	{17, 280, 155},	//147 Solid::DvbInterface::staticMetaObject
	{18, 119, 157},	//148 Solid::GenericInterface::PropertyAdded
	{18, 120, 156},	//149 Solid::GenericInterface::PropertyModified
	{18, 121, 158},	//150 Solid::GenericInterface::PropertyRemoved
	{18, 154, 162},	//151 Solid::GenericInterface::allProperties
	{18, 183, 164},	//152 Solid::GenericInterface::deviceInterfaceType
	{18, 242, 159},	//153 Solid::GenericInterface::metaObject
	{18, 264, 161},	//154 Solid::GenericInterface::property$
	{18, 268, 163},	//155 Solid::GenericInterface::propertyExists$
	{18, 270, 160},	//156 Solid::GenericInterface::qt_metacall$$?
	{18, 280, 165},	//157 Solid::GenericInterface::staticMetaObject
	{19, 183, 172},	//158 Solid::NetworkInterface::deviceInterfaceType
	{19, 211, 170},	//159 Solid::NetworkInterface::hwAddress
	{19, 213, 168},	//160 Solid::NetworkInterface::ifaceName
	{19, 228, 169},	//161 Solid::NetworkInterface::isWireless
	{19, 238, 171},	//162 Solid::NetworkInterface::macAddress
	{19, 242, 166},	//163 Solid::NetworkInterface::metaObject
	{19, 270, 167},	//164 Solid::NetworkInterface::qt_metacall$$?
	{19, 280, 173},	//165 Solid::NetworkInterface::staticMetaObject
	{20, 29, 178},	//166 Solid::Networking::Connected
	{20, 30, 177},	//167 Solid::Networking::Connecting
	{20, 37, 176},	//168 Solid::Networking::Disconnecting
	{20, 92, 181},	//169 Solid::Networking::Managed
	{20, 93, 179},	//170 Solid::Networking::Manual
	{20, 102, 180},	//171 Solid::Networking::OnNextStatusChange
	{20, 136, 175},	//172 Solid::Networking::Unconnected
	{20, 137, 174},	//173 Solid::Networking::Unknown
	{20, 244, 183},	//174 Solid::Networking::notifier
	{20, 281, 182},	//175 Solid::Networking::status
	{22, 5, 184},	//176 Solid::OpticalDisc::Audio
	{22, 15, 202},	//177 Solid::OpticalDisc::BluRayRecordable
	{22, 16, 203},	//178 Solid::OpticalDisc::BluRayRewritable
	{22, 17, 201},	//179 Solid::OpticalDisc::BluRayRom
	{22, 21, 191},	//180 Solid::OpticalDisc::CdRecordable
	{22, 22, 192},	//181 Solid::OpticalDisc::CdRewritable
	{22, 23, 190},	//182 Solid::OpticalDisc::CdRom
	{22, 31, 185},	//183 Solid::OpticalDisc::Data
	{22, 50, 197},	//184 Solid::OpticalDisc::DvdPlusRecordable
	{22, 51, 199},	//185 Solid::OpticalDisc::DvdPlusRecordableDuallayer
	{22, 52, 198},	//186 Solid::OpticalDisc::DvdPlusRewritable
	{22, 53, 200},	//187 Solid::OpticalDisc::DvdPlusRewritableDuallayer
	{22, 54, 194},	//188 Solid::OpticalDisc::DvdRam
	{22, 55, 195},	//189 Solid::OpticalDisc::DvdRecordable
	{22, 56, 196},	//190 Solid::OpticalDisc::DvdRewritable
	{22, 57, 193},	//191 Solid::OpticalDisc::DvdRom
	{22, 73, 205},	//192 Solid::OpticalDisc::HdDvdRecordable
	{22, 74, 206},	//193 Solid::OpticalDisc::HdDvdRewritable
	{22, 75, 204},	//194 Solid::OpticalDisc::HdDvdRom
	{22, 132, 187},	//195 Solid::OpticalDisc::SuperVideoCd
	{22, 142, 189},	//196 Solid::OpticalDisc::UnknownDiscType
	{22, 148, 186},	//197 Solid::OpticalDisc::VideoCd
	{22, 149, 188},	//198 Solid::OpticalDisc::VideoDvd
	{22, 158, 209},	//199 Solid::OpticalDisc::availableContent
	{22, 163, 214},	//200 Solid::OpticalDisc::capacity
	{22, 183, 215},	//201 Solid::OpticalDisc::deviceInterfaceType
	{22, 189, 210},	//202 Solid::OpticalDisc::discType
	{22, 217, 211},	//203 Solid::OpticalDisc::isAppendable
	{22, 218, 212},	//204 Solid::OpticalDisc::isBlank
	{22, 226, 213},	//205 Solid::OpticalDisc::isRewritable
	{22, 242, 207},	//206 Solid::OpticalDisc::metaObject
	{22, 270, 208},	//207 Solid::OpticalDisc::qt_metacall$$?
	{22, 280, 216},	//208 Solid::OpticalDisc::staticMetaObject
	{23, 11, 227},	//209 Solid::OpticalDrive::Bd
	{23, 12, 228},	//210 Solid::OpticalDrive::Bdr
	{23, 13, 229},	//211 Solid::OpticalDrive::Bdre
	{23, 24, 217},	//212 Solid::OpticalDrive::Cdr
	{23, 26, 218},	//213 Solid::OpticalDrive::Cdrw
	{23, 49, 219},	//214 Solid::OpticalDrive::Dvd
	{23, 58, 225},	//215 Solid::OpticalDrive::Dvdplusdl
	{23, 59, 226},	//216 Solid::OpticalDrive::Dvdplusdlrw
	{23, 60, 223},	//217 Solid::OpticalDrive::Dvdplusr
	{23, 61, 224},	//218 Solid::OpticalDrive::Dvdplusrw
	{23, 62, 220},	//219 Solid::OpticalDrive::Dvdr
	{23, 63, 222},	//220 Solid::OpticalDrive::Dvdram
	{23, 64, 221},	//221 Solid::OpticalDrive::Dvdrw
	{23, 72, 230},	//222 Solid::OpticalDrive::HdDvd
	{23, 76, 231},	//223 Solid::OpticalDrive::HdDvdr
	{23, 77, 232},	//224 Solid::OpticalDrive::HdDvdrw
	{23, 183, 240},	//225 Solid::OpticalDrive::deviceInterfaceType
	{23, 196, 239},	//226 Solid::OpticalDrive::eject
	{23, 242, 233},	//227 Solid::OpticalDrive::metaObject
	{23, 270, 234},	//228 Solid::OpticalDrive::qt_metacall$$?
	{23, 271, 236},	//229 Solid::OpticalDrive::readSpeed
	{23, 280, 241},	//230 Solid::OpticalDrive::staticMetaObject
	{23, 288, 235},	//231 Solid::OpticalDrive::supportedMedia
	{23, 305, 237},	//232 Solid::OpticalDrive::writeSpeed
	{23, 306, 238},	//233 Solid::OpticalDrive::writeSpeeds
	{24, 183, 248},	//234 Solid::PortableMediaPlayer::deviceInterfaceType
	{24, 195, 247},	//235 Solid::PortableMediaPlayer::driverHandle$
	{24, 242, 242},	//236 Solid::PortableMediaPlayer::metaObject
	{24, 270, 243},	//237 Solid::PortableMediaPlayer::qt_metacall$$?
	{24, 280, 249},	//238 Solid::PortableMediaPlayer::staticMetaObject
	{24, 286, 246},	//239 Solid::PortableMediaPlayer::supportedDrivers
	{24, 287, 245},	//240 Solid::PortableMediaPlayer::supportedDrivers$
	{24, 289, 244},	//241 Solid::PortableMediaPlayer::supportedProtocols
	{25, 79, 252},	//242 Solid::PowerManagement::HibernateState
	{25, 128, 250},	//243 Solid::PowerManagement::StandbyState
	{25, 133, 251},	//244 Solid::PowerManagement::SuspendState
	{25, 155, 253},	//245 Solid::PowerManagement::appShouldConserveResources
	{25, 159, 257},	//246 Solid::PowerManagement::beginSuppressingSleep
	{25, 160, 256},	//247 Solid::PowerManagement::beginSuppressingSleep$
	{25, 244, 259},	//248 Solid::PowerManagement::notifier
	{25, 273, 255},	//249 Solid::PowerManagement::requestSleep$#$
	{25, 283, 258},	//250 Solid::PowerManagement::stopSuppressingSleep$
	{25, 290, 254},	//251 Solid::PowerManagement::supportedSleepStates
	{27, 66, 260},	//252 Solid::Predicate::Equals
	{27, 94, 261},	//253 Solid::Predicate::Mask
	{27, 112, 262},	//254 Solid::Predicate::Predicate
	{27, 113, 263},	//255 Solid::Predicate::Predicate#
	{27, 114, -1},	//256 Solid::Predicate::Predicate$
	{27, 115, -4},	//257 Solid::Predicate::Predicate$$#
	{27, 116, -7},	//258 Solid::Predicate::Predicate$$#$
	{27, 208, 280},	//259 Solid::Predicate::fromString$
	{27, 227, 276},	//260 Solid::Predicate::isValid
	{27, 240, 277},	//261 Solid::Predicate::matches#
	{27, 247, 272},	//262 Solid::Predicate::operator&#
	{27, 249, 273},	//263 Solid::Predicate::operator&=#
	{27, 251, 271},	//264 Solid::Predicate::operator=#
	{27, 253, 274},	//265 Solid::Predicate::operator|#
	{27, 255, 275},	//266 Solid::Predicate::operator|=#
	{27, 296, 279},	//267 Solid::Predicate::toString
	{27, 302, 278},	//268 Solid::Predicate::usedTypes
	{27, 322, 270},	//269 Solid::Predicate::~Predicate
	{28, 3, 288},	//270 Solid::Processor::AltiVec
	{28, 4, 287},	//271 Solid::Processor::Amd3DNow
	{28, 82, 282},	//272 Solid::Processor::IntelMmx
	{28, 83, 283},	//273 Solid::Processor::IntelSse
	{28, 84, 284},	//274 Solid::Processor::IntelSse2
	{28, 85, 285},	//275 Solid::Processor::IntelSse3
	{28, 86, 286},	//276 Solid::Processor::IntelSse4
	{28, 101, 281},	//277 Solid::Processor::NoExtensions
	{28, 162, 293},	//278 Solid::Processor::canChangeFrequency
	{28, 183, 295},	//279 Solid::Processor::deviceInterfaceType
	{28, 215, 294},	//280 Solid::Processor::instructionSets
	{28, 241, 292},	//281 Solid::Processor::maxSpeed
	{28, 242, 289},	//282 Solid::Processor::metaObject
	{28, 245, 291},	//283 Solid::Processor::number
	{28, 270, 290},	//284 Solid::Processor::qt_metacall$$?
	{28, 280, 296},	//285 Solid::Processor::staticMetaObject
	{29, 152, 304},	//286 Solid::StorageAccess::accessibilityChanged$$
	{29, 183, 307},	//287 Solid::StorageAccess::deviceInterfaceType
	{29, 206, 301},	//288 Solid::StorageAccess::filePath
	{29, 216, 300},	//289 Solid::StorageAccess::isAccessible
	{29, 242, 297},	//290 Solid::StorageAccess::metaObject
	{29, 270, 298},	//291 Solid::StorageAccess::qt_metacall$$?
	{29, 274, 302},	//292 Solid::StorageAccess::setup
	{29, 276, 305},	//293 Solid::StorageAccess::setupDone$#$
	{29, 280, 308},	//294 Solid::StorageAccess::staticMetaObject
	{29, 291, 303},	//295 Solid::StorageAccess::teardown
	{29, 293, 306},	//296 Solid::StorageAccess::teardownDone$#$
	{29, 324, 299},	//297 Solid::StorageAccess::~StorageAccess
	{30, 25, 316},	//298 Solid::StorageDrive::CdromDrive
	{30, 28, 319},	//299 Solid::StorageDrive::CompactFlash
	{30, 69, 317},	//300 Solid::StorageDrive::Floppy
	{30, 71, 315},	//301 Solid::StorageDrive::HardDisk
	{30, 80, 309},	//302 Solid::StorageDrive::Ide
	{30, 81, 311},	//303 Solid::StorageDrive::Ieee1394
	{30, 95, 320},	//304 Solid::StorageDrive::MemoryStick
	{30, 109, 314},	//305 Solid::StorageDrive::Platform
	{30, 123, 313},	//306 Solid::StorageDrive::Sata
	{30, 124, 312},	//307 Solid::StorageDrive::Scsi
	{30, 125, 322},	//308 Solid::StorageDrive::SdMmc
	{30, 127, 321},	//309 Solid::StorageDrive::SmartMedia
	{30, 134, 318},	//310 Solid::StorageDrive::Tape
	{30, 145, 310},	//311 Solid::StorageDrive::Usb
	{30, 150, 323},	//312 Solid::StorageDrive::Xd
	{30, 161, 327},	//313 Solid::StorageDrive::bus
	{30, 183, 331},	//314 Solid::StorageDrive::deviceInterfaceType
	{30, 192, 328},	//315 Solid::StorageDrive::driveType
	{30, 221, 330},	//316 Solid::StorageDrive::isHotpluggable
	{30, 225, 329},	//317 Solid::StorageDrive::isRemovable
	{30, 242, 324},	//318 Solid::StorageDrive::metaObject
	{30, 270, 325},	//319 Solid::StorageDrive::qt_metacall$$?
	{30, 280, 332},	//320 Solid::StorageDrive::staticMetaObject
	{30, 325, 326},	//321 Solid::StorageDrive::~StorageDrive
	{31, 65, 338},	//322 Solid::StorageVolume::Encrypted
	{31, 67, 335},	//323 Solid::StorageVolume::FileSystem
	{31, 106, 333},	//324 Solid::StorageVolume::Other
	{31, 107, 336},	//325 Solid::StorageVolume::PartitionTable
	{31, 122, 337},	//326 Solid::StorageVolume::Raid
	{31, 143, 334},	//327 Solid::StorageVolume::Unused
	{31, 183, 349},	//328 Solid::StorageVolume::deviceInterfaceType
	{31, 201, 348},	//329 Solid::StorageVolume::encryptedContainer
	{31, 209, 344},	//330 Solid::StorageVolume::fsType
	{31, 222, 342},	//331 Solid::StorageVolume::isIgnored
	{31, 229, 345},	//332 Solid::StorageVolume::label
	{31, 242, 339},	//333 Solid::StorageVolume::metaObject
	{31, 270, 340},	//334 Solid::StorageVolume::qt_metacall$$?
	{31, 277, 347},	//335 Solid::StorageVolume::size
	{31, 280, 350},	//336 Solid::StorageVolume::staticMetaObject
	{31, 301, 343},	//337 Solid::StorageVolume::usage
	{31, 303, 346},	//338 Solid::StorageVolume::uuid
	{31, 326, 341},	//339 Solid::StorageVolume::~StorageVolume
	{32, 183, 357},	//340 Solid::Video::deviceInterfaceType
	{32, 195, 356},	//341 Solid::Video::driverHandle$
	{32, 242, 351},	//342 Solid::Video::metaObject
	{32, 270, 352},	//343 Solid::Video::qt_metacall$$?
	{32, 280, 358},	//344 Solid::Video::staticMetaObject
	{32, 286, 355},	//345 Solid::Video::supportedDrivers
	{32, 287, 354},	//346 Solid::Video::supportedDrivers$
	{32, 289, 353},	//347 Solid::Video::supportedProtocols
};

static Smoke::Index solid_ambiguousMethodList[] = {
    0,
    269,  // Solid::Predicate::Predicate(const QString&)
    268,  // Solid::Predicate::Predicate(const Solid::DeviceInterface::Type&)
    0,
    267,  // Solid::Predicate::Predicate(const QString&, const QString&, const QVariant&)
    265,  // Solid::Predicate::Predicate(const Solid::DeviceInterface::Type&, const QString&, const QVariant&)
    0,
    264,  // Solid::Predicate::Predicate(const Solid::DeviceInterface::Type&, const QString&, const QVariant&, Solid::Predicate::ComparisonOperator)
    266,  // Solid::Predicate::Predicate(const QString&, const QString&, const QVariant&, Solid::Predicate::ComparisonOperator)
    0,
};


void init_qt_Smoke();

static bool initialized = false;
Smoke *solid_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_solid_Smoke() {
    if (initialized) return;
    init_qt_Smoke();
    solid_Smoke = new Smoke(
        "solid",
        solid_classes, 32,
        solid_methods, 359,
        solid_methodMaps, 347,
        solid_methodNames, 327,
        solid_types, 312,
        solid_inheritanceList,
        solid_argumentList,
        solid_ambiguousMethodList,
        solid_cast );
    initialized = true;
}
